commit 4585d552506e8ef4b18e4619887c3b38f065bcc0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 25 19:42:17 2022 +0100

    On the road to 3.0.19

commit 379c00bd422ed73dae4e7efbcf0176e6f5d37b02
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 27 21:31:11 2022 +0100

    demux: mp4: fix bogus edit list timescale
    
    regression after 0aecdcabaa27f32dc1e3de1832d22d9766cdfae6
    
    refs #27669

commit 062db58dccb0f5292eb4a3fd94df0128d9403ffc
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:56:27 2022 +0100

    codec: jpeg: check every APP1 for orientation
    
    (cherry picked from commit a0d6edda54b329649c50b7de8c97b1509990fd20)

commit 9b9cbf2b78ea83141e080310edf796a5f305b2c4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:55:44 2022 +0100

    codec: jpeg: use native readers
    
    (cherry picked from commit d80b8049b7ce2c05bf18397a951340668a3a9ced)

commit 88d5ca55e1ccb618322c82e41db646979bb60994
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:49:47 2022 +0100

    codec: jpeg: constify
    
    (cherry picked from commit 1a82010c9665ad449fe48545e5c1522bb89e67e1)

commit 2acd447486c2607b4e7f14af1b0fd97e8f505bf0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:28:53 2022 +0100

    codec: jpeg: check projection values
    
    (cherry picked from commit 4e419fa5266a5574908a4cf6146c12e3c56a0e86)

commit 0118f97cfbd35e8827db40a3501eb7b9414655bf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:16:55 2022 +0100

    codec: jpeg: search every APP1 for XMP projection tag
    
    (cherry picked from commit 7c3130c951840972229b265f8de5679a543d324f)

commit ab66dd1ffd5cbe74b9dfe1b683800562fa1867a2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 16:17:46 2022 +0100

    demux: image: fix probing jpeg starting with XMP
    
    (cherry picked from commit 1c6749b8090a659678ff1cdbd80358405efac3f3)

commit 9b3b296d0e17f04ce4936fad9c4ef36a75b248d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 13 20:11:22 2022 +0100

    demux: image: use proper type for peek
    
    (cherry picked from commit 8b310b2fd572dc54356dac1393bd4c14bfef6532)

commit 22ae743f385c7443a8531643c3154fdcc6a2767f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 19 14:23:42 2022 +0100

    demux: image: fix jpeg probe size return check
    
    valid jpeg data offset being greater than 0xff
    
    (cherry picked from commit a0e6c1758586a1b98a0100507a3f0c47839050c1)

commit da33263b12c9814da922234a3734c393c89345fa
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 14:43:40 2022 +0100

    demux: mp4: do not flag discontinuity after empty edit
    
    refs #26943
    
    (cherry picked from commit 203fb201da9c44bf5d68c937a071f5a8f25fda2f)

commit 25fc2f30d94b00de153a0d661ac24487494d3f21
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 22 14:57:04 2022 +0100

    demux: mp4: elst can only change if there's one
    
    (cherry picked from commit 0e3d3c060b34a703e68fa3dbfd313bda02067dad)

commit 2def5869420bce69449f45ae5206122899a8f2ca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 14 21:00:21 2019 +0200

    demux: avi: fix playback of flipped rgb (refs #22915)
    
    (cherry picked from commit 99a193f6d9639220e5bcebb23585d7e26651a2c4)

commit 4c17c93064d9f72bb2788e2c367d117a0f185865
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 14 20:37:06 2019 +0200

    demux: avi: add more comments
    
    (cherry picked from commit 5be2d51811ed48c596069a7799199b9a99af7729)

commit 76b0bb360176be09a6da9aa7cd3a116e763a14bf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 14 20:36:15 2019 +0200

    demux: avi: int_max is flipped range
    
    (cherry picked from commit 0d2b0a46700b9aa363d0d76e508c63e17420996e)

commit 2d789162d57284bf849aa2c5df3100f57a4f6acf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 14 20:37:21 2019 +0200

    demux: avi: fix conversion
    
    (cherry picked from commit 52ce937c7faf4c348f740157b2ed880cd79b680a)

commit 912a396a970805504b30b93c2d677be3bf08aea8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 14 20:57:17 2019 +0200

    demux: avi: fix debug height for flipped planes (fix #22915)
    
    (cherry picked from commit 136fd86090b11ba6d89e46e16e8f7474d4451e2f)

commit 6183d1e1530e5fee926a4fbbae8fe8628a2bcd57
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 22:14:05 2022 +0100

    demux: ogg: fix last page probing
    
    properly process the full search window instead of returning the first page found
    
    change lower search range stop condition to fix parsing bug on lowest
    window
    
    refs #27610
    
    (cherry picked from commit efcb930b250de59dbaad59a4e5364292a32188b1)

commit 767b44f0e417015f29b8a8fff1d04f2b41162d30
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Sep 12 10:15:56 2022 +0200

    contrib: fluidlite: update the hash to allow out of tree builds
    
    (cherry picked from commit 1c7fdece821cf164de744ade04a016b364cf9f32)
    
    This fixes #25327.

commit 4d46246f4aec36a0f749da870af04606a7b3e4e5
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Sep 17 15:03:14 2020 -0400

    contrib: daala: update upstream URL
    
    (cherry picked from commit 38523115cb430eefda1fe75d1f34d25a75fad546)

commit 60771fe71284849d5be58b782ff11733176c6746
Author: Eugene Popov <epopov.trueconf@gmail.com>
Date:   Sat Dec 3 18:22:11 2022 +0000

    [3.0] Fix the playback bar is shown when the player window is inactive on Linux

commit 93523e6e108a00ec4941101d5e877eea04046207
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Dec 15 16:20:41 2021 +0100

    modules: fix typos
    
    Typos found and reworked from codespell.
    
    (cherry picked from commit 6b7a57f9847fef77c687da8c63afa99328c74da2) (edited)
    edited:
    * some files don't exist in 3.0
    * some 3.0 code around changes is different (vlc_tick_t)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c2dd4bfefe079e49db1789eb76be3885e4fc31b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 7 15:02:57 2022 +0100

    packetizer: flac: fix CRC from emulated sync
    
    also skips some memcpy
    
    refs #27454 #27477
    
    (cherry picked from commit c14b5aa6a7bd3aa25fa951e2b4136aff70f5702a)

commit e264d5b6af7ac3b09ae656c9700c0e8e966e570e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 2 15:52:19 2018 +0200

    rename VLC_TS_0 to VLC_TICK_0
    
    (cherry picked from commit ded62a069f457ae919fae30b60d920a8ac3c92b4) (edited)
    edited:
    * some of the 3.0 code was different

commit 0b4dff80ac381dd7de75125c70145a206a01eed8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jul 2 15:51:29 2018 +0200

    rename VLC_TS_INVALID to VLC_TICK_INVALID
    
    (cherry picked from commit 1f17997348e5b5bb039647515c5ea54025bb81d5) (edited)
    edited:
    * some of the 3.0 code was different

commit 3f9fc44176cc5505132977885799fa988c5e7701
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Jun 22 13:19:24 2018 +0200

    rename mtime_t to vlc_tick_t
    
    Keep a copy of vlc_tick_tfor backward compatibility.
    
    (cherry picked from commit ff56c92a5ed62d713fb9842f36494a2e9d90fc6f) (edited)
    edited:
    * some of the 3.0 code is different

commit 8179b10e7e692955a972f59ba50f3b51464d3854
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 18 22:31:55 2022 +0200

    contrib: do not require gtkdocize
    
    This unbreaks packages using autoreconf.
    
    (cherry picked from commit 7beb060516a8ce8a4ad4abf26aade3e3344f9ecd)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b64b9c224bc69e5a2803c7cdbe8d83a65303cf15
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Nov 7 12:02:28 2022 +0100

    macosx: fix possible SPMediaKeyTap crash
    
    Adding nil to an NSArray would make it raise an
    NSInvalidArgumentException which in turn leads to an abort in
    dispatch_once:
      https://github.com/apple-oss-distributions/libdispatch/blob/55c3a68e9ec47f1c1d5bb9909404ce5f0351edef/src/object.m#L557
    
    Fix #27487
    
    (cherry picked from commit 41ec80a1282ba01d82e7954530e1d9ab8e14e415)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 8bf904652304e9563d49a98d418e71e59bf4581e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Nov 16 06:42:24 2022 +0100

    control: dbus: emit CanPlay consistently
    
    When VLC was launched from a file, the handling for playlist
    change events was not sufficient as in case of starting with
    a file, we could miss the event and never report CanPlay.
    
    When playing a file from a service discovery, like our Lua
    web parser scripts, this logic was flawed too, as the playlist
    would always be "empty" even though we are clearly currently
    paused on an input. To fix that, check if CanPlay disagrees
    with reality when we get an input change and emit CanPlay.
    
    There is no check added in the item append/delete sections,
    so currently once an item from an SD is played, even when
    the user has switched back to the main playlist, the status
    would still be CanPlay until and item is added or removed
    in the "main" playlist. However this exactly matches how the
    Qt interface behaves, so I've left this behavior as-is for
    consistency with the interface.
    
    Fix #21419
    Fix #22785

commit 1c037bc66975e24e68760a4e91b7ecd700d4efd2
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Nov 16 06:18:53 2022 +0100

    control: dbus: emit events properly on input change
    
    The can-seek and can-pause variables could end up
    not being set, as the callback events are not reliably
    fired in case the variables changed before the callbacks
    are attached.
    Additionally we need to report the playback status properly
    whenever a new item starts playing.
    
    Fix #24699

commit 94035013a041e1e2590059e8801f2b39c025146a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Nov 24 20:19:41 2022 +0100

    contribs: growl: Replace CFNetwork with CoreServices framework for intel builds
    
    CFNetwork library is automatically added by recent SDKs. By replacing
    this framework with CoreServices.framework, we retain support for Mac OSX 10.7.

commit b36269203ee5aa011bda5877f2e1e7725b237157
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Nov 23 21:53:21 2022 +0100

    macosx/build.sh: Replace CFNetwork with CoreServices framework for intel builds
    
    CFNetwork library is automatically added by recent SDKs. By replacing
    this framework with CoreServices.framework, we retain support for Mac OS
    X 10.7.

commit 52df7ff818cc517a55220c6b89017fe51404c7c3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 18 06:17:50 2022 +0100

    youtube.lua: update for player config definition site change
    
    Fixes #27529
    
    (cherry picked from commit a0b3c43815328dd5e73485f912ee2fb9e46bfb4a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bbf81b68838f2b4aead0c8977b2ac1eff39a2bbc
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Fri Jun 29 17:46:07 2018 +0800

    prefetch: handle STREAM_GET_TAGS
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit c53aefcc786e9022a571a27fb4c694d8bb571d1b)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0a33447a72c8b2aefcfc9af2a9e1d53306cff3e8
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Jan 27 13:00:23 2021 +0100

    configure.ac: fix deprecated mention with newer autoconf
    
    (cherry picked from commit 7eb922bcb2cb9b4a023597a25871074c6fd9e42a)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit cacf92f3d4c7af17d13a0074a7c18827a46295f6
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Sat Jan 30 18:43:44 2021 +0100

    configure.ac: fix AC_PROG_LEX warning
    
    With autoconf 2.70, the following warnings are emitted:
    
    configure.ac:56: warning: AC_PROG_LEX without either yywrap or noyywrap is obsolete
    ./lib/autoconf/programs.m4:716: _AC_PROG_LEX is expanded from...
    ./lib/autoconf/programs.m4:709: AC_PROG_LEX is expanded from...
    configure.ac:56: the top level
    
    The documentation[1] of autoconf now states:
    
    > Prior to Autoconf 2.70, AC_PROG_LEX did not take any arguments, and
    > its behavior was different from either of the above possibilities: it
    > would search for a library that defines yywrap, and would set LEXLIB
    > to that library if it finds one. However, if a library that defines
    > this function could not be found, LEXLIB would be left empty and LEX
    > would not be reset. This behavior was due to a bug, but several
    > packages came to depend on it, so AC_PROG_LEX still does this if
    > neither the yywrap nor the noyywrap option is given.
    >
    > Usage of AC_PROG_LEX without choosing one of the yywrap or noyywrap
    > options is deprecated. It is usually better to use noyywrap and define
    > the yywrap function yourself, as this almost always renders the LEXLIB
    > unnecessary.
    
    The behaviour of the argument on autoconf < 2.70 is to ignore the
    argument, so there are no issues with adding the option.
    
    [1] https://www.gnu.org/savannah-checkouts/gnu/autoconf/manual/autoconf-2.70/html_node/Particular-Programs.html#Particular-Programs
    
    (cherry picked from commit 824b3d4551e6c19e34e31bedb6f8843cfda35ca0)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 638a07dba08b4e20c7e574288bc4bfdc770664ee
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 4 09:55:39 2022 +0100

    audiounit_ios: don't fetch the output layout
    
    That way, we will always use MapInputLayout() on tvOS/iOS.
    
    (cherry picked from commit ebc27c6e4053a0a6dfe42a0d0acd89e394df1d2b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit d58a68dd2c85a7d30f9add2684e84e8f67a826f0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 4 09:55:11 2022 +0100

    audiounit_ios: move debug log
    
    (cherry picked from commit cac29a174030fbdda0abb5537c7515e5750d2281)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6eb4f99dbe6be0fb68ac4927fd82da3fa2a7ddc9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 28 13:18:07 2022 +0200

    coreaudio: use ChannelDescriptions for MapInputLayout()
    
    Simpler, tested on tvOS 14 and 16. On tvOS, the device can adapt to the
    VLC input format, in contrary to macOS.
    
    Fixes 7.1 surround.
    
    (cherry picked from commit 3d92b1c3017f45c6410dc0dde7b3e2095ce176d7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 2edac7c59f40d89082e00c8bc16c0c1dca6f55b5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Nov 4 09:46:51 2022 +0100

    coreaudio: remove useless log
    
    There is one more complete just after.
    
    (cherry picked from commit 704d6fcfa0c9530a4461c62e61049e837ba080b0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8457f069d8e09baa9cab0588ce6e2230ea9c4c51
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 3 16:54:02 2022 +0100

    coreaudio: MapInputLayout() can now return any type of AudioChannelLayout
    
    (cherry picked from commit 28e4d7fe50b28cbc7267aa72ec0fa28a26924aa2)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8e749c610a43d23075a736dab05fe2919984663c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 3 16:18:26 2022 +0100

    coreaudio: rename SetupInputLayout
    
    (cherry picked from commit c65da6381ac6a7b454115790ac933c7ece36cde8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b344e73860ee08abb21a04b503c35800e6026f39
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 3 15:20:53 2022 +0100

    coreaudio: add Lsd/Rsd mapping
    
    Could not test it.
    
    (cherry picked from commit 082a0305f1765495e74e7650b07baf83e9e6eef3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c3d728d5e7548f3c50da7f3a0c7ff93992f15a39
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 3 15:04:38 2022 +0100

    coreaudio: swap Surround with RearSurround when needed
    
    Tested on macOS 12.5, compared with the same vlc/sample/amplifier on
    Windows.
    
    Surround and RearSurround are indeed swapped for 7.1, same for tvOS (cf.
    next).
    
    But why ?
    
    (cherry picked from commit 0a65098fcd0d7ddc4c56fa10c616ddd044eeee32)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit dc181df1164c69f39c833ead26856f66329809bf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 3 14:49:37 2022 +0100

    coreaudio: use a switch case instead of an array
    
    The current size of the array is 35 for 9 elements.
    
    The maximum value for AudioChannelLabel is 65536 and we want to avoid
    having an array of 65536 for very few elements.
    
    (cherry picked from commit 9d676d26b39c8b571e76990eced97eead0b4dcb4)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit ea9c30171d821dc5d066ff0a762ce5d4ebf256db
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Nov 2 17:07:13 2022 +0100

    coreaudio: either use output or input layout
    
    And not both.
    
    On macOS, VLC need to adapt its fmt to the output layout (it can't
    change it).
    on tvOS, VLC can send its custom input layout.
    
    Fixes #27474
    Also fix 7.1 mapping on macOS (Center was on Left...).
    
    (cherry picked from commit 87bbf8f272ef6b38b6ed1c002e96f570aba0f4a8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 96cb65e37003bd6e97ae141157e4d6fa4b05f0b2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 28 13:24:09 2022 +0200

    coreaudio: refactor aout_CheckChannelReorder() usage
    
    (cherry picked from commit 0405833cd8a5cafcccc5253f1e5a9b58b5471b26)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit fd8b5163f215f8e11b0696e9ede83e1e3078998e
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 28 13:17:13 2022 +0200

    coreaudio: fix layout tag mismatch for L R C Cs
    
    (cherry picked from commit 12683cccac45230ad10533d7357ff7a31f8c6253)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 20c96c575861f13bca51f30078600301d1f27237
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Oct 28 12:53:25 2022 +0200

    coreaudio: fix original value never set
    
    Regression from 91f426996c98
    
    This fixes the shortcut to map channels to Center or Stereo.
    
    (cherry picked from commit b73f7c40d8a8355f188d10ce919f90ecfaf745d7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 921c47e26743bbceedf02df36a8441e6d853163a
Author: KO Myung-Hun <komh@chollian.net>
Date:   Wed Oct 26 12:42:28 2022 +0900

    cdrom: fix a typo

commit 6e274f32227dde52565e0924ceb4773f296ad2ba
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Tue Mar 5 20:30:24 2019 +0100

    faad: remove useless continue statement
    
    ... at the end of the loop.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 603ade4f5d01d03b240694992a596b3c5904148b)

commit 24ebefda258ff577c02cd2ed150decff807fc798
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 20 16:41:02 2022 +0200

    codec: faad: always init to TS_INVALID
    
    partial bp of 10318107ac248f2d9b1be038265f3d29a6734c97

commit 2c5a7264737caf020d7a3b781ed454b6108142df
Author: Lyndon Brown <jnqnfe@gmail.com>
Date:   Sun Mar 17 06:59:19 2019 +0000

    faad: check config validity
    
    the `NeAACDecSetConfiguration()` function copies attributes from the given
    config object to the actual config held within the decoder context object.
    it validates each config attribute before copying it, immediately returning
    zero if the attribute is invalid.
    
    we should use the return value to check that our config was successfully
    written.
    
    (cherry picked from commit 8beee731064750745667cf21b63394c04157dd35)

commit d906e3e7b7be0b09065a626a0a692a9f0609fc7c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 11 19:34:59 2019 +0200

    codec: faad: workaround unaligned timings
    
    (cherry picked from commit c8d7729ae6f3663a5cfde12fb0c185e2a3972461)

commit 3bfe4f14a396d5ff7aae01f0f7113580d6182993
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 21 20:25:20 2019 +0100

    codec: faad: reject ELD profile
    
    (cherry picked from commit eaedf156a46ad8ac27bc64942892b358f91e4a61)

commit ee3213605d176c0a884b1d93dff7fc48b8848400
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 5 17:18:50 2022 +0200

    demux: adaptive: allow implementations to preparse
    
    (cherry picked from commit 0f9cde94991d12e253c480324f95ba513e5b99b1)

commit 9e50bef342126f33e7962ac336e0b15a2bae93d6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 5 17:14:36 2022 +0200

    demux: adaptive: forward update status through stream
    
    (cherry picked from commit aeca11e9627781f05e9baee86fda2af87306e76c)

commit 7d9d51ac981b90dd3602bdf2123c8f415bae361f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 5 17:13:36 2022 +0200

    demux: adaptive: return tracker update status
    
    (cherry picked from commit 9d83a7ee1a6ec993e73e419fc84357cc6433c908)

commit ea8e33c8f380cd1e65fde110aee4a0574f7224ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Sep 25 14:51:33 2022 +0200

    demux: hls: set channels
    
    (cherry picked from commit c5b37cb43da4cd2507e970e05de53b24200d63bd)

commit 4ff3adad7795d3eb28d3e85559edf620d517e767
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 21 16:10:16 2022 +0200

    demux: hls: rework stream/media attributes propagation
    
    (cherry picked from commit a54d02b0c9a5b0a2073f393a33235d9adfd6c25d)

commit d8ae0f09a5cb9b7e6ef9ec2717acaaf5fa782230
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 21 16:04:51 2022 +0200

    demux: adaptive: codecs does not belong to ext-x-media
    
    (cherry picked from commit 7d37ad40e40419c28bf45ecf97fd0ea47cfa7f1e)

commit f8a1f5d5451f18bfac1a5f1cd24c499194199a36
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 9 21:09:50 2021 +0100

    demux: hls: prefer average bandwidth when available
    
    (cherry picked from commit f9b0cad3896c0276d467c5ad3be104baf946acdf)

commit b607efd530c7c82681a34a7696d7d9d4fef1108c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 26 14:24:12 2022 +0200

    demux: adaptive: fix unitialized var

commit 5e58b6a9fa37d2fa11384cce6714c52811281146
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 27 20:49:05 2022 +0200

    demux: adaptive: fix MIME format update
    
    refs #27441
    
    (cherry picked from commit 7b2c84807e92b8b2282f3b25b0cd8759cbf8c472)

commit 63289deb58e50da267f36852f4d93d10751e5be7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Oct 27 20:47:06 2022 +0200

    demux: adaptive: skip ID3 in front of any segment
    
    more HLS crap FTW
    
    refs #27441
    
    (cherry picked from commit e062e9d65010fc5b30ef46336da7de44c76a6125)

commit 47bd9018f0f33770e850d038f9981503e04b25fc
Author: Brad Smith <brad@comstyle.com>
Date:   Sat Oct 29 20:11:50 2022 -0400

    v4l2: use proper headers for OpenBSD's V4L2 support
    
    (cherry picked from commit c7905ecc665b1b464bbf13ddc395e2e7f8ddd8b2)

commit ce9a09a2e62372300e9efcbab82d795b8493f298
Author: Brad Smith <brad@comstyle.com>
Date:   Sat Oct 29 20:18:47 2022 -0400

    v4l2: dlopen proper library name on OpenBSD
    
    (cherry picked from commit ed4a5feb243a201b7890672f3d376b4586a16593)

commit 6e1a0b765c596c745a580db29ec27aacd07e6baf
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Oct 28 22:27:32 2022 +0300

    contrib: harfbuzz: Apply patches to fix building with Clang 16
    
    This is a backport of
    https://github.com/harfbuzz/harfbuzz/commit/d88269c827895b38f99f7cf741fa60210d4d5169
    and
    https://github.com/harfbuzz/harfbuzz/commit/60c6b7786d9f4651ae2803bfc4ff4435b38a5bc6.
    
    (The first patch is enough to fix mingw builds, but the second one
    is necessary if building harfbuzz on Linux with Clang 16.)
    
    (cherry picked from commit 75b0e59be9f989eefd76769fe7b4ae54acfd1471)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit a0eecd9ea891a561de59fc9a017b9455e2d336be
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Sat Oct 15 07:40:25 2022 +0200

    contrib: ffmpeg: use a release tarball
    
    There are proper release tarballs that we can use. It's must faster to get and
    extract than git. If we need new upstream patches we can cherry-pick them until
    the next release, like other contribs.
    
    (cherry picked from commit b0c7efaff3dcfc4c25484033d88c609947856b8c) (rebased)

commit 9b707dc06a022f88855ea3f41f29024019944137
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Sep 9 09:40:18 2022 +0200

    contrib: zlib: update to 1.2.13
    
    Fixes CVE-2022-37434.
    
    (cherry picked from commit 0c0ab8186a6ff5a6b1cff7c528fe01f822abd6ce) (edited)

commit e9eceaed4d838dbd84638bfb2e4bdd08294163b1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 13 18:25:12 2022 +0200

    Update NEWS

commit 4d9fbf01fea4a0c08930a96043c9d1db87b1f61f
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Oct 4 09:19:40 2022 -0400

    contrib: aom: update to 3.5.0
    
    See release notes: https://aomedia.googlesource.com/aom/+/refs/tags/v3.5.0
    
    (cherry picked from commit 27110b65c738c54bc47e437b5d5e971f5cb5edf5)

commit ad26d63aa48f0da1b67a8caf565a5e808b06f0d1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Oct 6 15:56:12 2022 +0200

    picture: align picture width to 64
    
    It seems the latest FFmpeg requires 64 bits alignment for some I420 output.
    
    Fixes #27285
    
    (cherry picked from commit fa75a43b0bb9b2997fda7006b6a83d697ecd6c89)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 535e17ff9faa95a819ab839891aba77d321b4691
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 9 20:53:44 2022 +0200

    On the road to 3.0.18, final NEWS update

commit 4492db0c0045cc87c2350206c7d6151479871380
Author: Brad Smith <brad@comstyle.com>
Date:   Tue Feb 1 22:57:25 2022 -0500

    configure: use pkg-config file for sndio
    
    (cherry picked from commit a9406397ed0342b3dae17a31ed54e46b4fb86407)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    
    Conflicts:
            configure.ac

commit 4b5506e3ff714f833afa6ca891de7ee6866e5e46
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Oct 4 08:29:32 2022 +0200

    Update po
    
    Fixes some fuzzy strings which are not connected to correct source
    file.

commit e0dc425706b4c834b421b09fd7ce3bba623363d9
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Mar 14 23:09:17 2022 +0100

    l10n: Chinese (China) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 34260a761a791ddbe33b2fbf23c683ef768f81f5
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Nov 15 22:17:14 2021 +0100

    l10n: Swedish update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit ee3714c92897cf5ea56300305602a0dfa08bc155
Author: VideoLAN <videolan@videolan.org>
Date:   Fri Jun 24 11:56:24 2022 +0200

    l10n: Slovenian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 48b532203b60997d534086a81c6516c46e22f2e7
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Sep 19 16:26:45 2022 +0200

    l10n: Portuguese (Portugal) update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit e8f0caa4c6f6bc8802f82fd9a157aec1c4f22ba7
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jan 24 16:56:00 2022 +0100

    l10n: Malayalam update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f7a3d10d3cef26a0e16c88d6c313ba13f85ad4c2
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 03:35:35 2022 +0200

    l10n: Korean update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 03f9ae417c77ebd782c4d9372e296465cec08f98
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Aug 11 23:56:48 2022 +0200

    l10n: Georgian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit a28646328105d21091d5e1478bae04bf2e4e908f
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Dec 18 20:48:18 2021 +0100

    l10n: Croatian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 1e326acedbb49ba7a3a0128536202afcde6f0815
Author: VideoLAN <videolan@videolan.org>
Date:   Mon Jul 12 19:28:36 2021 +0200

    l10n: Estonian update
    
    InfoPlist.strings: 100% translated
    
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit fef232f9f51af5503cd11de24075311463d4b561
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 8 10:53:50 2018 +0200

    darwinvlc: Use FromCFString
    
    (cherry picked from commit d75d12bee277760353a4b710f1703d3ef3944b32)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit cdd6c770726a4ea90b3dce0fda2cebd2899e08dc
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 8 10:52:58 2018 +0200

    darwin/dirs: Use FromCFString
    
    (cherry picked from commit 82c18a3b4b72b677f2576e4cc6197aaad2fc2a61)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit cbe4fe42c6bf68234e353606c739b53faa3e559e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 8 10:52:45 2018 +0200

    auhal: Use FromCFString
    
    Fix #27043
    
    (cherry picked from commit 43663467cb534b97c01c6d7828b4b942741a4529)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 4650bfe24d5f2059db14c3ba8b2b1c07f6276bd8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 8 10:52:00 2018 +0200

    text_renderer/freetype: Use FromCFString on darwin
    
    (cherry picked from commit 960a48626df9f0fcb4215394598977a347b34994)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0a0605d7c875b7df9b3f51f9541d180ea43f5c35
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Sep 30 02:49:25 2022 +0200

    upnp: Use FromCFString from vlc_charset.h

commit 233b0b87a0fee4f489be578231b9657c6e65bd82
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 8 10:51:33 2018 +0200

    include/vlc_charset: Add FromCFString for darwin
    
    This is a helper function to obtain the copy of a char* from a
    CFStringRef.
    
    Changes compared to master:
     - Include CFString.h instead of the umbrella header
       to prevent a type clash with guid_t declared in the
       CoreFoundation headers.
    
    (cherry picked from commit f4b57268547f27172966cc7d850f797acaaa77d3)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit bc266652766a3f2207b8439774ad98a216d2e5d9
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Sep 30 02:41:40 2022 +0200

    upnp: Rename FromCFString
    
    Preparation to add it to vlc_charset.h

commit ed93768cedee7dae31a5b44d57a38d59da4dd1cf
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Sep 30 10:36:07 2022 +0200

    configure.ac: Correctly set version to 3.0.18-rc2

commit 4fcace61801f418786c42487c6b06b693ee87666
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Mon Sep 19 17:17:01 2022 +0200

    vnc: fix possible buffer overflow
    
    Thanks to 0xMitsurugi [1] from Synacktiv [2] for the bug report and fix.
    
    [1] https://twitter.com/0xMitsurugi
    [2] https://www.synacktiv.com/
    
    Fixes #27335
    
    (cherry picked from commit 5eb783fd44ed6298db3e38f7765f21c42e4405f9)

commit 38bc5514cea24ecc2f78a8d3fc24de163b8cce63
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 5 10:37:12 2022 +0200

    demux: ogg: check ogg_sync_buffer allocs
    
    (cherry picked from commit 03100bbd06a1aeaf0cb580cff8204df3e05cb9eb)

commit 2154ab15f89b641b553da829fec5d55b67873eb2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 30 15:44:37 2022 +0200

    demux: mp4: fix qtff v1 divbyzero

commit 13426fb3eb33a64a4c03696a51101e3694806176
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Sep 28 20:23:52 2022 +0200

    Update NEWS for 3.0.18-rc2
    
    Update news, and bump version to 3.0.18-rc2.

commit d7ddba57d8ade41533cb02cb20d4106b4f14a04b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Sep 26 07:17:11 2022 +0200

    contrib: ffmpeg: update to the latest 4.4 hash
    
    In particular with the "lavc/pthread_frame: always transfer stashed hwaccel
    state" fix for #27343
    
    (cherry picked from commit dc1dea6ddd9e11fc25b2bd1c5da74afa04e23f65) (edited)
    
    edited:
    * 3.0 supports libav

commit 915f83e3034d185c255c47e02f816c6fe61a462f
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Wed Sep 14 11:50:17 2022 +0200

    contrib: upnp: remove wrong win32 safe wrappers
    
    Theses wrapper were too naively written and are causing a lot of
    regressions on windows.
    
    This has been addressed upstream [1]. And is simply reverted for now,
    waiting for a new release.
    
    Fixes #27306
    
    [1] https://github.com/pupnp/pupnp/issues/411
    
    (cherry picked from commit 751e0007e75da2fceba2f5d9f797db60eaef1db4)

commit a4c6e9973998d749e33ba15b43fc2665f9f194ba
Author: Juliane de Sartiges <jill@videolabs.io>
Date:   Tue Sep 13 16:26:41 2022 +0200

    kwallet: fix password search for password with either a realm or authtype
    
    even without an authtype the "?" widlcard was always added to search making
    kwallet return no password for that query
    
    (cherry picked from commit 862c4a2d9d04075f2e88c34cc011b9b06046263a)

commit cc4c37ebb32c0e519cf6959041e3bcb0d5f6922b
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 5 20:08:04 2021 +0100

    lua: intf: luac: fix usage instructions
    
    (cherry picked from commit 7c5203ab1a9ff788eb25c3c6da2bfb8e13819a0b)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 99c124c572b083c924fd163e588394d17ab4d145
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 5 20:07:51 2021 +0100

    lua: intf: luac: remove unused requires
    
    (cherry picked from commit 3ccfc790018c2ba8b8263e72bb7aeeb85dce00c6)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 3b25a57df3b54181a47707c0a4ac543fb26b8795
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat Nov 6 02:19:18 2021 +0100

    lua: http: custom: remove deprecated module function
    
    The file directly modifies the global table (_G) so it does not
    seem necessary at all to expose anything explicitly.
    
    (cherry picked from commit 33c7a44fd85c11c674c7564770eb5d073cbddf42)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 182e7f9e728af3e50c834b08d65c7d3ae60fe914
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 5 20:07:13 2021 +0100

    lua: host: do not use deprecated module function
    
    (cherry picked from commit 4109a34d6449b3a07c41c9fb269e2b18de769840)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit b922d86fa016cfe3899acf45d8b07be013d29fad
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Nov 5 19:56:14 2021 +0100

    lua: httprequests: do not use deprecated module function
    
    (cherry picked from commit 82dd26ccaf241ad6ae9463c8b9c320b17fdd9daa)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 251ef7ee09156a0926ab446af52f24982cfbfecc
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 4 18:10:58 2021 +0100

    lua: simplexml: do not use deprecated module function
    
    (cherry picked from commit c8a59b0ed0335ed3c6014314b97e2aa896690377)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 3ebac7971e481951050edc7861a83351081901e3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 4 18:10:51 2021 +0100

    lua: sandbox: do not use deprecated module function
    
    (cherry picked from commit 94aa14103d4de56a69a3d935d2dd983c9da870fd)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit e5ba5793de94172ee7d18c7439165ffc8fa9b039
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Nov 4 18:10:43 2021 +0100

    lua: common: do not use deprecated module function
    
    (cherry picked from commit bfc88aa7a1ac64761f1078785116fd25ab4574be)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 0e909a13aefa00f76edef0f41c644030753c1351
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Jul 28 00:33:24 2022 +0200

    share: lua: remove $Id$ magic comments
    
    These were used by SVN, we are no longer using that though.
    
    (cherry picked from commit 6995265a57b450c614033dd38b5f022e5886be6d)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 01dd8180f048de6c03f26e4290ab7c6b902222f1
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Sep 8 15:49:28 2022 +0300

    projectM: Force building with a specific older C++ version
    
    This fixes errors like these:
    
    libprojectM/projectM.hpp:303:8: error: no template named 'auto_ptr' in namespace 'std'
      std::auto_ptr<Preset> m_activePreset;
      ~~~~~^
    
    The std::auto_ptr type was deprecated in C++11 and removed in C++17.
    
    The VLC C++ headers use C++11 features, so the only working
    alternatives here are C++11 or C++14.
    
    (cherry picked from commit 4100c227d052cf5f804acd67904f698e89946110)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 41cf40b1799322e4cd38c1f5d81391016020da32
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Sep 8 15:28:02 2022 +0300

    contrib: modplug: Force building with a specific older C++ version
    
    This project uses the 'register' storage class specifier for a lot
    of variables, and C++17 disallows that storage class spcifier.
    
    This fixes building with newer compilers that default to C++17
    if nothing is specified (which is the default since GCC 11
    and Clang 16).
    
    When building with Clang 16 in C++17 mode, it fails with errors
    like these:
    
    fastmix.cpp:678:2: error: ISO C++17 does not allow 'register' storage class specifier [-Wregister]
            SNDMIX_BEGINSAMPLELOOP8
            ^
    fastmix.cpp:291:2: note: expanded from macro 'SNDMIX_BEGINSAMPLELOOP8'
            register MODCHANNEL * const pChn = pChannel;\
            ^
    
    (cherry picked from commit 72e7335d664905331768728e4afff8134d2d3ac8)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 0637137ad94702585111a35396bb9a1d926de8d7
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Sep 8 15:28:02 2022 +0300

    contrib: asdcplib: Force building with a specific older C++ version
    
    This project uses the 'register' storage class specifier for a lot
    of variables, and C++17 disallows that storage class spcifier.
    
    This fixes building with newer compilers that default to C++17
    if nothing is specified (which is the default since GCC 11
    and Clang 16).
    
    When building with Clang 16 in C++17 mode, it fails with errors
    like these:
    
    KM_util.cpp:357:3: error: ISO C++17 does not allow 'register' storage class specifier [-Wregister]
      register byte_t c = 0, d = 0;
      ^~~~~~~~~
    
    (cherry picked from commit fb8eb5edd26f856a1051b3b4525c0e6677aa2f32)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 3076009b25e859e9096de80e095fed9aa0b96efc
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Sep 8 15:15:15 2022 +0300

    contrib: projectM: Force building with a specific older C++ version
    
    This project uses std::auto_ptr, which was deprecated in C++11,
    so stick to compiling in C++98 mode. (Either C++98, C++11 or
    C++14 would work.)
    
    This fixes building with newer compilers that default to C++17
    if nothing is specified (which is the default since GCC 11
    and Clang 16).
    
    When building with Clang/libc++ 16 in C++17 mode, it fails with
    errors like these:
    
    <build>/projectM/Renderer/RenderItemDistanceMetric.hpp:20:46: error: no template named 'binary_function' in namespace 'std'; did you mean '__binary_function'?
    class RenderItemDistanceMetric : public std::binary_function<const RenderItem*, const RenderItem*, double> {
                                            ~~~~~^~~~~~~~~~~~~~~
    
    (The std::binary_function class is removed in C++17.)
    
    (cherry picked from commit 3e29d7f67991e60c8830e3a551419f7b8663f4b3)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit f5e69654c1b49cd73e5da4cb6e09704a54db1312
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Dec 11 11:57:13 2019 +0100

    mkv: remove deprecated std function
    
    std::mem_fun and std::bind2nd have been deprecated in C++11 and will be
    removed in C++17. They were replaced by std::mem_fn and std::bind which
    are easier to use.
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
    (cherry picked from commit 6fce792e89c8f3879705d0fc52caa43f699d5393)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 7c166c1451b50720ac5d2050c0f844034005ba35
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Sep 9 09:24:03 2022 +0200

    Revert "contrib: ffmpeg: fix a rare crash on some odd files with DVXA"
    
    This reverts commit ad8bbb0d4ba523b405d8134caf357ae78009b94a.

commit 7a6c749160da3748e3e3c826d87e216c8c88f91e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Sep 6 10:27:14 2022 +0200

    contrib: ffmpeg: update to the latest 4.4 version
    
    Includes some fixes backported to 4.4.
    
    (cherry picked from commit af785abd295bc9446eceaf127ccfc9d1759b64e9) (edited)
    edited:
    - 3.0 also supports libav
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4bb5e44373917ea06f0e94c75ca763200cce2d64
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Sep 5 11:48:40 2022 +0200

    VLSub: add 29 more languages
    
    This adds all languages supported by the OSO backend and fixes #27291.
    
    (cherry picked from commit bfdf6b056991c27fc74b3550d1bd386316be16ee)

commit 50d440647bd5a4c5828316c8a13e79ad91bf0fa3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 8 19:59:58 2022 +0300

    araw: fix overflows in 24-bit decoder
    
    The high-order byte is promoted to 'int'. If the high-order bit is set,
    this results in an overflow (into the sign bit) when shifted by 24 bits
    to the left. This was flagged by the UB sanitiser. To fix that, promote
    all bytes to 32-bit unsigned first, to perform overflow-proof unsigned
    arithmetic.
    
    Then to avoid aliasing errors, make sure the output is written as signed
    32-bit values, since the decoder outputs S32N.
    
    (cherry picked from commit 9260acab6a7ecfd5118d3da2b885aeff39cf21da)

commit 33b0b524b166f9ffd4b635d8a929ec8181d11578
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Aug 31 10:03:21 2022 +0200

    youtube.lua: bump up severity of "n" parameter throttling warning
    
    Due to the severely increased complexity of "n" descrambling code, a
    quick fix is unfortunately not foreseeable. For now, let users know more
    clearly what's going on and what's to expect or not.
    
    Ref #27227
    
    (cherry picked from commit 90dcfa0e78081770ecbd0a072b96a277aea4a214)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 00bd1f2d182b2ce0205699e8cbd88c5f867f2929
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Aug 31 09:39:18 2022 +0200

    youtube.lua: don't silently fail on "n" descrambling script parsing
    
    The descrambling script section was updated from a simple and linear
    chain of calls, to a complex execution tree with conditional branches.
    Failure to recognize and parse this call structure (or lack thereof)
    resulted in a silent no-op. Add a check to properly report an error.
    
    Ref #27227
    
    (cherry picked from commit b735ef2cde0e5b982ff157aff59199eeca9b3a71)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3f03bd047fb67a9cb27560b1902b038bbfda4fdd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Aug 31 09:31:14 2022 +0200

    youtube.lua: fix crash on unexpected "n" descrambling transformation code
    
    It was possible, when encountering different code from what was expected
    for some known transformations, to void the code parsing pointer instead
    of advancing it, resulting in a subsequent crash of the script and total
    playback failure. Add a fallback and check, to prevent and gracefully
    deal with this, and still allow playback, even if throttled, in case of
    descrambling failure.
    
    (cherry picked from commit 149444107513953b46f52675cea0408f324d4c04)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 0c8461b9619b03e713a505683b2e2dac757610dc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Feb 5 02:13:01 2022 +0100

    vocaroo.lua: pass HTTP referrer to media URL request
    
    Since last month, requests without a valid referrer get rejected with an
    HTTP 403 error.
    
    We might want to consider that the lua script API should track and pass
    such referrers by itself.
    
    (cherry picked from commit 3c9c32ab3bd0258aa55bd353609c96846ce21373)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c9ab8c60248a3ca898b003d9c7cb26b9eab12f1d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Sep 1 08:14:56 2022 +0200

    On the road to 3.0.18

commit 4508d659e18745207e6684b236e00ceed6fd6d55
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Tue May 18 15:06:50 2021 +0800

    demux: mp4: optimize mp4_chunk memory allocation
    
    1. Avoid dynamic memory allocation for small samples_per_chunk
    (less or equal to 2 sample per chunk). Depends on the test file
    and OS, the time taking by MP4_TrackClean can be reduced from a
    few seconds to dozens of milliseconds.
    
    2. Merge some allocation to single memory chunk. For mp4 files
    with a lot of chunks, the time taking by MP4_TrackClean can be
    reduced by half.
    
    (cherry picked from commit 979bca40665e33227d88d8b4329fe68ce54b3fc0) (rebased)
    rebased:
    * on 3.0 MP4_ChunkGetSampleDTS() has a different signature
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 21373dd130f445c3c4ebb12e33d7b235fe407d1a
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Tue May 18 14:53:02 2021 +0800

    demux: mp4: remove unused variable
    
    (cherry picked from commit 0ecf4e819bff81290fd3e218ad7eb47fd0051312)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0aecdcabaa27f32dc1e3de1832d22d9766cdfae6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 4 19:58:02 2021 +0100

    demux: mp4: refactor getting sample timings
    
    (cherry picked from commit fa6e7fed73becb9f73362e8013860a2708b6f9dd) (edited)
    edited:
    * 3.0 uses mtime_t
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ae37b9950425cc5444ceea9fb5b3dddc7de05ae2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 4 21:09:21 2021 +0100

    demux: mp4: only have unsigned pts offsets
    
    since dts_shift is always computed, that should be
    always positive.
    
    (cherry picked from commit 5132db8ad6840d04fbca1a0ea23db5cd1e5ac0a6)
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 373fd1433bd75abc22fa98677042562dc56414f5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 9 10:56:53 2019 +0100

    avcodec: map 10/12 bits greyscale pixel formats
    
    (cherry picked from commit 8263fd8bac67ecc5d6629ff5376973497fb54e2c)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9787c051507340792ab723cf90d1683f01761e6c
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jul 17 02:04:49 2018 -0400

    codec: avcodec: map Y16 (Fixes #20814)
    
    (cherry picked from commit e121a52d969faa5f2625a555219b0af1b3743b27)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3e3015430033ddf1c628cf27f4647e1ecddbd81b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Jan 9 10:51:51 2019 +0100

    fourcc: add 10 bits / 12 bits greyscale chroma
    
    (cherry picked from commit f50de4fa6453e6bc1a961e88e56f66d847af3ba7)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 27cb4bb1fd637a6dc94e538f8f2d3502c99ee74b
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Jul 17 02:03:42 2018 -0400

    fourcc: add VLC_CODEC_GREY_16{L, B}
    
    Refs #20814
    
    (cherry picked from commit 1c34053ec020be288d7dc6228f60681607c7adf3)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 49a27d65c6a9f57e4c7d560468a12b0fdac41b21
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 22 09:58:33 2022 +0200

    contrib: dvdread: do not use btn_it and its parent as packed structures
    
    The 4x 12 bits packing is making the bitfield packing messy and incompatible
    with (non)MS packing in dvdnav. In the end the structures are not read as
    packed structures so we don't need to keep them packed.
    
    Upstream patch proposed at https://code.videolan.org/videolan/libdvdread/-/merge_requests/42
    
    (cherry picked from commit 94db2f105f36c107115b8019ec4c91afc8ccdd18)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2d76f7dc422efdfc0d6c8ee920265bf1c7fc78ac
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue May 24 00:35:54 2022 +0200

    caopengllayer: fix wrong fullscreen size
    
    When transitioning to fullscreen, the codepath for non-live
    resize was used and did not trigger rendering here.
    As the size if now handled by the window however, this resulted
    in a wrong size as it was never actually updated. To prevent that,
    always render with the proper size from the layer regardless
    if we are in live-resize or not.
    
    Fixes #27276
    
    (cherry picked from commit 3f012cc366ac0448cbfbecae66a6b2a31dfea518)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit ae70f7d5252afa01b0c895e5c159beca918b5b93
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Aug 25 22:06:54 2022 +0200

    configure.ac: Use pkg-config to detect presence of libgme
    
    Use the existing pkg-config file to detect presence of libgme. This file
    is already shipped on all known libgme versions (checked back until
    0.6.0, which is from 2015).
    
    This fixes build with recent libgme versions, which added even more
    dependencies which were missing in the old check.
    
    Fixes #27262
    
    (cherry picked from commit 3a08825c8aea3148b4d51db85dd14d42c105987d)

commit 4a9c9b545dccdecc427e7052d40bb90e1a4eed07
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Aug 25 22:04:18 2022 +0200

    contrib: gme: Prepare pkgconfig file and list lc++ on mac
    
    On mac, we use libc++ instead of libstdc++. While the library is
    actually build against libc++ already, the pkgconfig file still
    hardcoded libstdc++ instead.
    
    Refs #27262
    
    (cherry picked from commit 9946913fa0ef9fbd56112fc69dd58a5c2b14650b)

commit b700dfd55eb9556118b1bc28c3f5dc0645d89d88
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Aug 26 08:51:27 2022 +0200

    contrib: gme: Add libm to pkg-config file
    
    This library links against libm, so it should be added into its
    pkg-config file for static builds.
    
    Refs #27262
    
    (cherry picked from commit e5831665ea30c9fe0c4beb63e835c634b8117ca1)

commit 90bbcedadbe985893706f7124cc472ee189b2b00
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Aug 25 22:02:34 2022 +0200

    contrib: gme: Depend on zlib
    
    The latest version of game-music-emu links against zlib if it is
    available.
    
    Refs #27262
    
    (cherry picked from commit adf27a00179849228dee9220128b04b4670a8219)

commit 5f94c5b72f3a2e4b6d6d49e23740b3b6996ec944
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 25 10:22:34 2022 +0200

    Revert "contrib: vpx: fix build with NDK25"
    
    This reverts commit fdb1909e6eb6f4f565a84a2452a53c4cc8433413.
    
    The 3.0 doesn't support NDK25

commit 675232e5932e5f205f03a485f1b56c7ae4f1ca6d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Aug 24 19:52:36 2022 +0200

    Update NEWS

commit d7d0bbf8be47bd242ab69375e39d3cf5754f8631
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Wed May 11 16:27:56 2022 +0200

    decoder: update i_bitspersample
    
    The field i_bytes_per_frame was updated, but not i_bitspersample,
    causing an inconsistency leading to a buffer overflow.
    
    Fixes #26930

commit 04b535561db7a11e3ca2684d31f09758957e2eb4
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Jun 29 17:58:33 2022 -0400

    contrib: vpx: update to 1.12.0
    
    Notable changes:
     - This release adds optimizations for Loongarch, adds support for vp8 in the
       real-time rate control library, upgrades GoogleTest to v1.11.0, updates
       libwebm to libwebm-1.0.0.28-20-g206d268, and includes numerous bug fixes.
    
    Bug fixes:
     - Fix to a crash related to {vp8/vp9}_set_roi_map.
     - Fix to compiling failure with -Wformat-nonliteral.
     - Fix to integer overflow with vp9 with high resolution content.
     - Fix to AddNoiseTest failure with ARMv7.
     - Fix to libvpx Null-dereference READ in vp8.
    
    (cherry picked from commit 1cc04dc41b047042fd5375e8313131176c85a2ff)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 75b8aa7a0594371d31fe4bdf2299e27ba08106f1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Aug 1 13:05:49 2022 +0200

    contrib: vpx: enable back i386/x86_64 asm on Android
    
    Since relocation issues are now fixed.
    
    (cherry picked from commit 4386bd5f3272f9e6dc410e9398071513c3187ade) (rebased)
    rebased:
    * no wasm on 3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit fdb1909e6eb6f4f565a84a2452a53c4cc8433413
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 26 16:48:33 2022 +0200

    contrib: vpx: fix build with NDK25
    
    Disable neon_asm since it rely on arm-linux-androideabi-as (removed in
    NDK25).
    
    Temporary commit.
    
    (cherry picked from commit 7be5d4d844361de2461c557ef0114eed3cdc5aee)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 1ba3efcd5ada73402c92104497529baede892f06
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Thu Nov 11 14:17:18 2021 +0100

    contrib/vpx: fix compilation for aarch64 simulators on iOS/tvOS
    
    (cherry picked from commit c32d801a882773c0f6b22999afcd3c3a297f76f8) (rebased)
    rebased:
    * no wasm support in 3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a5bdd659b5e828961a8d91cadc0418ab82249e38
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Oct 10 10:29:28 2021 -0400

    contrib: update libvpx to 1.11.0
    
    (cherry picked from commit 668ef74e5971e1d90666194964c8af046e7fe442)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bf49fd9a81e6d1848c57eced81542c2f3c21fb8b
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Mar 29 12:48:11 2021 -0400

    contrib: vpx: update to 1.10.0
    
    (cherry picked from commit 3d128f5b7eb4c0c4a3418e23a08369ad90eced6a)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit abf2379a6e29b0b8dbd4354fb2655da1da37b606
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Aug 31 22:32:08 2020 -0400

    contrib: update libvpx to 1.9.0
    
    (cherry picked from commit 5a88236177425c275cd9d18059db690467b187ae) (edited)
    edited:
    * header of the 3.0 pacth was different

commit 58d30c8b6432b8ba12f37f20900c9976670bab2e
Author: Johannes Kauffmann <johanneskauffmann@hotmail.com>
Date:   Mon Jul 11 19:35:57 2022 +0000

    demux: dash: include cstdint, needed for uint64_t
    
    Fixes #27077.
    
    (cherry picked from commit 6fca76ebd76bf8fce9b111e31bda64015cdc770f)

commit 7a1446e3852faaa22012b541332bef226e721843
Author: Johannes Kauffmann <johanneskauffmann@hotmail.com>
Date:   Mon Aug 22 22:54:55 2022 +0000

    OpenMAX IL: add more missing extern qualifiers
    
    Amends 8e50cc985ed1e6e42387af0383c37cfb5ffbf1d7.
    
    This should fix #24617, which is still an issue on 3.0.x (cf. #27256).

commit ad8bbb0d4ba523b405d8134caf357ae78009b94a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 22 11:16:32 2022 +0200

    contrib: ffmpeg: fix a rare crash on some odd files with DVXA
    
    There is a cleaner fix proposed but it may have wider impacts and needs to be
    checked on all platforms:
    https://www.mail-archive.com/ffmpeg-devel@ffmpeg.org/msg137976.html
    
    This one should be safe for 3.0.18

commit f5b18999bad3777d2b094097249f867fb840df77
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 18 15:04:27 2022 +0200

    contrib: dvdread: fix bitfield size in packed structures
    
    Submitted here https://code.videolan.org/videolan/libdvdread/-/merge_requests/41
    
    (cherry picked from commit a1e6e4dab2cc03ae63b1a39864fe39d74eb73e23)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d2cad92d01c55f4533e3ab18fb14ab168bb7cd2b
Author: Martin Storsjö <martin@martin.st>
Date:   Fri Aug 19 15:46:46 2022 +0300

    spudec: Fix function pointer incompatibilities
    
    This is an error in Clang 16.

commit 9e4d83f3826bbcd2cef9d16a7d624175cc203697
Author: Martin Storsjö <martin@martin.st>
Date:   Mon Aug 8 12:14:26 2022 +0300

    d3d11: Avoid -Wint-conversion errors
    
    Clang 15 made "incompatible pointer to integer conversion" an error
    instead of a plain warning. This fixes errors like these:
    
    d3d11va.c:426:29: error: incompatible integer to pointer conversion assigning to 'ID3D11DeviceContext *' (aka 'struct ID3D11DeviceContext *') from 'int64_t' (aka 'long long') [-Wint-conversion]
        sys->d3d_dev.d3dcontext = var_InheritInteger(va, "winrt-d3dcontext");

commit 71707c2ffe284fcf95d706fa65bb8f2012d64a4c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jul 9 14:27:42 2019 +0200

    ntservice: fix warning on losing const attribute
    
    (cherry picked from commit 6add3c05520f0a81f9fe61d27eb31f1e1a1a8919)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 957906afccb73492809446b0988cabf7f0486134
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 26 20:34:43 2018 +0200

    ts: fix invalid casts
    
    (cherry picked from commit 779c87eaff8399a3c7f65fe51fcf107c727fc227)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit b184d1fd45b68d6b7720b5d3f23bd5115b9d5c7a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Feb 26 20:46:04 2018 +0200

    yadif: fix invalid function pointer conversion
    
    (cherry picked from commit 87724691c899a02d94fb64a3ef16868d65f3551b)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 57df8aeee69f4e30eba16dae6c6650d374cafc31
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 3 09:04:50 2019 +0200

    winvlc: fix warnings
    
    (cherry picked from commit 260ee399c517721806076a6ffd6dec7875afa1a4)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit ab3617c26b444e7b9154d5e545c09c1bf170e5a6
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Jul 31 00:16:47 2022 +0300

    contrib: qt: Backport patches to Qt 5.6 to fix compilation with latest Clang
    
    Clang 16 errors out on ill-formed constant expressions when setting an
    enum value to an out of range value for a non-fixed type enum.
    
    These are all fixes that have been made in newer versions of Qt, but
    which are backported to the version carried in vlc contribs.

commit 1d4bcca17f9d00bf29fcbb76753a151a403ea847
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jul 11 17:18:05 2019 +0200

    contrib: crystalhd: fix forward declaration of a struct
    
    Clang doesn't like it and warns about setting the callback using this signature.
    
    (cherry picked from commit aee808c442476604846a8a33c48e51a0110957f7)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit f22fc52d2e78ccd1f065d84c96ed36cefb768d46
Author: Martin Storsjö <martin@martin.st>
Date:   Sat Jul 23 23:41:38 2022 +0300

    contrib: gnutls: Backport a patch to avoid -Wint-conversion errors
    
    Clang 15 made "incompatible pointer to integer conversion" an error
    instead of a plain warning. This fixes errors like these:
    
    system/keys-win.c:257:13: error: incompatible pointer to integer conversion initializing 'HCRYPTHASH' (aka 'unsigned long') with an expression of type 'void *' [-Wint-conversion]
            HCRYPTHASH hHash = NULL;
                       ^       ~~~~
    
    This backports
    https://gitlab.com/gnutls/gnutls/-/commit/88d79b964d88730e316919d6ccd17ca0fe9b3244.
    
    (cherry picked from commit ef1d4f3d22abacb6b5333e5c1a3ff943255f9101)
    Signed-off-by: Martin Storsjö <martin@martin.st>

commit 5c8512dfe1c5b2a2a918425b9de17c40be454675
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 4 09:50:52 2022 +0200

    contrib: upnp: Bump to 1.14.13
    
    (cherry picked from commit bf2819fd0bb212f200821ed33b8e041332b5a4ae)

commit f6bd67bbe7f273433a599fb528434ba43377dbf3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Aug 4 09:46:09 2022 +0200

    contrib: upnp: Remove unneeded patch
    
    If libupnp is built without --enable-debug, debug is entirely
    deactivated.
    When debug is enabled, users are required to call UpnpInitLog to enable
    logging, otherwise logs are dropped
    
    (cherry picked from commit be9bc069b0599d8b33c3023855c91abcecbfaa5a)

commit 07cd30a1cae34560e8d39be318847669c7306573
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jul 10 21:19:01 2022 +0200

    packetizer: flac: do not check min frame size for fixed block
    
    cannot pass on truncated end
    
    (cherry picked from commit 1db4d294ca8185e5a9e25d823c40677831d9f538)

commit affe9ad5acf87b1f48a593fcd10859da858f120a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jul 10 14:38:49 2022 +0200

    packetizer: flac: move frame check outside reader
    
    (cherry picked from commit 1c03970b91ac9fd9f75d144f9e301c7131445910)

commit afa25a995b5f68b63c92aec0b402db9c3d4220f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jul 10 14:38:09 2022 +0200

    packetizer: flac: remove useless frame_size
    
    (cherry picked from commit 54ffcdec205870e09d3a8cabf6c03e831fc95406)

commit 2b707aebc6e1f1f13e6cde18560eb86ed0d63b0a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 8 16:06:56 2022 +0200

    packetizer: flac: fix fixed blocksize streams last pts
    
    (cherry picked from commit 1cd8422afd1de99b80951817e89ad7271c8364e5)

commit 89fa35ef811ef10d3056a5e466aeb83cca716514
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 7 15:22:13 2022 +0200

    packetizer: flac: add comments
    
    (cherry picked from commit 6aeaeb610dc54af85c46a68159af2043feeae33d)

commit 7628565d292092ca0441a494eb320f7db45265de
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 6 11:25:16 2022 +0200

    packetizer: flac: fix potential endless loop on drain
    
    (cherry picked from commit d231265080bead89e3b6e031d3a85c37eb2b01ec)

commit a57c3a843dc5c84561af27d91e9c3bd2e4da407b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jul 10 14:55:59 2022 +0200

    packetizer: flac: don't send invalid frame on drain
    
    (cherry picked from commit 599757d9e43df3b2c95106aff77e595ad0d9cfe9)

commit 5d8eed501f537b29a7f9e3f9490c7215b4df36e4
Author: Alex Chernyakov <appdev@chernyakov.com>
Date:   Thu Aug 4 08:55:00 2022 -0400

    dynamicoverlay: Fix memory leak when updating pictures
    
    In exec_DataSharedMem() memory is allocated via the call to picture_New().
    This memory is correctly freed via picture_Release() if an error occurs,
    but if no error occurs and the function proceeds normally, the memory is
    never freed. When the DataSharedMem routine is called repeatedly (e.g.,
    to update a picture continuously), this leak accumulates very quickly.
    
    (cherry picked from commit 41c1d1a9eee6f580273cafff30e01abdf3d5ad2d)

commit 7a69931f84e5ecfcc51b3b731d4c2a834fcf2fe0
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 8 06:28:21 2022 +0200

    direct3d11: add missing allocation check

commit 0e4c20fc941f931679fc897ba70047cebaca402b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 4 13:24:24 2022 +0200

    doc: libvlc: add a d3d11 external swapchain sample app
    
    In UWP apps (and now libvlc) it was possible to set the swapchain and D3D
    context to use for the rendering, via the command-line.
    
    This sample app uses this functionality in a basic win32 app.

commit 408d6e7ef57490a6b41f8d69d2ebafd1083a841d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 4 16:38:04 2022 +0200

    direct3d11: reindent
    
    No functional changes.

commit 28e9869461bb05358da3fd9238a8deac081f704c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 4 15:11:47 2022 +0200

    direct3d11: allow external rendering even in non UWP builds
    
    It's still the only supported mode in UWP 3.0 builds.

commit f8969a6677b7f2390d2aaebc32bb944ae197edb2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Aug 5 07:24:25 2022 +0200

    direct3d11: move up fake UWP GetRect
    
    No functional changes.

commit 412bdb9938ac8a4b028c9219bd417a66285752c6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 4 10:59:07 2022 +0200

    d3d11: enable the WinRT context/swapchain hack to work in non-UWP builds
    
    Since there is not GPU callbacks in 3.0 this allows using a custom D3D11 render
    target with regular libvlc as we can do in UWP libvlc.
    
    Co-authored-by: Martin Finkel <me@martinfinkel.com>

commit 5270d387181ef4e1ad7f8e6c7f55fba85b8885d4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Aug 4 16:18:26 2022 +0200

    win32: common: avoid using SetRectEmpty
    
    We can do the same in standard C.

commit a65b22fd0b9026a48c92ce7891a9e5967a9f5930
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Aug 3 14:09:11 2022 +0200

    On the road to 3.0.18-RC

commit c8cd3f95e337856fd04efd8545708855d978ce0c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Aug 1 21:54:55 2022 +0200

    subsdelay: handle NULL segment text
    
    In some rare cases psz_text can be NULL, which would end up being
    passed to strlen, causing a crash.
    
    Fix CD 524d077a-d613-4f2f-85b1-2a2af0747888
    
    (cherry picked from commit 2322d55db35f8e44cba771600dd764816d4d0f42)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 941e4373017d71ae33d901f42adbd4222d00ecb4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jul 30 23:07:50 2022 +0200

    Contrib: update libbluray to 1.3.2
    
    (cherry picked from commit d0b87b53ac8ac941883c950c13f77abc964c7f22)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cdcf450c8ef00c682af82a66e889022bfdb91d39
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 27 00:02:41 2022 +0200

    demux: dash: have startnumber default when parsing timelines
    
    refs #27164
    
    (cherry picked from commit 9ba23e7d581144ffe3e3fad00d2d43ccdce21d43)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7c897c4dd89ce8593b5c3c26a1192a927f6b95b0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jul 28 15:35:59 2022 +0200

    avcodec: vaapi: use profile from AVCodecContext
    
    Like it's done in other part of the GetVaProfile() function.
    
    For the current issue, the extra data is set midstream by lavc (and not
    by our mkv demux).
    
    The 4.0 branch does not need this patch since the VAAPI initialisation
    is done by lavc.
    
    Thanks Steve for the hint.
    
    Co-authored-by: Steve Lhomme <robux4@ycbcr.xyz>
    
    Fixes #27163

commit d4dd33720a8fbf83feaf2e70970246f62910e313
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jul 25 18:07:57 2022 +0200

    access: file: properly report local files on Darwin
    
    While Darwin implements fstatvfs, the statvfs structures f_flag
    field is only defined to contain two flags, ST_RDONLY and ST_NOSUID.
    So the check for MNT_LOCAL would always be false, reporting all files
    as non-local.
    
    To mitigate that, on Darwin we can just use fstatfs and check
    statfs.f_flags for MNT_LOCAL.
    
    (cherry picked from commit 132ef662489942d81cf1d974690cf6f10589ce7f)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit acae96e091320da18730345d6eef7257fcb595ba
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jul 21 18:46:13 2022 +0200

    demux: oggseek: remove bos optimization
    
    prevents blind seek to start of stream as granule is never read
    
    (cherry picked from commit cd79514d7bfe666f72b1e88777ed69612bc7aec7)

commit 382cc2ee4bb12ad24d8bb95ef9ef251d74a71dbf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 11 10:23:16 2022 +0200

    demux: ogg: rename ambiguous member
    
    (cherry picked from commit 125a46cc6c8c60a5923084b525b02b509e8a9d7f)

commit 2e71199f6727e5c6e2f33a2a16d83341006b632b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 16 16:07:22 2022 +0200

    demux: ogg: store length as microseconds
    
    (cherry picked from commit ac81e531acee716fa6f9a73f84b3af4573726003)

commit ebfe150e1725cc1796b58ea46406e51632be23db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 16 16:03:26 2022 +0200

    demux: ogg: limit indexes
    
    (cherry picked from commit fc94fb4e0b2bb52f2e0ad38ae27a6122cf651c74)
    (cherry picked from commit 6a995af679cd9b5d144afe1096865fd29fe0b667)

commit 031f1f498f7418d6fada888266f9bcac77d474af
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 16 15:13:38 2022 +0200

    demux: ogg: simplify index stuff
    
    (cherry picked from commit 9a42c5312ad6f9ae4634371017b042d53eec954e)

commit 38fbf97ebde3d6ed8b90143f3ac568196dea944c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 15 21:49:46 2022 +0200

    oggseek: remove unused members
    
    (cherry picked from commit 3783f868b9427a1e16fd0d61a293ffd49973ba51)

commit 2146bad1cbc8ab8de7ea8c471fcfe28cee215488
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 15 10:06:41 2022 +0200

    demux: ogg: fix bisect lowest bound/index result
    
    (cherry picked from commit f3228de74c45b54f3b76e41edbb3bcaa395b56ea)

commit 28c8dece28316fa9c5d252ce93c007b6f952e0e3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jun 15 13:57:44 2022 +0200

    demux: ogg: set index on granule time instead of seek time
    
    (cherry picked from commit 22bd3d8beeb7f49e1fcbbf755078be10955eeea8)

commit 704f40be73de1e3626b3897663cdafa11f6706f8
Author: Johannes Kauffmann <johanneskauffmann@hotmail.com>
Date:   Sun Jul 17 22:15:58 2022 +0000

    contrib: live555: remove unused patch
    
    The currently used live555 version already includes this patch. It
    hasn't been applied since 8297724513df61423258c75d4b16a609a8a2eb2c.
    
    (cherry picked from commit d882aa8718586970f3fdb8f9ffefab823ea10682)

commit af6a5e0c985dd40495a385e7397397fdcdcb775a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun May 8 22:06:20 2022 +0200

    Contribs: update ssh2 to 1.10.0
    
    See #26921
    
    (cherry picked from commit aecaaec7fa874a2f3c76f4c99142b1bee4697bae)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f036e74382c086ca37c112f29fffb098180b88e9
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Jun 27 18:19:14 2022 -0400

    contrib: speexdsp: update to 1.2.1
    
    (cherry picked from commit 989a6ac84a412e2cbda289a851876561544f028f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b101db1533b46757dd5f89ff159b6e180b99a53b
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Jun 7 14:31:38 2019 -0400

    contrib: update to SpeexDSP 1.2.0
    
    (cherry picked from commit 01297f16723e0fa70778d4e7fca376a9c115195d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c1a0885133d702cbbfdf9737b93a4a66f04248f
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Jun 27 18:17:56 2022 -0400

    contrib: speex: update to 1.2.1
    
    (cherry picked from commit 8ded42d7754161ea8968ff5659c12866ccd60024)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c9ebb18bf533884eaa74677b525f690eb678fd55
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jun 11 17:59:53 2022 +0200

    Contribs: update libarchive to 3.6.1
    
    Multiple OOB-read, heap buffer overflow and user after frees
    
    (cherry picked from commit 8ba00fbeaa8d8338e6d66ed662f08709d11c5128)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b9952013d2a5456076238bbd37c9adbc496e5186
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 17 10:37:42 2022 +0200

    Contribs: update mpg123 to 1.30.1
    
    (cherry picked from commit 3a1a8d1d2466007b3a7bcab2e96e907d03afb2f7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 97244141017e4f1cf8ee5f7943d571f4ee951c28
Author: Sebastian Keller <skeller@gnome.org>
Date:   Fri Jun 10 17:48:39 2022 +0200

    qt: unmap indirection X11 window before reparenting it back to root
    
    Reparenting a mapped window to root causes it to become a toplevel
    window and can cause window managers to reparent the window themselves
    to show their decorations.
    
    This could happen in two situations:
    
    1. Theoretically it could happen briefly between WindowReleased and
       WindowClose.
    2. It could trigger a race between VLC and the WM if there is a quick
       sequence of WindowOpen -> WindowReleased -> WindowClose -> WindowOpen
       such as when using single instance mode. If the X-server in this
       situation happens to re-use the XID of the X11 indirection window
       from the first WindowOpen for the second WindowOpen, this could
       result in the following race:
       - VLC creates a new X11 indirection window, reparents and maps it
       - VLC reparents it to root
       - VLC closes the connection, freeing the XID
       - VLC opens a new connection
       - VLC creates a new indirection window with the same XID as before
         and reparents and maps it
       - The X-server sends a MapRequest for the *first* X11 indirection
         window caused by the reparent to root to the WM
       - The WM sees a new toplevel window and reparents it. Because the XID
         used by that reparent request is the same as of the newly created
         indirection window, the new window ends up getting reparented.
       This then would result in the indirection window remaining as
       toplevel window. The exact order might change slightly between the
       different processes, but as long as the reparent request by the WM is
       the last one, the issue will trigger.
    
    Closes #25692

commit 06ae3cf5962550e916e694e42a28bdffbe5ac5a0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 17 10:23:29 2022 +0200

    Contribs: udpate GnuTLS to 3.6.16
    
    (cherry picked from commit f133190aedd7d65d4d34534496a15c41115d10a0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a07879c67f012eec0d8e0c589424371455f557ac
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Feb 23 17:52:22 2022 +0100

    contrib: update nettle to 3.7.3
    
    (cherry picked from commit 263b3cbbf6c9dcb8978f355f5f28080525d6a856)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 05445b74a38d045cb28f71f96ccbe882445a031e
Author: Johannes Kauffmann <johanneskauffmann@hotmail.com>
Date:   Wed Jul 13 18:21:28 2022 +0000

    access: live555: Adapt to 2020.12.11+ API changes
    
    Since live555 2020.12.11, the API has changed. This should fix builds
    with the latest version while still allowing contribs to pass.
    
    Ref !1897.
    Fixes #25473.
    
    Co-authored-by: Dominic Mayers <dominic.mayers@meditationstudies.org>
    Co-authored-by: Pei Jia <jiapei@longervision.com>
    (cherry picked from commit 70fedf2523a3ae5b3c41234f0bf37cd6e57e01a6)

commit e41f0913ef155072a35d87d4c6b3eb6a1270e835
Author: Tun Fenng <fenngtun@gmail.com>
Date:   Fri May 13 00:59:01 2022 +0000

    mux: avi: fix HDRL length
    
    AVI files recorded by vlc cannot be played in Windows Media Player
    because the HDRL length is calculated by 4 bytes more.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 0e1fbc77fe55dd763d5a7767b09e596c5a7d7989)

commit 8761dbe132bcd6f8b4bc9a5c29672f9937eeedae
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jul 5 15:10:40 2022 +0200

    Revert "smb2: fix anonymous login"
    
    This reverts commit 205963ad09401ab3cbe5bf92c7f9b109092f87f4.
    
    According to git blame on libsmb2, anonymous login was always enabled
    with a NULL password.
    
    I don't know what happened when I tested this reverted commit, I may
    have mix up VLC or/and smb/smb2/dsm builds.
    
    For future reference, see libsmb2/lib/ntlmssp.c:
    ...
    encode_ntlm_auth(...)
    {
    ...
        if (auth_data->password == NULL) {
                anonymous = 1;
                goto encode;
        }
    ...
    }
    
    Fixes #27113

commit 1584eaa5b4389adbb3b53a81977650171cada3b8
Author: Maxime Chapelet <umxprime@videolabs.io>
Date:   Thu Jun 30 09:26:52 2022 +0200

    vout ios : use the mouse-events var to activate tap gestures driven mouse events
    
    backport !2167

commit 3a8e8002d371d31f694a79d616d25132ac614228
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 30 11:52:31 2022 +0200

    demux: flac: simplify condition
    
    (cherry picked from commit 61a05c739b2b4ccc4a4515269ec65207ed03acbe)

commit 719e63f613e74eb1d4f96008a85073bd61bdbd1c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 30 14:03:09 2022 +0200

    packetizer: flac: fix leak on error
    
    (cherry picked from commit 5a3b687bf165656a6697b053d3499f7376d61ec8)

commit 47243c4a85d0cc0a8ff5a54f775e314c71fa7199
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 27 19:23:49 2020 +0200

    packetizer: flac: allow to parse smaller than max header sized blocks
    
    (cherry picked from commit 0337ab24f41197f9ab5b7c7e8fe4c4b248e23609)

commit dcce8e52b9ef4584e7db289b4f397ff2c3bcf6bf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jun 28 15:13:51 2022 +0200

    ci_filters: add P010 support
    
    CI filters don't work directly with P010, but the module will use a
    P010->RGBA GPU converter automatically.
    
    Fixes #27100
    
    (cherry picked from commit 08894288cd66f09aaf621b03c467bdc97b80c80b)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 98ccd7a722f9db0493ee0557b90be0318ff585b4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Jun 30 09:47:06 2022 +0200

    modules: Fix leak on error path

commit bdeae9ac5eb9b1fb6ab6703b35c16870886cc0e1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 21 16:22:52 2022 +0200

    doc: libvlc: add the CMakeLists.txt to the tarball
    
    (cherry picked from commit 090b5ee9d29cbb55fd9d4d4e34c8bc33b1513d7c)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9deff7e00d1633dd877a38de8b887f21b7f055e1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jul 2 10:33:03 2020 +0200

    doc: add the libvlc set_hwnd sample code
    
    (cherry picked from commit 1c4ec06836a7002ac9378a1d45fefc48711c0572) (rebased)
    rebased:
    - 3.0 doesn't d3d callback examples
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 797db11c29af7a4805353adf6c74d8b5c1439b68
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Jun 21 15:50:55 2022 +0200

    doc: libvlc: fix MSVC build
    
    `ssize_t` doesn't exist in MSVC and is not used in included headers on 4.0.

commit 214a24cc6bdfa4a8059f288663ee81fb799b69e1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 28 15:32:22 2022 +0100

    doc: libvlc: add a CMake makefile to build the win32 samples
    
    CMake has good integration with VSCode which makes it as easy as just loading
    the folder in VSCode, set the SDK folder and build.
    
    (cherry picked from commit e70bb0163093c2f7d846de902f0dad8591c40823) (edited)
    edited:
    - 3.0 doesn't d3d callback examples
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 58a4b93a02f17aebb4c47a795a440208ba919628
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 1 14:37:05 2022 +0100

    doc: libvlc: fix type casting
    
    (cherry picked from commit db6ad1bc86580290eb27013e126b3e031d3aa5df) (edited)
    edited:
    - 3.0 doesn't d3d callback examples
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit da51e70eb556236f9dc614ee5fdf1027a573e85c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 28 15:02:59 2022 +0100

    doc: libvlc: use _strdup() on Windows samples
    
    strdup() is issuing a deprecated warning with the MS SDK.
    
    (cherry picked from commit 4bad605e3b98ea48a91d422775ee2bb3500593cc) (edited)
    edited:
    - 3.0 doesn't d3d callback examples
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit be49e6646a4a6a35c6a079fa1012029446cb3bd1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Oct 12 11:37:23 2020 +0200

    doc: win32: handle 'a' keyboard key to change the aspect ratio in sample apps
    
    Use the same shortcuts and values as in VLC.
    
    (cherry picked from commit 7d00336823c380b89bd8a95e7c953a3b7526d2ed) (edited)
    edited:
    - 3.0 doesn't d3d callback examples
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2f111e0244d1278c460ef9205305f6b6bc1df219
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Jul 2 11:36:10 2020 +0200

    doc: libvlc: add drag and drop support to the basic set_hwnd sample app
    
    (cherry picked from commit e44940dd92337df4c8a33b91b97a7e54121347f3) (edited)
    edited:
    - in 3.0 libvlc_media_player_stop_async() doesn't exist
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 3e6cf18f1e2dd4d69fc2a3095e1d7b475c2a9b0e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 5 15:27:41 2020 +0200

    doc: libvlc: add a simple win32 app using set_hwnd()
    
    (cherry picked from commit 4a91e760ae232de0eb58cf4fe1c380bf61aa981a) (edited)
    edited:
    - in 3.0 libvlc_media_player_stop_async() doesn't exist
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c4150b4d03467d336aa7590efd501bee51d7042e
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Jun 23 10:51:58 2022 +0300

    contrib: qt: Backport a patch to fix compiling with latest libc++
    
    The class std::unary_function was deprecated in C++11 and is removed
    in C++17. The latest libc++ has caught up with this and now hides
    this class when building in C++17 or C++20 mode.
    
    Backport a patch from Qt v5.11.1 that removes usage of this class.

commit 3b3cb6287c9b9f06cc73b58b276fabaff7bde4e8
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sat Jun 25 09:42:39 2022 +0200

    CI: use monterey builder for macOS-arm64
    
    This updates the tag for CI jobs for macOS to match the current
    infrastructure as there are no catalina builders left.
    
    This change does not update the used SDK or Xcode version, it just
    reflects the change of tag names.

commit 327a9cf0300232d298be89887fa321b883f27a67
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jun 21 20:14:50 2022 +0300

    qt: do not normally reparent the video
    
    When the video window is closed normally, there are no needs to
    reparent it. In this case, we can retain the pre-3.0.13 behaviour
    whence we simply close the video window as a children of the Qt UI.
    
    This fixes a transient visual glitch when stopping playback or
    disabling the video track. This also saves one full round-trip through
    the X server at that time as XSync().

commit 958be95e2aeaefa9127f15e8d4d90dacca36a06d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jun 21 20:11:40 2022 +0300

    qt: add flag to orphan the video
    
    The video widget is normally released when the window provider is
    closed. But it can also be released when the main UI is closed, even
    though the window provider is still active.

commit 8924d194809c4d8def87ab85399648357acb6e2c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jun 21 19:45:21 2022 +0300

    qt: remove write-only field

commit 68e5d977277f874861916286b4dcc58535a9f7a0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 07:59:58 2022 +0200

    smb2: explicitly handle -EINTR
    
    Even if it is redundant with vlc_killed() (but not all APIs return
    -EINTR when killed).
    
    (cherry picked from commit 797e1f3b979fca463030608db1513a81228c624c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 20374d30a1331b6224f8ab6f49212ff87b10c05c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 07:59:10 2022 +0200

    smb2: handle vlc_smb2_resolve interruption
    
    (cherry picked from commit fea7a18a91cee9edaf629589980bff5ea0192573)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9c3dacd9e9f052dbe6e8a062f5d8ef3eb271756f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 07:56:18 2022 +0200

    smb2: vlc_smb2_resolve: return -EINTR when interrupted
    
    (cherry picked from commit bb33734cdf2a0f1f5ea19e42b6596208395ea1f3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a2d420086f222af524d2b39f0c660a689af0c6e9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 08:06:24 2022 +0200

    smb2: forward the vlc_interrupt_unregister() return value
    
    (cherry picked from commit 99a4deaf06ae57383fc887ec976f1e510aef6978)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f7ff0361992a4c0a83e3ca8331ff94cc3ea0fe96
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 07:53:36 2022 +0200

    smb2: vlc_smb2_resolve: return an error code
    
    (cherry picked from commit cbf16982cfa4457bd2f319e5d399e0455c512a16)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6136d0e59afbedb5602005c4f455adfd540c2e40
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jun 2 07:14:10 2022 +0200

    contrib: libdsm: update to 0.4.3
    
    Fix connect() not interruptible on Linux.
    
    Fixes #27027
    
    (cherry picked from commit 7ea6ce343341a4170234364f80987bbd7f64d005)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 0a9127646d297337d9ec04d7b77c19cdb421877c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Jun 1 16:43:33 2022 +0200

    dsm: abort if netbios_ns_inverse is interrupted
    
    (cherry picked from commit 30eb1b27cde532d8c9ab6dee2f4cc6cdd1cdcf41)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit f026d55f3cc008c43a60b78a74f0cae33028b0bc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 08:18:51 2022 +0200

    dsm: handle missing smb_session interruptions
    
    (cherry picked from commit bdc351dfe5df180dcacda06e54527f9c8d04226d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit e85012d051b957dda85abd0ebafde52f5094bc49
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jun 3 08:09:46 2022 +0200

    dsm: forward the vlc_interrupt_unregister() return value
    
    (cherry picked from commit 26af61217bf0d8cd85aa811a98ec403a0951a29c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8e5e07661fe5baab92d97230b8226ba47ef3540d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jun 17 18:29:44 2022 +0300

    Bump SO revisions
    
    As per the built-in release how-to.

commit d68b590f6735436e54ab717e7b47de881bdacb2b
Author: Eugene Popov <popov895@ukr.net>
Date:   Mon Jun 13 23:33:31 2022 +0300

    Fix the playback bar is not aligned to the bottom in the FSM on Linux
    
    The reason why the playback panel is not aligned to the bottom in fullscreen mode on Linux is because the desktop environment panels (like taskbar, topbar, etc.) set `struts` that limit the area over which the top-level window can be moved programmatically. To get around this, we need to tell the window to ignore window manager hints (by setting the Qt::X11BypassWindowManagerHint flag) and manually limit its movement.
    
    BUG: 22563

commit e0a99d6364f4a0e57cdbd81a71c9fa04f052a260
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Tue May 17 16:01:30 2022 +0200

    contrib: upnp: disable webserver and device handling
    
    VLC 3.0 uses libupnp exclusively as a client. LibUpnp internals are
    quite opaque and it has been observed that a webserver thread is still
    running on idle with open sockets even if the library is used as a
    client only.
    
    The recent bump to 1.14 introduces regressions in libupnp's webserver
    socket initialization [1] on windows. Since the bug is still not
    corrected upstream and we don't have any use of the webserver for 3.0
    anyway, let's just disable it.
    
    [1] https://github.com/pupnp/pupnp/issues/195
    
    Fixes videolan/vlc#27001

commit 39638035876cdd254c6dab8c4989cc3e73b1054e
Author: Romain Roffé <rofferom@gmail.com>
Date:   Thu Jun 2 10:07:20 2022 +0200

    package/macosx: Fix plugin installation
    
    Backported from VLC 4 (RTP plugin weren't included).
    
    (cherry picked from commit b4d191ddbcaa7031547dcabad2fe589e35defc12)

commit 095bfffb29fbe0fa4cb0542f3654139738df6c88
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Fri May 29 10:22:47 2020 +0200

    smb2: support browsing files when running on a non standard port
    
    (cherry picked from commit b967d0a028f138c8d10aa7b0ce8d865691b6855e)

commit 0ab339eae8437b60c78ca3b61dd9801caa1b0870
Author: Pierre Lamot <pierre@videolabs.io>
Date:   Thu May 28 15:34:56 2020 +0200

    smb2: build smb2 urls using memstream rather than complex printf construct
    
    (cherry picked from commit 9775ae34a9a44156b7de21d98f3662381c22df47)

commit 0f7d74a4ac554aa4c6ce68dac83b678b840d5c06
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jun 7 17:57:53 2022 +0200

    Update NEWS for 3.0.18

commit 34d3341b7998f6c72e4bb6b2f4b86fbdb8a24c18
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 4 15:07:58 2022 +0300

    vdpau/display: fix SPU blending offsets
    
    (cherry picked from commit 329bd3c8a3d73b77263b5d98e4e0d2a9e3f9e638)

commit b82adb0506d549d5824395e293b76484b396e5a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jun 1 18:15:20 2022 +0300

    wall: fix non-first abscissa of non-8-bit samples
    
    The X and Y values are pixel coordinates in the potentially subsampled
    plane resolution. This must be converted to an octet offset as the type
    of the pixel plane pointer is pointer-to-uint8_t.
    
    So the X value must be multiplied by the sample size. The current code
    was instead rounding the value down to a multiple of the sample size.
    
    Bug reported by Philipp Marek on IRC.
    
    (cherry picked from commit 87733c5011912e3f46e48948b0fe116b72bfa83f)

commit ac99644169fec8213b6f0395807be2f76dd36106
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 19:25:39 2022 +0200

    Contribs: update libxml2 to 2.9.14
    
    Fixes notably:
    CVE-2018-9251 CVE-2018-14567 CVE-2018-14404
    CVE-2021-3541 CVE-2022-23308 CVE-2022-29824
    
    And move to the official Gnome Infrastructure
    
    (cherry picked from commit 471fd489f3f38c04b131689933d3e7129e5d274a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6fe773f8a7d69fc265f1bd1dab96b6c34ce9f8cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 15:33:24 2022 +0200

    Contribs: update dvdread to 6.1.3
    
    (cherry picked from commit 7cb4924ed9061d3e92af0d2d5d3ed14ed3c4d573)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e281e5ac20c72c4b336e58fd7a1b478db1306b44
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 18:24:49 2022 +0200

    Contribs: update harfbuzz to 3.4.0
    
    The next release, 4.0, is a massive API change
    
    (cherry picked from commit 6e3bfdbf1157133dc41ebcdb65d9d7b56e182ec2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4239318517901f5fa0bdacbb5b818bcd44ffbf5
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 19 14:32:35 2022 +0100

    contribs: harfbuzz: Disable some unneeded components
    
    (cherry picked from commit 02eb6943cb8c8b548fcb93be050be07925b5b960)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 18b76d896ccf50bc76cef9920d6386eb51583c9d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 19 09:47:51 2022 +0100

    contribs: harfbuzz: Switch to meson
    
    (cherry picked from commit 6d6330303d198b46b9344b87ad9d899610a9f199)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5305f19d3861480cc8aa7795613552671c46d678
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Jan 19 09:34:33 2022 +0100

    contrib: Bump harfbuzz to 3.2.0
    
    (cherry picked from commit fa081b46cd8d0db0e8b784f4999d75fab90b0559)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4042eb23064e396000b8ac14af867e96345436d5
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Jul 7 12:49:20 2021 +0300

    contrib: harfbuzz: Reapply fix for building with Clang 13
    
    The previous fix was dropped in 233747ab4c59338b48a986f174a0555b7923cd57
    when updating harfbuzz. The previous (local) patch for fixing the matter
    didn't fit without conflicts - instead of updating that patch, backport
    the upstream fix (removing the unused variable - our previous fix was to
    remove -Werror for -Wunused).
    
    (cherry picked from commit 3d38357a4bc65bb7b234866af4a93dda51b8d7e2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0a56d0839faf9b873c016cafd262c087e1ff325e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jul 3 13:58:01 2021 +0200

    Contribs: update harfbuzz to 2.7.4
    
    (cherry picked from commit 233747ab4c59338b48a986f174a0555b7923cd57)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 821ab225783efbe84d2e2b33fbd1333e008b903d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 18:18:41 2022 +0200

    Contribs: update Freetype to 2.12.1
    
    (cherry picked from commit 8b041de7ddf03f7342f159b4333fae48272d9aa4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1dbd441161c3b2f10f15bebf4296bd7389fd1da1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 18:20:39 2022 +0200

    Contribs: update fribidi to 1.0.12
    
    Fuzzing fixes...
    
    (cherry picked from commit d6294b20cfafb070fcfa9663c3d3184d44994f50)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 47776b7ff15195915eddf52fd28e4f0d25a987d1
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Sat May 28 22:28:19 2022 +0200

    codec: videotoolbox: handle kVTVideoDecoderReferenceMissingErr
    
    The kVTVideoDecoderReferenceMissingErr error is not a critical one,
    but without it being handled here, it would lead to aborting with
    VideoToolbox and falling back to Software.
    
    Reproduced this with a sample provided by zhilizhao(赵志立),
    related to !1790.
    
    I assume that before this error code was introduced in macOS 12/iOS 15,
    VT did just return the NULL image buffer with a success status code,
    leading to the issue seen in !1790.
    
    (cherry picked from commit f7434e60fc38e78b9356600d1452e850eb5ec2d9)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 21952d524f25504d10f43089058a0ddf8ec9e67c
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Apr 7 23:11:47 2022 +0200

    ftp: properly parse MLST facts
    
    Fix #26046
    
    (cherry picked from commit c8713775c899ac4704e697021a0d6fb117fe4b54)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit dd4d83b9605c42f58dfb50dce100e721e958a1e7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat May 28 16:02:19 2022 +0200

    Revert "configure: rectify minimum libdvdnav version"
    
    This reverts commit 794d986264f6f98107abf1d8569208d2360b299e.

commit 272dbce8e36cd7eb122001a7592fd44573e48e80
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jan 29 16:38:35 2022 +0200

    cpu: compile-time RISC-V FPU detection
    
    (cherry picked from commit 96ae63596e4715259e607d3f88f005f0128cb5e3)

commit 9e07e155a93d53478098e00af963f85206bdc617
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jan 26 17:52:15 2022 +0200

    linux: use futex_time64 where applicable
    
    This adds support for 32-bit RISC-V, which only supports 64-bit time_t,
    and thus lacks a plain futex system call. This also adds (future)
    support for building with a 64-bit time_t ABI on a 32-bit platform.
    
    (cherry picked from commit 949fb1d03d57d18009e20bb821f9d3e70db17ab8)

commit 1f523e7d9f228027dbd60bee0be6e7511dacfffe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 26 10:27:38 2022 +0300

    linux: include <assert.h>
    
    Needed for following backport.

commit d82e6673f6210cde726310e976b16744eb8f584c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jan 22 13:09:57 2022 +0200

    contrib: check for FPU on RISC-V
    
    (cherry picked from commit e0c0e00927ca65f1f4ed7edddf312a58d2bbac94)

commit 57f68f4a2fa2a05c17c66b0caabcf2a233e94127
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 18 23:01:49 2022 +0200

    contrib: postproc: add RISC-V
    
    (cherry picked from commit 197442ca280865815d3b55882bd3813fbdc8753f)

commit e9bc5aea5eb0362e3d730cb9ece475e6a43f3471
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 18 23:00:54 2022 +0200

    contrib: ffmpeg: add RISC-V
    
    Note that a newer version of FFmpeg is necessary to get actual
    platform-specific acceleration. This merely allows plain C build.
    
    (cherry picked from commit 13bfd3b4b89d89bd323a64b2fcb798e511d8f01c)

commit 22f6fdb9d4a754aa93fd610ea3c4f41ca5e1f990
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 24 20:00:08 2022 +0200

    Contribs: update zlib to 1.2.12
    
    Close #26774
    
    (cherry picked from commit ff7ab55ff1688c018077f230a471d9332514d523)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cec83d0bc7a481762a88e6a6cd1629d7a5a1bdef
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Sat Nov 13 18:20:07 2021 +0100

    caca: update contrib to 0.99.beta20
    
    The new contrib fixes a bunch of reported CVE:
    
        CVE-2021-30498  (tga export, not concerned)
        CVE-2021-30499  (troff export, not concerned)
        CVE-2021-3410   (canvas.c, v0.99.beta19)
        CVE-2018-20546  (dither.c, v0.99.beta19)
        CVE-2018-20547  (dither.c, v0.99.beta19)
        CVE-2018-20545  (load_image, v0.99.beta19)
        CVE-2018-20548  (load_image, v0.99.beta19)
        CVE-2018-20549  (caca_file_read, 0.99.beta19, not concerned)
    
    See release note[^1] on the github project.
    
    It also allow to migrate the use of the new API instead of libcucul,
    which has been merged into libcaca since 0.99.beta15:
    
        commit f61816ceb7445f8bf818936151554ac060764b39
        Author: Sam Hocevar <sam@hocevar.net>
        Date:   Sat Sep 27 13:12:46 2008 +0000
    
        Starting refactoring to get rid of libcucul. The initial reason for the
        split is rendered moot by the plugin system: when enabled, binaries do
        not link directly with libX11 or libGL. I hope this is a step towards
        more consisteny and clarity.
    
    It was then completely wiped out by the following commit, which is part
    of v0.99.beta20:
    
        commit 5f0ec215f8c9915ed028324a8ecac8212f68e18d
        Author: Sam Hocevar <sam@hocevar.net>
        Date:   Thu May 3 10:33:30 2018 +0200
    
        Remove legacy code from 10 years ago.
    
    Check NEWS for details:
    
        \section news0_99_beta15 Changes between 0.99.beta15 and 0.99.beta14
    
         - libcucul was merged back into libcaca for more clarity
    
    [^1]: https://github.com/cacalabs/libcaca/releases/tag/v0.99.beta20
    
    (cherry picked from commit 2d5974555729b0915e9280e822cf66c2dd3304f8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 649fb5fd0964cabd7a101231458ae09530129af1
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 9 09:11:16 2019 +0200

    contrib: caca: fix missing libs when linking
    
    On linux, -lslang was not added on LDLIB
    
    Fixes #17251
    
    (cherry picked from commit 47b1670197fd74473ed31048529c4567ef0a27ce)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 248ddd7e561378357781977867adf1ebe4e24ba4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Oct 9 08:59:55 2019 +0200

    contrib: caca: call pkg_static
    
    This fixes -lz that is not added in ldlib on linux.
    
    Refs #17251
    
    (cherry picked from commit a6534de9f64ae8801c14c6472a22006cf6e22946)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4e28a05f2b66404bc7c9bf35e2764fb587d5651e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 8 20:36:29 2019 +0300

    contrib: caca: disable ncurses on Linux
    
    It does not compile.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 7330c600b04894a23c031f3850ee27103f7dd550)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bb9786f2b48e1087b59730e6ab4002d2818da6d7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 8 20:36:28 2019 +0300

    contrib: coloured ASCII art: disable GL support
    
    Otherwise it is autodetected, which leads to nonreproducible builds:
    depending if GLUT is available or not, OpenGL is enabled or not.
    
    This also might fix #20543 (cannot be verified due to #17251).
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 33e119bf9fd223ca3f8bf1f4790d2a8f83be08a3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a53365101e1330d7400fda1c68852d92172e8f33
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 16:58:55 2018 +0200

    contrib: caca: fix ln -s calls on Windows
    
    autoconf detects what the system should use to link files
    
    (cherry picked from commit 85e51c1c769f46faa7e5ddb0ce332c8e85056cfb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit da98390d8569b985ab830e7d14cf1036d28c6ce3
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 28 09:54:08 2016 +0200

    contrib: caca: build without ncurses on Windows
    
    That's what the bot does and it fails otherwise.
    
    (cherry picked from commit 2ab65c0a35b8023a9b293241561f36c67140bbf5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b689202d9f1621e82acb0976b6bb31455735a535
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 16:52:11 2022 +0200

    caca: fix to newer version
    
    Manual backport of 2c7b5e004f1a968077973b4105d7d65dca7539e9

commit a11c2e35d2efbf395fed71fc085a1182067ffc48
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 10:15:21 2022 +0200

    DVDNAV: provide a compatibility Macro for older releases
    
    Close #26479

commit df371fc20a7847f59433af1876dcb39d59042bc8
Author: Mehdi Sabwat <mehdisabwat@gmail.com>
Date:   Wed Apr 13 10:56:02 2022 +0200

    contrib: disable ubsan in gme
    
    ubsan is enabled in the contrib recipe :
    https://bitbucket.org/mpyne/game-music-emu/src/b3d158a30492181fd7c38ef795c8d4dcfd77eaa9/CMakeLists.txt#lines-67
    
    This will require vlc to be always built with ubsan and we don't want this in production.
    
    (cherry picked from commit 2355d2cf3fd5d858e47c11191cf125f0e25fa21f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c430af92845c83d9236ca52d5405e199a15cdec7
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Mon Apr 11 10:26:01 2022 +0200

    contrib: bump game-music-emu to 0.6.3
    
    (cherry picked from commit bd03115677c3352b4bd0e7977926d18e2fd240a8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5124982e850bb7ec54b40ad4f099407f7de70201
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Feb 16 10:30:43 2022 +0100

    contrib: gme: Allow make to communicate with jobserver
    
    (cherry picked from commit 04170339b27b6327a735d73f664c0bdffd13cdec)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6cf94188f8c9ed1bffee19766f84d7537220cae5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 24 23:05:01 2022 +0200

    Update NEWS for 3.0.18

commit bddfcc9a582573c89025e6e048461ae62d2a14e9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 20 15:04:36 2022 +0200

    demux: ogg: fix non fastseek lookup issues with small files
    
    (cherry picked from commit 9a0b28b1894f60c81d3abfd52babd40f4dec21b9)

commit 865099e2baa8655afaeab582df7b01d0f686e809
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon May 23 10:20:06 2022 +0200

    osd: epg: fix null deref on missing next event
    
    refs #26905
    
    (cherry picked from commit 1c3fc96a3446d26879cfc190100a0c87fc954dbc)

commit a13156775c65a0a6faf9dde8cd1abe6a040f7937
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 28 08:58:30 2022 +0200

    contrib: Bump faad2 to 2.10.0
    
    (cherry picked from commit e2988d70a8c3ce61b1cdb13b983f73afc1a74c1d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f9f802a4d6a9391df4d0e4dbcdffbd575a01e5e8
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon May 23 11:34:15 2022 +0200

    demux: mkv: allow reading v3 and v4 files
    
    There's no requirement in v3 and v4 that we don't support.
    v5 doesn't exist yet.
    
    Ref. #26999
    
    (cherry picked from commit 6fd29e31d7b7166411fa11b2b84d1a865cc4ee3d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 902842750b287847ba7b675d10176dd48de2bf35
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue May 17 14:41:15 2022 +0200

    direct3d9: fix the texture stretching
    
    The destination texture (sys->sceneTexture) has the visible dimensions, not the
    decoder dimensions.
    
    Factorize the size processing for the stretching and the vertex computing.
    
    Ref. https://forum.videolan.org/viewtopic.php?f=14&t=159861
    
    (cherry picked from commit 86846565053ae759cf0215d0670d5e603aee2de5) (edited)
    - 3.0 is based on the rectangles computed in the common code
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 20e6ea23d49ffa061e4a10f53153d8404e3f032c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Apr 17 13:29:53 2019 +0200

    direct3d9: create the scene texture with the visible size
    
    We will never copy more than the visible area (plus one if the source is an
    odd dimension).
    
    (cherry picked from commit 70a2dab831b9e40d3612c16b206b11f98eedaf00) (edited)
    - 3.0 is based on the rectangles computed in the common code
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b6f79ee6dfbeb4d8814077ec65419a6a578d653a
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Apr 17 13:27:43 2019 +0200

    direct3d9: renaming and cleaning
    
    (cherry picked from commit d7e9562be34d10cf0f91e363b423d0447ff49f36) (edited)
    edited:
    - 3.0 is based on the rectangles computed in the common code
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6c5ed18a6bb06cc55afe0eaa7e2134fb090bf5d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:35:36 2022 +0300

    configure: do not force AltiVec on everything
    
    Fixes Debian #842513.
    
    (cherry picked from commit 5a236388dea5f9e95f95204829050e89318e1d9c)

commit 78e41c72eb8c7021827a6088169a4ec205ac3583
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:34:10 2022 +0300

    deinterlace: move CFLAGS to Makefile
    
    (cherry picked from commit bcbbefbf9d5000a1e44ec22c902d3919b851ead3)

commit 902c846bf96a2ae0b410aeb291aef9d769047f56
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:30:15 2022 +0300

    deinterlace: use VLC_ALTIVEC
    
    (cherry picked from commit 04cfde414e5db145449b732912ec40006c5f44a4)

commit 4dca3df34e2f82bff605fd7c2924479d0bc553fd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:28:06 2022 +0300

    configure: remove unused ALTIVEC_CFLAGS
    
    (cherry picked from commit 5b7b2ff84285320c864d67c0ea27ba091993c789)

commit cb863f0796a8f487625e8f38c8d09659dcf0fe9a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:24:52 2022 +0300

    i420_yuy2: use VLC_ALTIVEC
    
    (cherry picked from commit 03d8a050e0b2dbb7bdfc65d1daadba6e6a79661c)

commit d9028ba4609314fdcefcb7efcf68eb60d211387c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:09:19 2022 +0300

    configure: do not enable AltiVec in libvlccore
    
    This was added ostensibly to fix compilation of the run-time AltiVec
    test which was removed in bc146294cfeabde3a0c919883931c17e7c36630d.
    Unfortunately, it causes the compiler to emit AltiVec instructions,
    such that the executable crashes if AltiVec is not available.
    
    Regression from e48d61955575634ef0324158cac88353e97d50b8.
    
    (cherry picked from commit 4af9c85184549d7d21304ae2a76dd5891acda419)

commit dfc27e4f69b93641f73bb01caa614e7f958d1d9f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 19 22:18:47 2022 +0300

    cpu: use VLC_ALTIVEC
    
    In a very broad sense, this is a substitute for
    8cbec77763d30ba2f1d3eb42c5665b86a18cf438 from master, but the two
    changes are completely different.

commit 47fb9426487aa6c9b16f297bd3d281715b231068
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 17 17:22:34 2022 +0300

    cpu: define VLC_ALTIVEC attribute macro
    
    Like on x86 (e.g. VLC_SSE), this macro enables the use of AltiVec for
    just a given function. Thus the other functions in the same C module
    can be compiled without AltiVec and run on non-AltiVec processors.
    
    (cherry picked from commit cb303e77f427c81e9644c12411a5908955181e55)

commit 3af4cf5cf4322b14d4c3e1995bb747242054b20f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 20 08:25:59 2022 +0200

    core: module: add missing Mono option in "stereo_mode"

commit 05e7b8b5ead4899e3294c3bcdd7d83e2e6ac08df
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 13 10:31:27 2022 +0200

    contrib: ass: only request directwrite when explicitely set
    
    (cherry picked from commit 1438a950f7271091123c609dcfe762cf4ee8f944)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 41a78b2cf9d87a7545e7b921c679fd454c7fdcd1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 13 09:28:50 2022 +0200

    contrib: libass: remove macos fontconfig fix
    
    fontconfig is not used in any darwin libass builds since 8a922414eb3bc08e5458371f7618dc7f5378caaf.
    
    (cherry picked from commit b9b2be16de3db0cef5c1d00db44557c020632aaa)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 33aa7b1b540a4b7e56fd8ce62ad12ab1ead2a1a1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 13 09:18:13 2022 +0200

    contrib: libass: update to 0.16.0
    
    Some of the patches have been upstreamed. The wopendir fix is not needed
    anymore as on Windows it now assumes the char* is UTF-8 and use it accordingly.
    
    (cherry picked from commit 82ec67316f329ef4b76fe54d4e63ddc779a5f927) (edited)
    edited:
    - 3.0 didn't have the topendir patch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 76fe1ddebc3b2493f1af2a1cb125e5119b95f80c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 13 09:09:29 2022 +0200

    contrib: libass: refresh patchs with proper patches
    
    They apply cleanly on the 0.15.2 branch and with proper author/dates.
    
    (cherry picked from commit 8f7ed03d5142c69d1865ba7b413454e3873257af)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit aefbee5bdb3e3bbab3d2c62d1036eb1f8fc8fd5b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 13 15:45:29 2022 +0200

    audiotrack: also try legacy format for pass-through
    
    Try IEC61937 first, then fallback to DTS/AC3/...
    
    Fixes #25302
    
    (cherry picked from commit 5756807860da7eb58bbf316c1d5e0dbd4494f6cc)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 26272f000468745d651d834121c68dfaad989a1b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri May 13 15:16:34 2022 +0200

    audiotrack: split pass-through format configuration
    
    No functional changes
    
    (cherry picked from commit 5906f10d92146685343634a8c4ea67a02659972e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 32548ba0bbc9eece6bded795c24d1c3be2343c65
Author: shangjinlong <295993170@qq.com>
Date:   Tue May 10 03:31:28 2022 +0000

    mux: ts: fix VLC_CODEC_OPUS i_stream_type

commit 25362eb856f14632e051ab48f1f592cb69f021da
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 12 16:41:27 2022 +0200

    d3d11_fmt: don't use TCHAR to read the driver version
    
    Otherwise the logs are not correct. Just use the ANSI registry API as we don't
    use any non-ASCII character in the strings.

commit 367001997fa588ab18e13c648501667906cc3fb7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu May 5 14:59:13 2022 +0200

    contrib: libbluray: Fix build with recent JDK version
    
    (cherry picked from commit aeb120a889fe12f4636fe470bbc25b0fbc53a4d5)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 4622e243a37208c23be5084862d73e67476feb9d
Author: Martin Storsjö <martin@martin.st>
Date:   Wed Apr 27 10:57:03 2022 +0300

    contrib: projectM: Apply a patch to add missing includes of <functional>
    
    This source file in projectM uses std::bind2nd, which is declared
    in the <functional> header. Previously it relied on this header
    being included implicitly.
    
    libc++ recently stopped including <functional> transitively in
    <algorithm> in
    https://github.com/llvm/llvm-project/commit/a83f4b9cda57c5b3d414ec3bcf9ac891b2ec27e1.
    
    Upstream projectM stopped using std::bind2nd in this file in
    https://github.com/projectM-visualizer/projectm/commit/10faca9abf4c879a63cdf426ddae338620baf238
    - thus not trying to upstream the patch.
    
    (cherry picked from commit 3c181d46d74498f50fa0c18234010dda078ebe02)

commit 7a321fcf7c9e86d978c97cce562a8f9e8507368d
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 21 17:46:45 2022 +0300

    contrib: regex: Apply a patch to add missing function declarations
    
    This code seems to be a stale copy of a regex library from glibc,
    thus not sending the patch further upstream.
    
    In some configurations, this library seems to choose not to include
    standard C headers but declare the functions manually (without a
    proper prototype though!). In this case, it already declared malloc
    and realloc, but didn't declare abort and free in the same way.
    
    Just add declarations of these functions in the same way - while
    the most correct path forward would be to actually make it use
    the proper system headers.
    
    (cherry picked from commit 0e836b4eb2b05c8e130b73dcce8c53ac8397466f)

commit 8260294ad6f140d0253dc5390e6674956f22cd0f
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 21 14:57:58 2022 +0300

    contrib: zvbi: Add a custom patch to avoid implicit declarations of functions on Windows
    
    Since Clang 15 (which still is under development, so this may
    still change before it's released) [1], implicit function
    declarations are a hard error by default, when building code
    in C99 mode (or newer).
    
    [1] https://github.com/llvm/llvm-project/commit/7d644e1215b376ec5e915df9ea2eeb56e2d94626
    
    The upstream zvbi code doesn't seem to have any support for
    building for Windows at all, therefore not trying to upstream it.
    
    On Windows, the <io.h> header is needed for getting declarations
    of functions like open/read/write/close. The zvbi project has a
    header of its own, named io.h, and it resides on a path added with
    -I, so any includes of <io.h> ends up including this header instead
    of the system header. Therefore, add an #include_next <io.h> which
    should bring in the system header and its declarations too.
    
    Adjust ifdefs to ifdef out larger bits of the code that contained
    calls to functions that simply don't exist on Windows, like
    ioctl, munmap etc. Previously, the zvbi library has been built with
    implicit declarations of those functions, and the static library has
    had undefined references to them. As long as those object files
    from the static library haven't been included in the link, this issue
    has been unnoticed so far.
    
    For the function ffs(), which also was undefined on Windows,
    provide a _BitScanForward based reimplementation. This also resides
    in a file that doesn't end up included in the end, but for this
    case it's just as easy to provide a working implementation as it
    would be to ifdef it out.
    
    (cherry picked from commit 68efd7e558d19fb177991e9e0f0739defcaf9014)

commit a0517308fdee279e8dafa13a13783cc17fb05ed6
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 21 15:02:07 2022 +0300

    contrib: libshout: Apply a patch to avoid implicit declarations of gettimeofday
    
    This patch has been sent upstream at
    https://gitlab.xiph.org/xiph/icecast-common/-/merge_requests/2
    but hasn't been acted upon there yet.
    
    When building for a mingw target, HAVE_GETTIMEOFDAY is defined
    (as the gettimeofday function was found), but the #ifdef _WIN32 #else
    block never tried to include <sys/time.h> (which provides the
    declaration) and/or <time.h> for such targets. This caused
    gettimeofday to be used without a prior declaration.
    
    This has been visible as an easily overlooked warning, but Clang 15
    changed this into a fatal error by default, when building in C99
    mode (or newer). [1] (While Clang 15 still is under development, this
    may still change before it's released, but the warning is valid
    in any case.)
    
    Decouple including of those headers from the #ifdef _WIN32 #else
    block and just check their corresponding availability defines.
    
    [1] https://github.com/llvm/llvm-project/commit/7d644e1215b376ec5e915df9ea2eeb56e2d94626
    
    (cherry picked from commit 9e095923da9faf63bbb4ccf4ed40f455aadefb1c)

commit 89006bdea8a31be34569a7bc27228147cef8db28
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Apr 21 15:08:33 2022 +0300

    contrib: upnp: Add a patch to avoid implicit declarations of gettimeofday on mingw
    
    This patch has been sent upstream at
    https://github.com/pupnp/pupnp/pull/387, but hasn't been acted
    on by upstream yet.
    
    In mingw headers, both time.h and sys/time.h define
    struct timezone and _TIMEZONE_DEFINED - however only one of them,
    sys/time.h, define gettimeofday. Thus, if time.h had been included
    before, we'd have _TIMEZONE_DEFINED defined, and we'd omit our own
    declaration of the gettimeofday function too, leading to calls to
    an undeclared function.
    
    (If the actual sys/time.h header is included, its declaration of
    the gettimeofday function does conflict with both the declaration
    and the definition of upnp's gettimeofday, due to details like missing
    the restrict attribute on pointers. But that issue already existed
    and is unaffected by this patch.)
    
    Since Clang 15 (which still is under development, so this may
    still change before it's released) [1], implicit function
    declarations are a hard error by default, when building code
    in C99 mode (or newer).
    
    [1] https://github.com/llvm/llvm-project/commit/7d644e1215b376ec5e915df9ea2eeb56e2d94626
    
    (cherry picked from commit 83d7194d0115dce40ec49830d092fdcb1e3f6f16)

commit 2baf4b09f71ca0455e8844f3cd2804877cecd73a
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Tue Mar 29 11:05:53 2022 +0200

    contrib: upnp: remove `--without-documentation`
    
    This configure flag was dropped in 1.8.
    See pupnp upstream 8abbd63b9a8190bcbbbbcbcff5cdbaaf83fbe99a
    
    (cherry picked from commit 5f20a2b4bce759c0cf207dcff6897604a93e683c)

commit a0db8719f00b10cfecd507be1d34e85f6ab5c279
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Sat Mar 13 19:27:22 2021 +0100

    contrib: upnp: rename config options variable
    
    Adding the `UPNP_` prefix just like the other variables will avoid
    potential namespaces conflicts.
    
    (cherry picked from commit 48cf701329bb3f95c5f8ef0a5d0c9494f4020d37)

commit a9bfd4e5885d1a810e2422a370d1dfd27520c762
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Tue Feb 15 21:37:32 2022 +0100

    contrib: upnp: unify `CONFIGURE_ARGS`
    
    (cherry picked from commit cb610b5bfa2b2a172d5524bf07d8132b90f53489)

commit 9419aec1e7a320d5b1b88ced0417974aee1ce867
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Wed Mar 10 21:50:11 2021 +0100

    contrib: upnp: update to 1.14.11
    
    libupnp 1.6 is starting to get really old and caused bugs recently with
    the new winpthread rework for contribs.
    
    Added contrib patches:
      - revert-ifaddrs.patch (revert changes breaking android)
    
    Removed contrib patches:
      - 0001-Do-not-try[...]           -> Fixed upstream by 386b7ed7
      - dont_use_down_intf.patch       -> Fixed upstream by 1f2e3b88
      - fix_infinite_loop.patch        -> Fixed upstream by 4367cbfa
      - libpthread.patch               -> Replaced
      - missing_win32.patch            -> Fixed upstream by 02bb90c5
      - no-getifinfo.patch             -> Fixed upstream by 0296c3cd
      - use-inet-pton.patch            -> Fixed upstream by 44cdeeb7
      - use-unicode.patch              -> Fixed upstream
      - windows-random.patch           -> Fixed upstream by 44e092a6
    
    Edited patches (mostly to fit the new sources):
      - miniserver.patch
      - upnp-no-debugfile.patch
      - pthread-w32-checks.patch (Partially fixed upstream by e0f44dd9)
      - libupnp-win32.patch (Partially fixed upstream)
      - libupnp-win64.patch (Partially fixed upstream by 421d5d28)
      - windows-version-inet.patch
      - libupnp-win32-exports.patch
    
    Renamed patch:
      - pthread-w32-force -> pthread-force (Gets applied to linux too now)
    
    (cherry picked from commit 4b31cb6942ded95baff1da10a238f7c4c0bbc18e)

commit 9d223a21ac3738d244fa4678b79a2c754707aa8c
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Wed Mar 10 21:50:11 2021 +0100

    extra: snap: build libupnp from contribs
    
    We will soon bump libupnp to a more recent version fixing
    vulnerabilities for libupnp >= 1.8.3.
    It might be preferable to switch to the contribs version of libupnp also
    for snapcraft as our snap repo is still using `core18` which only
    provides libupnp 1.6.

commit 43a5df25569516ba2d8cf9864a5816a045ca21bb
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Mar 26 09:30:29 2020 +0100

    contrib: upnp: Remove mingw ipv6 patch
    
    VLC needs Mingw-w64 v5.0 or higher , the define mentioned in the patch
    was added in v3.0.0
    
    (cherry picked from commit 6b94b96754978787e62dc2ffee6469efbd62ae06)

commit 5c7ba52ac269bdf0c7f87bf14f6c5a33b1f35547
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Tue Mar 29 11:48:37 2022 +0200

    contrib: upnp: remove unapplied winrt patch
    
    This patch was never used.
    
    (cherry picked from commit cf47ddcc7472b13d3168e5d39ea0e120f54c4ed6)

commit de9c8cde3356c76a873344f35611c0139c2ee497
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Tue Jun 15 23:08:01 2021 +0200

    upnp: prioritize `UpnpInit2()` over `UpnpInit()`
    
    `UpnpInit` is deprecated since 1.8.3 and removed in 1.14. `UpnpInit2`
    offer a better replacement, working for both ipv6 and ipv4. There is no
    reason to keep using `UpnpInit` apart from keeping the module usable
    with 1.6.

commit 75bb776c4249c864a8458c00ec2f6e7c69739042
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Wed Jun 16 12:00:03 2021 +0200

    upnp: remove pointless `#if` guards
    
    These functions are inline and will be removed by the compiler anyway if
    unused. The #if guards add unecessary compexity.
    
    (cherry picked from commit aaef25ce7a747f14878c80a415194389c4c24e92)

commit 8ff56952174af8e7a7d4ae61a413f88317c948a1
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Apr 13 14:39:19 2022 +0200

    caopengllayer: ignore DISPLAY_SIZE controls
    
    DISPLAY_SIZE controls are emitted by the windowing system to control the
    display state, but the caopengllayer display module is handling its own
    windowing state without window and doesn't need to react to those events.
    
    Instead, store the new size into the internal vout_display_cfg_t and
    avoid trying to report the size to itself.
    
    Fixes #26845
    Refs #25264
    
    Cherry-picked from commit bd24889a0b7d0d223f751ea7c40598fd83f0b221.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 9cfed305fabc2ac793104cf8dae54f6da274d600
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Apr 13 14:39:19 2022 +0200

    caopengllayer: inline place picture
    
    Store the current modified vout_display_cfg_t and inline the calls to
    vout_display_PlacePicture.
    
    Refs #26845
    Refs #25264
    
    Cherry-picked from commit 689b64b1aaba33efeea71d933a878febb81b5e81.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 248450581f086486cb631be31b1e5800cde43c3b
Author: Thomas De Rocker <thomasderocker@outlook.com>
Date:   Tue Apr 26 12:09:38 2022 +0000

    Update nl.po

commit 094970ab79960cdcab68cfcd12965d545ac5a4a0
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Thu Apr 28 10:08:12 2022 +0200

    contrib: main.mak: force LIBDIR to lib/
    
    CMAKE_INSTALL_LIBDIR can be lib, lib64 or even lib/<multiarch-tuple> on
    Debian, but we already split the contribs by multiarch-tuple /
    installation directory at the prefix level for contribs to avoid mixups.
    
    Preventing installation in lib64/ ensure every pc files from contribs/
    are in the PKG_CONFIG_PATH when configuring.
    
    Refs #26888
    
    Cherry-picked from commit 346b2fb9b68ef9cb7da0e4daf757f6334c74c57d.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>

commit 41d862cc26195ebc05f9a0f53e6a3f184b52ce4b
Author: Kaleb Luedtke <jluedtk@jci.com>
Date:   Wed Apr 20 10:47:10 2022 -0500

    Set extra version number when building MSI
    
    * Use the @VERSION_EXTRA@ which is used in the exe build in place of the
      static '0'
    * Change the Display Name in appwiz.cpl to be just the product name,
      matching the exe build
    
    (cherry picked from commit cafda6718082ab655f23b88a6a94dac747c57a19)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d38ddd7270ffaea705981b6a48086778850d3c96
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 21 15:53:52 2022 +0100

    dav1d: limit the number of extra frames needed by the decoder
    
    The i_extra_picture_buffers is used to add pictures to the pool that the core
    will allocate. dav1d is actually using n_threads frames. And the core is
    allocating 10 frames per default for AV1. So we need to add the missing ones.
    
    (cherry picked from commit a32031dc0f5f32083fc54a21397bce732742ccbe) (rebased)
    rebased:
    - the code dav1d 1.0.0 in 3.0 uses different max versions
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4b75be8ad72263bf058d6f827efe74e526722481
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Aug 12 06:19:06 2020 +0200

    contrib: dav1d: update to 1.0.0
    
    (cherry picked from commit c857056738aec2e66d21b54d2d086c60255e6a91) (edited)
    edited:
    - 3.0 had a different way to comment the git URL line
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2202c892c8dc1381b596c53c2ebd3ca680061f95
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Mar 18 11:42:49 2022 +0100

    dav1d: fix compilation with (upcoming) dav1d 1.0
    
    (cherry picked from commit dbf45cea2a8abdfbef897b8a71f3eb782bb1b712) (edited)
    edited:
    - 3.0 has the 128 pixels padding elsewhere
    - 3.0 has an extra parameter for add_integer_with_range()
    - 3.0 was setting i_extra_picture_buffers further down in the code
    - 3.0 uses 16 threads max
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f0b1ddca0dc575d34076d9062056ccb316f9a8c4
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Feb 17 10:16:53 2022 -0500

    contrib: aom: update to 3.3.0
    
    2022-01-28 v3.3.0
      This release includes compression efficiency and perceptual quality
      improvements, speedup and memory optimizations, some new features, and
      several bug fixes.
      - New Features
        * AV1 RT: Introducing CDEF search level 5
        * Changed real time speed 4 to behave the same as real time speed 5
        * Add --deltaq-strength
        * rtc: Allow scene-change and overshoot detection for svc
        * rtc: Intra-only frame for svc
        * AV1 RT: Option 2 for codec control AV1E_SET_ENABLE_CDEF to disable
          CDEF on non-ref frames
        * New codec controls AV1E_SET_LOOPFILTER_CONTROL and
          AOME_GET_LOOPFILTER_LEVEL
        * Improvements to three pass encoding
      - Compression Efficiency Improvements
        * Overall compression gains: 0.6%
      - Perceptual Quality Improvements
        * Improves the perceptual quality of high QP encoding for delta-q mode 4
        * Auto select noise synthesis level for all intra
      - Speedup and Memory Optimizations
        * Added many SSE2 optimizations.
        * Good quality 2-pass encoder speedups:
          o Speed 2: 9%
          o Speed 3: 12.5%
          o Speed 4: 8%
          o Speed 5: 3%
          o Speed 6: 4%
        * Real time mode encoder speedups:
          o Speed 5: 2.6% BDRate gain, 4% speedup
          o Speed 6: 3.5% BDRate gain, 4% speedup
          o Speed 9: 1% BDRate gain, 3% speedup
          o Speed 10: 3% BDRate gain, neutral speedup
        * All intra encoding speedups (AVIF):
          o Single thread - speed 6: 8%
          o Single thread - speed 9: 15%
          o Multi thread(8) - speed 6: 14%
          o Multi thread(8) - speed 9: 34%
      - Bug Fixes
        * Issue 3163: Segmentation fault when using --enable-keyframe-filtering=2
        * Issue 2436: Integer overflow in av1_warp_affine_c()
        * Issue 3226: armv7 build failure due to gcc-11
        * Issue 3195: Bug report on libaom (AddressSanitizer: heap-buffer-overflow)
        * Issue 3191: Bug report on libaom (AddressSanitizer: SEGV on unknown
          address)
        * Issue 3176: Some SSE2/SADx4AvgTest.* tests fail on Windows
        * Issue 3175: Some SSE2/SADSkipTest.* tests fail on Windows
    
    Source:
    https://aomedia.googlesource.com/aom/+/refs/tags/v3.3.0/CHANGELOG
    
    (cherry picked from commit 0857947abaed9c89810cd96353aaa1b7e6ba3b0d)
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>

commit cf8b616579bc1a914bf4b428ef27f2345d08b44f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Apr 26 11:38:41 2022 +0200

    contrib: ass: fix crash when combined with recent freetype
    
    Using upstream patch until a new release comes.
    https://github.com/libass/libass/commit/0915955733bd236ecc44645ee968fb7a55ad5079
    
    Fixes #26865
    
    (cherry picked from commit e516a8f24b48d0ca4ad14f57115d35c1f0b71a47)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cabe90d174ce3dd22db45887e9146456339790a0
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 21 08:25:56 2022 +0200

    smb2: don't seek past INT64_MAX
    
    (cherry picked from commit e6b0c071b6483bc521b12600482bd233f87b57b9)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 096208ae0657f8f1b193d94c73b17f82514cac1f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 21 08:20:21 2022 +0200

    smb2: fix lseek return type
    
    It was causing seek error when seeking past INT_MAX
    
    Regression from c23709134c77dc70d66cc3420ceadfe08b28ed44
    
    (cherry picked from commit 9646722d61ec6a2439dd2586ac30e908ac349a4e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit bf6dbbc451fb890b45af41f84dc8f4e375d15377
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 21 08:17:44 2022 +0200

    smb2: rename logged seek function name
    
    (cherry picked from commit d70173fc2ac7d02a69c1a71159a676b9e9aa51f1)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7e34f61ffa13c2c3dcaea5b4575257bcc7458d4f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Apr 20 17:02:50 2022 +0200

    smb2: fix anonymous login
    
    Not sure when this regression happened on the libsmb2 side.
    But setting the password to an empty string do enable anonymous login
    now.
    
    (cherry picked from commit 205963ad09401ab3cbe5bf92c7f9b109092f87f4)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit dd80816d8dbee2a8b4c7199c0dfbde7901265000
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 14 14:13:34 2022 +0200

    smb2: destroy the context in case or errors from smb2_generic_cb
    
    Errors can also be reported via generic cbs, that will cause the
    vlc_smb2_mainloop to abort. In that case, we should destroy the smb2
    context to fix the issue mentioned by 924c951518f02dd05436d46323301702df516f4f
    
    (cherry picked from commit 960ef3f8ef74e352d5e3caa42f49cce8a686c8b3)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c266ba818d5d6c6d58e361dd2ec14c169e7dfb20
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 14 14:15:15 2022 +0200

    smb2: also clear op->smb2 in case of error
    
    op->smb2 won't be used in case of error but it is cleaner like that.
    
    (cherry picked from commit 5264a62539fa2686680c7b32b03d1756eb1c4652)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b0e727a0e43cf0ab71e3a51bcc6a73254172f9d2
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 14 14:09:06 2022 +0200

    smb2: return errno directly
    
    No changes since this function is only checked for != 0 (for now).
    
    (cherry picked from commit 0d51ab8a3e96cca03cdca31665bfacd44d77e3c0)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit cfdb5355924658d17e6e2e27faa7f74696a3ff65
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Apr 14 14:05:48 2022 +0200

    smb2: rework error handling from smb2_service_fd
    
    (cherry picked from commit 93b55c9f53e066086250d19782ec65d8e5a07942)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 3681112e8d4ffad0717e889470485ff38e19159c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Apr 11 14:34:30 2022 +0200

    smb2: homogenize status and error functions
    
    (cherry picked from commit e9acccaca3fd5f148f44eb833dc2aa50ade2148c)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 86dcae852ac5c864404c2dc19e5f4eb047654e93
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Mar 17 09:17:09 2022 +0100

    smb2: always use smb2 timeout
    
    If the smb2_timeout was valid, then not valid (infinite), the last value
    was not taken into account.
    
    (cherry picked from commit ac95bf19f9991f506170a3dcb3c57268cb944727)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c1ebabfbbac0c9d19d8351cade2c7117463db661
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Mar 17 08:46:59 2022 +0100

    smb2: remove teardown handling
    
    If interrupted by the user, just close the connection whitout sending a
    close request and don't save the context in the cache in that case.
    
    (cherry picked from commit cf7d48cd027c59edffdb36c9f8f40492e6e6dd6e)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 3517facbe73cd5e05b9843af13598a94f8100ef7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Mar 17 16:10:11 2022 +0100

    smb2: destroy the context in case of error
    
    This fixes a potential stack-buffer-overflow when destroying a context
    from Close() if an operation was aborted. Indeed, the smb2_destroy()
    function might trigger callbacks with private data that was allocated on
    an old function stack. To fix this issue, always destroy the smb2
    context immediately after an error (when the struct vlc_smb2_op is
    valid).
    
    This issue is currently hidden by the teardown mechanism (but still
    possible), that always try to close gracefully in case of error.
    
    (cherry picked from commit 924c951518f02dd05436d46323301702df516f4f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit a6d1d127fa00b3874bcb37d24f2888a0019d214d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Mar 17 15:26:18 2022 +0100

    smb2: rework error handling
    
     - Always call VLC_SMB2_SET_ERROR() in case of error,
     - Don't loose the returned error code
     - Fallback to -EINVAL in case of unknown error (very unlikely case)
    
    (cherry picked from commit c23709134c77dc70d66cc3420ceadfe08b28ed44)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 14c9365106d86986a4a521c1cd5944656c7fe59f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Mar 17 15:03:12 2022 +0100

    smb2: don't use sys->error_status while opening
    
    But return it directly from function and sub functions.
    
    (cherry picked from commit 29b85334bfdd9f6a89b89c19c9575be6fc033112)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 608c373babe3af06e7448a49e54e18937e104cf3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Mar 9 17:04:12 2022 +0100

    dsm: fix interrupt context mismatch
    
    The dsm interrupt context was also registered when calling the
    credential API that can end up in keystore modules that need to register
    an interrupt context. To fix this issue, register the interrupt context
    only before dsm calls.
    
    (cherry picked from commit 6b4b7225e5ba757ecc4ca38eb6de2e21a43a9c6d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 34f09f401726984f9366142caea9939e31bebee6
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 7 14:33:28 2022 +0100

    smb2: make the netbios resolver interruptible
    
    (cherry picked from commit f0c6da69cc02051112d2fc60f30a886b1f2aecc4)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 224a6b7c76b1bba02a37836aacac5c2aef989d79
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Mar 18 14:12:56 2019 +0100

    smb2: add missing error check
    
    (cherry picked from commit 014e84a30c54a1831ed4deeac6506d98cde503b8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 8de7cd007d1a2875fbdf3fbb2047674a93c5693c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 7 14:28:20 2022 +0100

    dsm: make netbios_ns interruptible
    
    (cherry picked from commit 088e3783b3fb9bb580fc80b775ae06de725081a7)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5659b3d9b0cd4f4864934e38b16167f89d4636ac
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 7 14:18:54 2022 +0100

    dsm: reduce netbios_ns lifetime
    
    It's only needed from get_address(), from Open().
    
    (cherry picked from commit d0ffce0f8c6e5f56e0b21f5229d2f14e89f08e79)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 9915bab8401421292b6cdfe9b2e5472eeec14b17
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Jun 8 17:13:55 2020 +0200

    dsm: fix mismatched pointer
    
    Fixes this warning with clang10:
    incompatible pointer types passing 'u_long *' (aka 'unsigned long *') to parameter of type 'uint32_t *' (aka 'unsigned int *')
    
    Similar to what is done in access/smb2.c
    
    (cherry picked from commit 009bce07f3263158e439f8b99cf6d74d782da303)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit c52b65b27fa05649ba2a2950ed2de5d14e032029
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jan 6 12:59:20 2022 +0100

    dsm: make the smb_session interruptible
    
    (cherry picked from commit 36ab008eb5f7b0029512867601f11a7995f3a432)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 30543be18e9010637ce1e995f33ae309fe8c97e7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Mar 2 11:40:00 2022 +0100

    contrib: libdsm: update to 0.4.2
    
    And switch to meson.
    
    (cherry picked from commit 305eae38b30be838235577229a7a81aa7885b557)
    (cherry picked from commit 871efa3d88b14bdfe0c2bf09a9cdcb40262ccfbd)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 5ed57918cf969702885d12c2834bbab4d907e454
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 25 10:12:51 2022 +0100

    dsm: connect the session in login()
    
    (cherry picked from commit 7dd7780d8fca179b93ec4eb57e9da3c08333af5f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 7816adfe2deb83ea9e726ca0e99fbe9441b1c671
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Jan 25 15:27:31 2022 +0100

    smb2: split vlc_smb2_open_share
    
    No functional changes.
    
    (cherry picked from commit e95101836566925d472d78173535e5bf42e9ab4f)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit db782849f2611e0ecaf18b2ea7df84a600d84e2f
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jan 24 11:48:03 2022 +0100

    smb2: use an operation struct for all operations
    
    Instead of using the same context from the access_sys struct.
    
    (cherry picked from commit 3b4a40e9e33dc00b1b18a900ef62db38170f31b8)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 796de47ee4dc15a9ec466a58a12d466814fe30e9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 21 17:26:36 2022 +0100

    smb2: pass smb2 and smb2fh as arguments
    
    (cherry picked from commit 25654510a52d48f9960f3b42e77a9c637f8b9705)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit cc5792d4393928d205b367e4e54a289901d198e3
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Jan 21 17:03:00 2022 +0100

    smb2: handle smb2_connected state outside the disconnect fonction
    
    (cherry picked from commit 074209c0c0a056eae27fda39206f56091673181d)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 6d83f125f9fc64319436fa5f00c6c744278be8c9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jan 17 11:03:13 2022 +0100

    contrib: smb2: update to 4.0.0
    
    Changelog since 3.0.0:
     - Add support for SMB3 encryption
     - Add support for Anonymous NTLMSSP logins
     - Add support for readlink.
     - Add API to notify application of changes to which filehandles are used by
     libsmb2.
     - Add suppport for Big Endian DCERPC and allow it to be controlled from the
     URL.
     - Add support for 3.1.1 signing
     - Add support for PS2(EE) and PS3
     - Fixes to UCS2 when compose characters are used.
     - Various MacOS fixes
     - Fix a few NULL dereferences
    
    All theses fixes were already included in the contrib version.
    
    (cherry picked from commit 1cf1991b648df877d7138ef79a3381026be2dd80)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 1eaadd70b0ca277bf038aa88dd90c1b2ae3fba49
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Fri Apr 22 09:02:14 2022 +0200

    fourcc list: add 'X265'
    
    This fixes #26853
    
    (cherry picked from commit adc1e739e038203367ea24aa50daa59516ae66b7)

commit 8f6ec51cd05a0c8b75c8d7d55399fe60511c8117
Author: Filip Roséen <filip@atch.se>
Date:   Fri Apr 15 16:59:27 2022 +0200

    demux: mkv: add support for S_DVBSUB
    
    backport of 4d22be6dcc60eed789a278b1105a01f59168f8cb
    
    Signed-off-by: Maxime Chapelet <umxprime@videolabs.io>

commit d4c8f5c0ea25f305e36c890f1da3335f961dd75a
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Apr 6 16:16:31 2022 +0200

    bonjour SD: resolve hostname to IP for SMB
    
    The SMB modules cannot do the Bonjour lookup, so resolve the hostname
    and forward the first IP, which typically is the preferred value.
    
    This fixes vlc-ios#1319
    
    (cherry picked from commit 2d52141e145f2cde00612aabf4d6835b998c2f60)

commit be2b153a43c754bcc4415383835d8ba53cccf897
Author: Sagar Kohli <kohli.sagar2@gmail.com>
Date:   Sat Mar 9 13:36:35 2019 +0530

    qt: make network URL comboBox case sensitive
    
    Fixes #19388
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 2931f2aca2c78df0444de05bb1a65a6f70a0468e)

commit ed7d4c09343fd9042c3f0bb3ea14b7171ee3fcfd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 11 22:57:08 2022 +0200

    freetype: fix first glyph non zero bearing alignment offset
    
    When box xMin is 0, lines starting with non 0 bearing can't
    be aligned properly due to wrong offset
    
    (cherry picked from commit 7ae7c53c5d6495a54ba1f6cf2a2007b9cee4d7f2)

commit b6a50574c6266ba315ce8eda8aad3c13fc4d0022
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 11 12:17:22 2022 +0200

    meta_engine: fix junk at end or raw unterminated ID3 text
    
    (cherry picked from commit 4f74c5ca37117cab4071df392c47611317779b48)

commit 97612c39e1c89e1d5b15fe090de9170c3b4e7b4f
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Mon Mar 28 13:57:33 2022 +0200

    contrib/gnutls: fix AArch64 build on appleOS
    
    This introduces a patch to fix compilation on AArch64 on AppleOS, which
    currently fails due to a compiler flag used by gnutls that is
    unsupported by the latest version of clang (Apple clang version 13.1.6,
    clang-1316.0.21.2) leading to a compiler crash if used.
    
    This resolves the upstream tickets
    https://gitlab.com/gnutls/gnutls/-/issues/1347 and
    https://gitlab.com/gnutls/gnutls/-/issues/1317 for which the same patch
    was already suggested.
    
    (cherry picked from commit 85357e2d60e528d1b5d204f7a17b50123d1df27d)

commit 810ce14d989f2da1819ee7f74176f5110d0547aa
Author: Martin Finkel <me@martinfinkel.com>
Date:   Mon Apr 11 14:45:44 2022 +0700

    contrib: update freetype to 2.12.0

commit 89f04db7926141b1409ea4a00661665f7771b375
Author: Alaric Senat <dev.asenat@posteo.net>
Date:   Wed Nov 18 19:32:27 2020 +0100

    upnp: Correct top directory url formatting
    
    As pointed out in #25055 the choice of url option delimiter is probably
    meant to be that way. std::string.find() returns std::string::npos (aka
    -1) in case of no match.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit f5f5a0d0ddb6c96ab08a6b3ca1115dcbd2ae2c77)

commit 02ba123083c28d59788c84b2da7b82cae58b3d83
Author: Oneric <oneric@oneric.de>
Date:   Fri Apr 1 19:10:02 2022 +0200

    codec: libass: pass storage size to libass
    
    Due to a quirk in the ASS format some tags do depend on the exact
    storage size of the video not just the pixel aspect ratio, so tell
    libass via ass_set_storage_size to achieve correct rendering.
    
    For ASS, storage size refers to the size the video is encoded in (stored
    at) with codec-level crop applied; further transforms like e.g.
    anamorphic de-squeezing or container-level crop must not be applied.
    This matches the used fmt_src values despite them being named
    visible_{width,height} and the existing PAR calculation already relies
    on this.
    
    Fixes https://code.videolan.org/videolan/vlc/-/issues/26634
    
    (cherry picked from commit 2608eb5c82d82c209126d5d1af0dcfe48b6b9cee)

commit 4e17d578b44d49350a172efcdb3161a12929c62f
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Thu Dec 6 15:59:07 2018 +0100

    macosx: Add missing EXTENSION_WIDGET_PASSWORD handling
    
    (cherry picked from commit 2c0fa9d11015301b0fbb79ba2d831e86135382e5)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit fa4cb723fed7d70a27482f931b8a8605851865db
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Feb 16 20:13:29 2018 +0100

    macosx: Force arrow cursor for extension UI labels
    
    Now that labels have to be selectable, force the cursor to the arrow
    cursor instead of the text selection cursor.
    
    (cherry picked from commit 4980447fd4e52291b6c8e5a5754ee8492f81ea2a)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 5060fbf86aa9cc6ed5f2d81f2d44ed913d2c9f19
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Feb 16 20:12:19 2018 +0100

    macosx: Make links in extension UI labels clickable
    
    (cherry picked from commit e18cdcddbfd59ad49f5df3505af669f31e524101)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit c95425f1e49c6b0e909cfbb2d33103f50a10034e
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Feb 16 19:57:45 2018 +0100

    macosx: Fix default font in extensions UI
    
    Default to the system font for extension textfields, labels and
    webviews.
    
    (cherry picked from commit 222bc139ad6c92dda41aee35a5aa0a53b3d1d200)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit 3d7ae99e468499370c073d2ded9be0b6b31c0ed4
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Feb 16 19:43:04 2018 +0100

    macosx: Set correct font for NSButton in extensions
    
    (cherry picked from commit f7c023b5cdb795f858428951ea686b748e516dfc)
    Signed-off-by: Marvin Scholz <epirat07@gmail.com>

commit cb39c3b56d314120aa86a4402a1d013c432f487f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 31 14:24:29 2022 +0200

    demux: adaptive: fix relative merge last segment duplication
    
    (cherry picked from commit 95f144cec26b2751bc2b5a5bcdbd26730ee2f207)

commit 1951b65df86f0cfd8e938ec1855401f1c2e1e6ec
Author: Jeffrey Knockel <jeff@jeffreyknockel.com>
Date:   Mon Mar 21 12:24:40 2022 -0400

    xcb/xvideo: set northwest bit gravity on output window
    
    This fixes black flickering on resize.
    
    Fixes #25716 for xcb/xvideo output.

commit b3971b8c735872226f6728eecf9393aeb3c2c40a
Author: Jeffrey Knockel <jeff@jeffreyknockel.com>
Date:   Mon Mar 21 12:23:26 2022 -0400

    xcb/x11: set northwest bit gravity on output window
    
    This fixes black flickering on resize.
    
    Fixes #25716 for xcb/x11 output.
    
    (backport of commit 58aaf06c)

commit 7cd6489756d913b5c308d238bd48dd7e81225f6e
Author: Jeffrey Knockel <jeff@jeffreyknockel.com>
Date:   Mon Mar 21 12:21:55 2022 -0400

    egl: set northwest bit gravity on output window
    
    If necessary, set bit gravity on Open() and restore on Close().  This
    fixes black flickering on resize.
    
    Fixes #25716 for EGL.
    
    (backport of commit 7251119a)

commit 9e297a477ed7f5b0d49ed8630d9e1d5474470d0d
Author: Jeffrey Knockel <jeff@jeffreyknockel.com>
Date:   Mon Mar 21 12:17:45 2022 -0400

    glx: set northwest bit gravity on output window
    
    If necessary, set bit gravity on Open() and restore on Close().  This
    fixes black flickering on resize.
    
    Fixes #25716 for GLX.
    
    (backport of commit a32bf927)

commit 255005aef8c570cb939403514160902a7b991485
Author: Jeffrey Knockel <jeff@jeffreyknockel.com>
Date:   Mon Mar 21 12:13:31 2022 -0400

    qt: don't call XClearWindow() on resize
    
    This call is extraneous as the X server automatically fills any exposed
    area with the window's background (in this case, black).

commit 1a1a9da7afdbb2d3ff11405fdc836161cadbbf86
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Tue Feb 15 13:22:44 2022 +0800

    demux: mp4: relax restriction on parent of st3d/sv3d boxes
    
    st3d/sv3d can appear in any VisualSampleEntry. It's easy to miss
    entry for new codecs.

commit 270330c90d86dec2d5301af22f9fd3032df4b279
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Mar 30 11:14:05 2022 +0200

    Revert "opengl: fix swizzle"
    
    GL_LUMINANCE_ALPHA textures should be sampled through r and a swizzle
    since it has a `(L,L,L,A)` layout.
    
    This reverts commit 4082f4f2f46b60fd4c7d4d31ba26c3d890ad03a4, but
    includes also the fix from c69bbb07f761975a13209faf4aaee821b462d490 to
    avoid using an invalid swizzle.
    
    Fixes #26767
    Reintroduce #26735

commit 3facda5359b35500dae36ceb38934ca335901cd8
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Wed Mar 30 11:13:46 2022 +0200

    Revert "opengl: simplify swizzle"
    
    The swizzle of the texture should be different between
    GL_LUMINANCE_ALPHA textures and GL_RG textures.
    
    This reverts commit d6ffeba288c533f0531541fe8a97d8bda60fd25c.
    
    Refs #26767

commit 008c33307cbd901069444165e5cabb7cdb54ec17
Author: rego21 <miguelfrego@gmail.com>
Date:   Sun Mar 27 16:33:25 2022 +0100

    contrib: x265: add patch to enable detect512
    
    Enables detect512 for all architectures

commit 14a7c847458e05264ca7fa4f5514044e22cb62c1
Author: rego21 <miguelfrego@gmail.com>
Date:   Sun Mar 27 16:30:05 2022 +0100

    contrib: x265: update patches
    
    Update patches to tackle the 2.9 version.

commit 4c8f13dcef66777e382653ace3f0cabbb5f8d0f9
Author: rego21 <miguelfrego@gmail.com>
Date:   Sun Mar 27 16:24:00 2022 +0100

    contrib: x265: update link and version of x265
    
    The x265 link changed and version 2.7 isn't available in their downloads page.

commit 0d556269778d0b9d0e9d05cc78b3365e0e74792e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Mar 23 15:06:22 2022 +0100

    ffmpeg: fix DXVA2/D3D11 crash on bogus references
    
    Fixes #26738
    
    (cherry picked from commit 1e0b78a970afaabf6af236457cc363d458819787) (edited)
    edited:
    - on 3.0 the patch needs to be set on FFmpeg only
    - the emscripten patch before this one is not on 3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a77c7cd6b8059846a362de389ceb2b217287c5e3
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Mar 23 14:15:03 2022 +0100

    decoder: fix number of reference frames for AV1
    
    AV1 needs 8 reference frames, as defined by NUM_REF_FRAMES in the
    AV1 spec.
    
    (cherry picked from commit 8ef84bf711b9eb20a2c68fe6baf6386f6c288c21)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c0bb3d7ba9db9b2f1a84466ee2f3acc5a78554f7
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Mar 22 17:38:59 2022 +0100

    playlist: temporize on EOS bursts
    
    A mechanism was implemented to temporize on consecutive input errors, to
    mitigate infinite busy loops (see commit
    d06622651fcd4a608c06cb35e725fad57bf38167).
    
    Although it avoided the most common issues, this mechanism was not
    triggered for other problematic cases:
     - empty inputs;
     - inputs with unreported errors from demuxers.
    
    Therefore, to encompass these other cases, consider the number of
    consecutive stops in a small period of time instead of relying on
    reported errors:
     - if a playback end occurs less than 250ms after the previous one, then
       increment the EOS burst count;
     - when more than 4 EOS burst count occur successively, start
       temporizing:
         - 100ms for the 5th
         - 200ms for the 6th
         - 400ms for the 7th
         - 800ms for the 8th
         - 1.6s for the 9th
         - 3.2s for the following
    
    Fixes #5901
    Fixes #26733
    Refs vlc4/e759db90d958305afee6655e52597c4fef446c34

commit a695dc030bbe886d486d21dd376d29153ed491eb
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Mar 22 13:02:49 2022 +0100

    extra/tools: ninja: force python3
    
    It seems that python3 is already specified in all the VLC
    contribs/tools.
    
    Fixes build on systems not having a shortcut python -> python3 (macOS
    for example).
    
    (cherry picked from commit 4e90abceb4f2a83fcf4817ef411efee80d35d015)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 3f3dce1e93e3248b793501d3ac9bc52ade7dd64e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 17 19:46:03 2022 +0100

    demux: mp4: fix lack of tfdt fallback
    
    refs #26341
    
    (cherry picked from commit dfe420ab665b81b3f0da47e6614b5e6acf7a42e0)

commit ebc5dfdeae6f90c2b5bd37ce55b9fc0d72d4782c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 17 19:45:41 2022 +0100

    demux: mp4: fix sidx lookup return timescale
    
    refs #26341
    
    (cherry picked from commit a151c9c40f3487764fc28acc32ff6657fb782329)

commit 7d54e53dd5a5df2889a492439b7a8b008c11f4b4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 17 19:11:22 2022 +0100

    demux: mp4: fix unaligned trun seek
    
    refs #26719
    
    (cherry picked from commit 3ee0bb4c28fb8c9df32fb102e5a1176e81f6ab48)

commit d6ffeba288c533f0531541fe8a97d8bda60fd25c
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Mar 22 12:55:07 2022 +0100

    opengl: simplify swizzle
    
    The commit ca7d2ea4b618b5bc1a8a03c0318d4f2afaf3007f introduced an xyzw
    swizzle, whereas the previous code was using an rgba swizzle. No other
    location used the xyzw swizzle for texture so unify and use rgba
    everywhere.
    
    Refs #26735
    
    Cherry-picked from aa5bec3b49a790709bcf2c7d874552916da2aea1

commit 4082f4f2f46b60fd4c7d4d31ba26c3d890ad03a4
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Mar 22 12:46:42 2022 +0100

    opengl: fix swizzle
    
    The four components are, in order: x, y, z, w.
    
    The U and V values are the first and second components in the second
    texture.
    
    Fixes #26735
    Fixes #26336
    
    Cherry-picked from 05f292874df8b29a0f3b60d49d39f4269a2b2ca8

commit d973d2f3d827510cc5a974fedb2e2a9fd10f89cf
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Wed Mar 23 12:27:25 2022 +0100

    opengl: explicitly set swizzle_per_tex values
    
    As explained in commit 1e72174721e4af164b23e00578e097f029494260 (in
    VLC4):
    
    > In case the texture format is GL_LUMINANCE, swizzle_per_tex was set to
    > {NULL, "xa"}. Using NULL instead of an explicit swizzle ("x") was a
    > small optimization to assign the texel value directly [...]
    >
    > This was possible because the texture exposes the luminance value in
    > its three components: (L, L, L, 1).
    
    In fact, using the luminance value in the 3 components is not equivalent
    (and wrong). Therefore, explicitly use the texture swizzle.
    
    Cherry-picked from 1e72174721e4af164b23e00578e097f029494260
    
    Note: only the assignment is cherry-picked, the associated refactor is
    not applied to minimize code changes on VLC3.

commit c7cfe89c7d6e5032c08fd1cc5a2e173c684cac6f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Mar 22 14:50:09 2022 +0100

    demux: we don't need to check availabilityStartTime
    
    mandatory for templates and breaks with epoch 0
    refs
    https://livesim.dashif.org/livesim/sts_1647955042/sid_f95b592d/testpic_2s/Manifest.mpd

commit 65dccae11596890f57a2a2e2a548a0cb06d1b5d3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 17 17:22:38 2022 +0100

    demux: hls: fix timescale attribute duplication on update
    
    (cherry picked from commit 8940fd6c104fcc5bf40e81417e6bd967b4566836)

commit c3145adf762bc68224a8fe273f76b5fee3b2548c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Mar 16 11:22:22 2022 +0100

    demux: adaptive: properly prune relative segmentlist
    
    (cherry picked from commit fafd64e06f5634cc4ee427f99935510032c37fa3)

commit 1dc30593de451e5e6a56ffd201f93c89c26f255d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Mar 16 11:02:11 2022 +0100

    demux: adaptive: ensure es is created in test
    
    (cherry picked from commit 8f8ea977e56b0aeae7584692628060802d0498f8)

commit ebbc32cf94fa85e4d5a2f93b0656602c33926bfd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Mar 15 18:20:42 2022 +0100

    demux: adaptive: fix init setting expected timestamp for non sms
    
    (cherry picked from commit f2414d8642ef7a5b22aea701a23854be5657fe80)

commit 0ef40b1ea9576f3a9c3e1789eb8f9c08e9b8bb45
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Mar 15 18:00:31 2022 +0100

    demux: adaptive: use timestamp 0 offset in timestamp mappings
    
    Fixes returning INVALID timestamp when mapping to 0.
    
    (cherry picked from commit 4aa0143cf9dd56b0f3eac3e0513e9349da235fcd)

commit ec196700e1686271f19d7e292c6e4d271c65bcd6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Mar 15 17:55:49 2022 +0100

    demux: hls: rename error prone method
    
    (cherry picked from commit 65d2dccfaf7dcea5bbe9063a15cd5480dc05bf60)

commit 72d0c34090a73006f7897c8ce3beccda29263797
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Mar 11 13:50:41 2022 +0100

    adaptive: test: add low delay offset check
    
    (cherry picked from commit dff467b4efb8ebabfb2dadafa8addd25d774f4ce)

commit 1a7454e2711ca0941aa1570ee5cef7152b4b843d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 20:21:22 2022 +0100

    demux: adaptive: use member for isContiguous
    
    (cherry picked from commit 40ea2e85c1515891ff6ae7e5c3f04e750d8427c5)

commit bfc284c150daf877b436fe2f3cbeab10676fc9d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 18:06:11 2022 +0100

    demux: adaptive: call queue to create ES on empty content/subtitles
    
    otherwise it is delayed until first data/pcr
    
    (cherry picked from commit 9819fd9b422ac0e46c6e575d457b8c57fb6bcba0)

commit 5439d2e6d3b5123a35ca79d92de1cd5d52b0defe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 18:05:39 2022 +0100

    demux: adaptive: rewrite media timeline fallback
    
    (cherry picked from commit 310f94ef936e1e226c172a024657e90ecb5eadb8)

commit 1d918604017ff65b22184b582c188e0b6cf4e71d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 18:03:48 2022 +0100

    demux: adaptive: only return bufferized amount past deadline
    
    (cherry picked from commit b2d6205d56db48318f550162a8dc19922752047c)

commit 62be0ca1b07c6692eb3c37a954bd4d75b98adab4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 18:01:59 2022 +0100

    demux: adaptive: no buffering on no deadline
    
    (cherry picked from commit 235471cf999d76ab2da1c0efdb4fefbcde39243d)

commit d9b8176ad3de552295d1174aa6ad0f7058cd072f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 17:44:02 2022 +0100

    demux: adaptive: reset segment time context on segment gap
    
    (cherry picked from commit e136c8ac502692217bec060510c6ae58eb2cd2dc)

commit 5faa2ca274ef039459fe6ee40cbbeae4fb1e264b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 17:43:19 2022 +0100

    demux: adaptive: refer to previous segment end time
    
    (cherry picked from commit 49f71855b906d0d13447942ad2356da514257f40)

commit 81213b4508271615d54c180ff4b3c21e6221bd79
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 17:02:56 2022 +0100

    demux: adaptive: add buffering media level to command queue
    
    (cherry picked from commit 5da424a6684d80876f94b49b42d5bcf4e18d1989)

commit 4f1fc14d7235d5fa1e66aadbee20845178d8cf10
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 10 16:02:36 2022 +0100

    demux: adaptive: force early output of first demuxed times
    
    (cherry picked from commit e8be1a4ef4ab7f57873e7a2566d1a789ab390986)

commit 867138fdeaf7b4eb65c88529cbd564375856a136
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 3 11:31:51 2022 +0100

    demux: adaptive: add more segmentlist merge tests
    
    (cherry picked from commit 7bdcb21d8ae65c0d0e1a85c91bd2469ec7006010)

commit 160487bdb9bb70d0990ff8eec9050053b54dde22
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 3 23:03:20 2022 +0100

    demux: adaptive: add segmenttracker tests
    
    (cherry picked from commit a9fad07115b217de650690113bc4faa0b541083f)

commit a67591607626adcbd9be21212d5635c815ae8e6b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 22 10:19:27 2021 +0100

    demux: adaptive: add esout unit test
    
    (cherry picked from commit 79ab6573e38488c2f88defdb72f27528b18e0345)

commit 51a71010179a4d0840b0bbee278534783bbb896c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 3 15:10:22 2022 +0100

    demux: hls: fix ended event state
    
    (cherry picked from commit a37aa1c8645df9ff81e502b230c6acd72bd6f75d)

commit 73564785df7392a90c80c43cfef1da36b79c3a6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 28 18:02:48 2022 +0100

    demux: dash: add default startNumber
    
    fixes regression with some templates
    https://livesim.dashif.org/livesim/testpic_2s/Manifest.mpd
    
    (cherry picked from commit a5fe71de82e04ce62b1e649c7004f73ddf9abdfb)

commit c713ce413420b91a76023068b5535c623962a0a9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 28 16:16:05 2022 +0100

    demux: adaptive: re-enable SET_NEXT_DISPLAY_TIME
    
    (cherry picked from commit 3a318ede5c6e53640b5b3a8fffaf38a1a7ca6f12)

commit aba120916b011946e1ed59dded531839a2d99234
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Feb 27 12:06:06 2022 +0100

    demux: adaptive: add top level emsg in ISOBMFF probing
    
    (cherry picked from commit 92b5c9d38cf84762f340b896942d1cef73a38c76)

commit 8737d8093c31913c1301eb54bdc1b72dd4393786
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 23 16:57:23 2022 +0100

    demux: adaptive: fix initial switch event
    
    (cherry picked from commit f50f140545c9634a65078fedc50a85ba6fa06cd1)

commit e0168e102730aa1d3bc3e2f5b279a3591af8ec74
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 23 15:47:17 2022 +0100

    demux: hls: move members
    
    (cherry picked from commit 1975b2a39acdee58872a05ca0209ad56b32a1beb)

commit cd9903dbf7cb6aeec7ae715c04264fdf3288ed0d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 22 18:33:34 2022 +0100

    demux: adaptive: fix init segments discontinuitysequence
    
    (cherry picked from commit 20737e5283fbe982a10bdeca15e274d45bd346aa)

commit 90c36cdc942c3473a6ae30ea2d9f3dba82568491
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 18 15:20:25 2022 +0100

    demux: adaptive: always try to update reference
    
    (cherry picked from commit ba579a40708b61af4127837054b7a2e510cbb5fd)

commit 56d356c7f65eb6c5aad64d2e3b031075e58a7dce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 18 15:19:53 2022 +0100

    demux: adaptive: replace reference to avoid halfroll
    
    (cherry picked from commit af162dd3a8933124264c42f028c051f88a95d3b1)

commit 75cdc5b853693d34fa37df0af0907fc12e1a6409
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 17 19:11:19 2022 +0100

    demux: adaptive: avoid false timestamp roll on long streams
    
    (cherry picked from commit 9fddb6518070ad13d52c9922f0b3b239bd612ca9)

commit d7e5cf1d479ab879e01a2df220d2e309ec3e2359
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 10 17:53:03 2022 +0100

    demux: hls: remove unused utcTime
    
    (cherry picked from commit 0628048404e4719f56c99001e04d36e46ac06091)

commit 07ed436b706d1796098ccfc68955e741f459d37c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 19 17:23:21 2021 +0200

    demux: hls: re-enable WebVTT
    
    (cherry picked from commit f18f844f973418e55b5687df41fde9dc00593727)

commit 14ae2e6f300994f4c1816d1e583f1b7bf4590587
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 21 16:14:55 2021 +0200

    codec: webvtt: merge cues
    
    (cherry picked from commit 69d3595ab32567ed13cc501b1efd7ddd4e207705)

commit 8aa8755227d852dd1919ac7c1288f0447bd9a939
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 9 16:30:28 2022 +0100

    demux: adaptive: remove getCurrentFormat
    
    (cherry picked from commit ffa3db438d4147847a5560a965b94f8544f8db35)

commit 822aa2d32317957519a18438da519124199b485e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 3 23:10:59 2022 +0100

    demux: adaptive: remove connManager from streams
    
    (cherry picked from commit 7c36956203d84c49feac7e2069e5f9cf70c532c6)

commit 950c397923e953068badbd2a413ba6562302da11
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 3 23:04:43 2022 +0100

    demux: adaptive: remove chunk useless connmanager direct param
    
    (cherry picked from commit f75635941d9420a3afa12d560bef42ed4d3807eb)

commit ffe08a53f11a4eaf8a0c6f36feb45221fcf60f6e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 2 11:26:25 2022 +0100

    demux: adaptive: fix timeline timings on chunk entries
    
    (cherry picked from commit 95c2a41e2b1bda11c8e12629b412a7086911b546)

commit f1836c66d920d91b20456673c2018a511d31ff23
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 2 09:37:34 2022 +0100

    demux: adaptive: fix timelined segmentlist regression
    
    (cherry picked from commit e16c5187c1ab59e0ed378b521fe0e520f8289118)

commit 4c9ce9f9758f34b3ef8028e880eb6dea7adb2417
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 1 15:42:13 2022 +0100

    demux: adaptive: notify first switch
    
    (cherry picked from commit 93de05d69e7e0b0668500134f7e48feb5517bc80)

commit c2fa15703d951e6d968f6a1d420be8f063c381ac
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 1 15:32:33 2022 +0100

    demux: adaptive: set resolution in CodecDescription
    
    (cherry picked from commit ccba091bd9ce19188715340fc4171b5cfd309787)

commit a94e4420f7e9aa6d8a1d21f740b7fc21640f17fd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 1 15:31:45 2022 +0100

    demux: adaptive: fill fmt with representation resolution
    
    (cherry picked from commit fa086dbd4c6e8d1b4e24c742217b5f1586228a1d)

commit fff590c48e3508c80097aed1e6f34ee7d6728155
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 23:29:04 2021 +0100

    demux: hls: schedule next update on failure to half segment
    
    (cherry picked from commit c9092bec4ea49050f9febd708640c8ed78030491)

commit b16cdb8d9c808c33381d7a7885ec152583b18a4f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 23:23:48 2021 +0100

    demux: hls: notify update failures
    
    (cherry picked from commit 6733efd243a8adb9eaed397163a027086e807a6b)

commit ce3877aecdc727ca63e26d6b8e4591c4da6a6494
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 23:23:35 2021 +0100

    demux: adaptive: handle update failures
    
    (cherry picked from commit 3911d82e9e3cde8dce87974b70ce1e7fea249eb8)

commit c1a5af1a6b9b5dcd3af7997f394b8ab31dfe2a75
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 12:06:06 2021 +0100

    demux: adaptive: clear suspended flag on update
    
    (cherry picked from commit 22e8b053cd5fe0661dd4da8895cb0a040e1c3015)

commit 4ccddc8a130beb5e99f2885cc333ce941141050c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 09:40:11 2021 +0100

    demux: adaptive: add representation update event
    
    (cherry picked from commit cbd527cec2e0b5c0fd5fab414203e144e2877670)

commit 29774d56d5dac321d2ee28a23a77847b241d2d3d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 17:25:15 2021 +0100

    demux: adaptive: reevaluate buffering status on each run
    
    (cherry picked from commit e60e9c7cd4092b5eed9a81212fd9d01aaa0acc70)

commit 0ae8c0021476a5ceb049aa9e9ea14bb34fb3a21a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 20 17:24:39 2021 +0100

    demux: adaptive: reset all status on new position
    
    (cherry picked from commit 4d784f69f9e941a7de3643e3a3d70ac74b177bb5)

commit 0de7a6a85737b6cc0cd09d5bec4af18f7a6b3762
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 3 13:49:33 2021 +0100

    demux: hls: missing limits include
    
    (cherry picked from commit b8b52a006cdef0ebce9dcc3e4fb5a03af64adb79)

commit 9d50737488b4f435920023ccdcdf7f73eed48fc0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 25 21:17:02 2021 +0100

    demux: hls: don't approximate segment number translation
    
    (cherry picked from commit 37bdab030873e1de626c045f33bfc9511b8bc412)

commit 0ff5a3df8cd09e49385ebae88f90d8b5c4f84753
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 25 18:54:35 2021 +0100

    demux: adaptive: do not switch out of an available playlist
    
    (cherry picked from commit 518c5dec0441d642ad1c2ccdd3f97da55dc9e444)

commit 36e0b3d4f214bc0707a847d8357e322ec147a9f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 24 14:20:05 2021 +0100

    demux: adaptive: set chunk info for subtitles stream discontinuity
    sequence info
    
    (cherry picked from commit 7718d6916895dec7ffac3ac47094d67808dca581)

commit db3de6041568ebfc6bda901938f006dfe2a322f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 2 16:14:08 2021 +0100

    demux: adaptive: no longer handle segment gap as discontinuity
    
    (cherry picked from commit fa4882420e5d3f504ce9e5dc811f25672c1e9d4d)

commit 67a2f9ff458de5390746243a815434b59d13345e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Nov 23 16:15:25 2021 +0100

    demux: hls: classify subtitles also by role
    
    (cherry picked from commit 949208b500915d331bac5d18b2eb55b7dc2bce8a)

commit 1e03b5f4fbadb4661c7dab4777a21ea95fa42d12
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 25 11:16:38 2021 +0200

    demux: adaptive: use Times for stream position
    
    (cherry picked from commit e009424c15083544d522d3197574dd16f980ebe1)

commit 0821fb7066b03dad32af1c577f8e6db022f19007
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 19 17:22:46 2021 +0200

    demux: hls: parse WebVTT explicity mapping
    
    (cherry picked from commit adb7bdc2f61f1c2119384922934f213ab9c58474)

commit 259880bb63c3acc4759fd12651857c19182f163f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 3 21:35:10 2021 +0100

    demux: adaptive: only update syncref with valid point
    
    (cherry picked from commit 83d2aca2a512901ced9e4be95d8e5ce8c8cbef61)

commit 77d8283fa187c9efbbb9ae3dc322e2697913e045
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 1 19:47:05 2021 +0100

    demux: adaptive: wait syncref for subtitles
    
    (cherry picked from commit f5cd0d17e2c77e5ad02abc0bd144f8efb737b0f0)

commit 69bd7e6407092aa5a149c679b95bc4391099872d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 22 13:55:37 2021 +0200

    demux: hls: add missing next update sheduling
    
    (cherry picked from commit 2588017c9eea935a3e9d6ccc7b41d7f25279bd64)

commit 37e24df9fbe6cdf25820a25e357015133ae465da
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 27 09:33:48 2021 +0200

    demux: adaptive: handle hls rollover
    
    (cherry picked from commit 146eb315a41b29617f4e648e505c9d375989ce42)

commit c8456de4b7e90415aaa50dbd5c5ade9f5b3b0a6c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 20 10:55:58 2021 +0200

    demux: adaptive: ensure starttime context is always set
    
    (cherry picked from commit 4b8b28683cc5e555a1f4666863d202fea1ac76c3)

commit 1956b81ebd569524f1e0373ad0d82eb67869a8ee
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 10 21:03:58 2021 +0200

    demux: adaptive: use sync references for continuity and start offset
    
    (cherry picked from commit 57cdaefe2e94c5053768b1068076643b5ff8745f)

commit 9a3427eaecb12788c4170c4f819597e060a5e099
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 19 17:21:43 2021 +0200

    demux: adaptive: add direct timestamp mapping method
    
    (cherry picked from commit 8504efe042256fdca9ec25154ab85209bc319ecd)

commit 7d905b4c7af3da1c4687e0c7057542ed45d5efcd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Oct 29 18:40:44 2021 +0200

    demux: adaptive: fix buffering level on invalid ts
    
    (cherry picked from commit e4487a4b1dd4c61d0063762664757b39301eb78e)

commit 963e49f8ba6eab41b5d507e676d68f67acf4d767
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 19 14:17:16 2021 +0100

    demux: adaptive: remove isConsistentNumber
    
    (cherry picked from commit 94433ad79afdab102002e280b54a98c2258985ef)

commit 4ebef5371a9ac9cfbfcac1e5657d1db25f4008e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 19 17:41:42 2021 +0100

    demux: hls: fix relative segment switch
    
    (cherry picked from commit 482d9d10306d226ce3eac397fa0d86de22e7407e)

commit 5ffb2e8fbcd856502275f830175c1a4a82e416e8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 26 22:46:22 2021 +0200

    demux: adaptive: remove no longer used segment comparison
    
    (cherry picked from commit 55e204c2879af3044f6942bc679b0e7745e537e2)

commit 1a586db0aedab8630278da11438fddf485c57402
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Oct 26 22:44:22 2021 +0200

    demux: adaptive: rework segmentlist update
    
    (cherry picked from commit 43a205ff43b7f9b66bc0312760e3ae8c1fad28ef)

commit fa38142ddce511d717a4a3475b13469c16aec2e8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 3 10:54:50 2021 +0100

    demux: hls: set abs/rel time hint
    
    (cherry picked from commit a31b95c1da16406d45bb868c80e1d66f8d6e7bc4)

commit 305ce0e7c6051b95922494e7ae175f78520676a3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 3 10:12:08 2021 +0100

    demux: dash: set absolute mediatimes on segmentlist
    
    (cherry picked from commit f32e4c914c828f81dd607946bf3992bd05b18555)

commit 8a3c57d73a5c732f61560fa255e7091652667396
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 3 10:54:16 2021 +0100

    demux: adaptive: tag segmentlist with abs/rel times hint
    
    (cherry picked from commit 5f0a3e46aa011e5abba42e665b04e0a78b77bf6f)

commit 29eb66abcda6bf5f01fcf3a35724590218f8ab1e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jan 14 14:30:55 2022 +0100

    demux: dash: set segmentlist startnumber for live content
    
    (cherry picked from commit f5f104c41bccc4e438ed8972897f7d441241ad19)

commit c0faa79df1acde15c7b676ebcadbd70869997489
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 20 10:55:08 2021 +0200

    demux: adaptive: fix live manifest update on stream reactivation
    
    (cherry picked from commit 7e20d06ebdf467f48d3c3a32a6e9b844408fcbc5)

commit 33dffde13be228a9ccc33eef689301854aad3310
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 20 10:54:22 2021 +0200

    demux: adaptive: notify discontinuity before new segment event
    
    (cherry picked from commit 67a63fb7fe84ab17ef17eb30240007276b206e2a)

commit 532a3b83ceba3fa2abca9ec7093de6e01b93cdeb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 20 10:53:27 2021 +0200

    demux: adaptive: sent discontinuity once with init
    
    (cherry picked from commit c73601e7b10d435c934c66ee5661673fc366fa07)

commit aeef87883fd6d9687cb8a884a96bb295b09e0e98
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 20 10:52:33 2021 +0200

    demux: adaptive: always tag init with segment times
    
    (cherry picked from commit 86e8452681d6eb97ed197092e26ed41461e5eee9)

commit 9cd15459b40c229c3beac75e49e1680d66f9cfc3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 11 13:32:54 2021 +0200

    demux: adaptive: pass resume time directly from tracker
    
    (cherry picked from commit 216c3c130cb86094e2b02483dbf7003de9bd02e5)

commit 00a2c62b90e756523f52dc33d7cbd635f0f902ff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 19 09:54:54 2021 +0100

    demux: hls: parse and store discontinuity sequence numbers
    
    (cherry picked from commit eaa7ae479c6528996658c5bffd22cf509546f6cf)

commit 5cca66dfdec66c403ea43c9e518f7f8e318f0e61
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 11 19:25:29 2021 +0200

    demux: adaptive: don't flag first discontinuity
    
    (cherry picked from commit 9c6099694bdaa390793978ca1ef26b1cd0caf549)

commit 5206fcf24df6c5fc864c493919b625bbbb8cd21c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 13 14:01:56 2021 +0200

    demux: adaptive: remove unused timestamp_first
    
    (cherry picked from commit 13d940dc68a93b3c35b682cab51454c5863d9d1d)

commit 9554a6b7ed2cdc3f984aabce72d44f2bc7f1defb
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 2 16:23:04 2022 +0100

    demux: adaptive: add proper getter for media amounts
    
    (cherry picked from commit 0a94cb1cfaca7efc606439b8084a50dfbd620812)

commit 9e365112f07c964423016a79f3ca19092a312774
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 11 17:50:06 2022 +0100

    demux: adaptive: use both timelines for buffering/dequeuing
    
    (cherry picked from commit cc3dad2c73c4f0be0a4cab8b1651c74134467a54)

commit 046ff13ec6f415b39c347ce511dc377bf39c60f8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 21 12:29:20 2019 +0200

    demux: adaptive: use mutable keywork on locks
    
    (cherry picked from commit fbb3542c34081091d8f8943d6ffcd244f5efe590)

commit 253dfc6c82f1e319c31fefd31241d5b954eb4475
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 11 17:46:35 2022 +0100

    demux: adaptive: propage times also through buffering
    
    (cherry picked from commit b7a0d239d7b5b81694c64066d0be7f9e7ca14958)

commit e52ff05503eba4a232166a3c187baf0e373d377b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 24 17:21:44 2021 +0200

    demux: adaptive: move unescape to helpers
    
    (cherry picked from commit 19140f996b0e13c5095ab1ed39f1cc6df72f564a)

commit c2179e3e253784b989e0612f9bf753ab9d33fb78
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 4 20:25:03 2021 +0200

    demux: adaptive: return only valid time for GET_TIME
    
    (cherry picked from commit 66b88e346ae3e19665aadba2c41a1dffe45d6980)

commit 9876d0fccb75d8a994d4c22974f367355e768ab8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 9 14:52:58 2021 +0200

    demux: adaptive: cache init segments
    
    (cherry picked from commit 5783eaec107133b48c96ba8386aabee382a3405d)

commit c25f541a5185f394393e2d24b0f861e5bc97a447
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 8 18:04:21 2021 +0200

    demux: adaptive: do not consume chunk data
    
    (cherry picked from commit 3fbe47d0caca74cb99c2e90e94acaf7e5f01fbf4)

commit cab9dbc65862172ccf2f6c3b9a0ce0734dcf63f6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 18 13:49:35 2021 +0100

    demux: adaptive: add chunk identifier for storage
    
    (cherry picked from commit c83c68121e90f903009b9982981e6d6c3a5d7836)

commit 6033b2405975997300febd02764929620afbc70f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 24 13:27:28 2021 +0200

    demux: adaptive: add trim helper
    
    (cherry picked from commit db1f2de74c43cc207b7147cbfdfbfea48e16f868)

commit 08efb4e2c331e02fe7d07074a824f73ceead548f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri May 21 15:31:56 2021 +0200

    demux: adaptive: set virtual segment times
    
    (cherry picked from commit 80b990eab065046ae9e53587580266b8996ea293)

commit 0ddbb589b2ad55713993cf5ead9074000507f8c7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 11 17:37:43 2022 +0100

    demux: adaptive: remove now unused random access times
    
    (cherry picked from commit b0e2256615b73ed4c6b2998e79a62793106c435b)

commit d5ca6328f9055a56ed5a9523bdff1fe4c7681773
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Jan 11 17:34:12 2022 +0100

    demux: adaptive: fix position/get_time
    
    (cherry picked from commit fbfb934900d7c4b264632cf090236d65e859366f)

commit b29277a0f9a49e29ff617b65724195754aa291f9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 27 19:52:41 2021 +0200

    demux: adaptive: propagate and interpolate asynchronous times
    
    (cherry picked from commit 1fdd46df6263da8d1d812c71398d53c3e590e730)

commit cef4f4cdc6c24e03940b7ec773546c2ae7dbe861
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 27 20:06:29 2021 +0200

    demux: adaptive: add times references classes for demuxed data
    
    (cherry picked from commit 71a1e62ce3a88005576bccff514fe2b8ec3c6a69)

commit 296b3a03aec5cc650688054bf533cb9d6c89e4d7
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 8 14:19:14 2022 +0100

    contrib: test pthread availability for Windows even without mingw-w64
    
    If anyone has a pthread with a different Windows SDK it should work.
    
    It will also avoid bogus pthread.h missing reports when mingw-w64 is not
    detected properly. HAVE_WINPTHREAD is not checked and assumed to be
    available.
    
    (cherry picked from commit 4acd34bce8928ee68d4c1307bcbda172ec6e31ee)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit ca10c6725941b7542afab3e07fb738eab995cb15
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 8 10:02:29 2022 +0100

    contrib: slighty faster to get the mingw-w64 major version
    
    It doesn't involve grep nor sed.
    
    Co-authored-by: Stephen Kitt <steve@sk2.org>
    (cherry picked from commit 4f73bdde05db0f2ce50dc146826086cc78297788)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 7fac6112c3f2abfed5c4434d3111d09d65480fe2
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 1 10:12:41 2022 +0100

    contrib: pthreads: get the latest dxva header from mingw
    
    In mingw 10 they are up to date with HEVC and AV1. Even in all the win32 images
    we use.
    
    If we ever need to patch it again we can do it on the mingw version
    
    (cherry picked from commit 7e4e0b1f3d3363c9df715c9d3a01fe005ea664f0) (edited)
    edited:
    - 3.0 doesn't have winrt_headers, d3d9, dcomp
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cd70cb35f29bdf78e17a2b1791b477c59e456683
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 1 09:23:09 2022 +0100

    contrib: win32: only preprocess _mingw.h once
    
    (cherry picked from commit 8a191b4cf3b18a4558f7f00d027e0c863e5fc026)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 387470d8cf51b7219762328f6e4e84105cd3ecd3
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 1 08:33:27 2022 +0100

    contrib: pthreads: stop pretending we download just winpthreads
    
    (cherry picked from commit 2d3539835d34dede150ca69d990b50422fd8400b) (edited)
    edited:
    - 3.0 doesn't have winrt_headers, dcomp
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8f4b55fcde410cd61a52cf63e44be82d8e1ee002
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 28 10:10:21 2022 +0100

    contrib: pthread: use a recent mingw-w64 to get proper dcomp.h
    
    We can't detect it based on a version of mingw until v10 is released and in our
    images.
    
    (cherry picked from commit 50e71ad6fb43c710d64ac4f3945cdd11ccfe5aa5) (edited)
    edited:
    - 3.0 doesn't have dcomp but wants the newer hash
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4feba41c134b15d2e2b360f5177b1c7f13cccd9d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 23 16:15:53 2022 +0100

    contrib: pthread: don't rebuild winpthread
    
    We don't have any local patch for this library.
    
    A normal mingw-w64 install has both libpthread.a and libpthread.dll.a, contribs
    will use the former.
    
    (cherry picked from commit de493a1d254468296c89d1fbb8163dd8820a744e) (rebased)
    rebased:
    - 3.0 uses mingw_at_least instead of HAVE_MINGW64_V8
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9d90a9daa8e3dd801edeadbe5a3be37eb3dc7341
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu Feb 17 14:31:27 2022 +0100

    contrib: win32: allow checking more versions of mingw-w64
    
    (cherry picked from commit 6d2a311585b40bd1a43db3bccc7219c1ede7f570) (edited)
    edited:
    - 3.0 already had MINGW_W64_VERSION
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit f711c9dbc22944d79c075914afbef845394f9fea
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Sep 3 08:10:59 2021 +0200

    contrib: pthreads: only require windows headers when building for win32
    
    And only check for HAVE_MINGW64_V8 use when not using MSVC.
    
    (cherry picked from commit f7447e6a61b5925843f136d8ca1a98e81ae218cc) (rebased)
    rebased:
    - 3.0 doesn't have winrt_headers
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 17b93f58c392e4ff1579918febb43d9bb155e494
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 16 11:22:09 2021 +0200

    contrib: pthreads: use mingw64 9.0.0 instead of an interim 8.0 hash
    
    (cherry picked from commit 5b9beae04210dcbd6f33c6f8c3869c8b483d4151)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 78ec27d7decc669f2e7195fd81396fa992f71ba6
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Aug 16 11:27:48 2021 +0200

    contrib: extract the dxvahd header from mingw64 directly
    
    If we build with mingw64 8+ we didn't generate it, and we still won't.
    Otherwise mingw64 was already extracted for winpthread, so we just use the
    header from there.
    
    (cherry picked from commit b16e3e7e5bcaaa34ec0bdf08c53f93ccaf869f41) (edited)
    edited:
    - 3.0 doesn't have winrt_headers
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d9196e863e55b76d7b8234972e2a1316c67b1b2e
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri May 29 13:32:32 2020 +0200

    contrib: pthreads: use a mingw-w64 version from git
    
    (cherry picked from commit b8731a6096b59404c6cd8f4c034c04532cee9977) (edited)
    edited:
    - IApplicationData2 is not added
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cb3428a1118c60016868c5cbab05d5475416a5e5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 15 17:40:54 2022 +0100

    contrib: upnp: do not try to detach detached thread
    
    This is a cherry-pick of a patch in the 1.6.x branch that has not been released
    yet.
    
    (cherry picked from commit 4a44a134ac10a3bf57ae1bd679cad1d0a77f91a7)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0e901f992c5bcbbe8b6e1756bddc99abfed0cef6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Mar 7 10:49:10 2022 +0100

    Contrib: update bluray to 1.3.1
    
    (cherry picked from commit d9997a4fcc152bdfacb1ae0e5570b0d7e6b37941)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 426513d88e3e3dc671434db8e724ee5d1b7e1038
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Mar 11 13:15:32 2022 +0100

    On the road to 3.0.17.3

commit 98c86d8787acf6686410ebbfe87629a1337aebca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 23 17:03:47 2021 +0200

    demux: hls: fix AAC regression with "es" demuxer
    
    For some reason AAC is not part of the probing sequence,
    it then can't activate without shortcut/forced naming.
    
    (cherry picked from commit 2396e15bd5b261b2c716ff653b5b8e6374be8bba)

commit c4ab31d5f0d5d0ba298706241d5b67ae49215935
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 8 12:12:01 2022 +0100

    On the road to 3.0.17.2

commit 762136b67a4842f8a5998e9943ff195217ba147a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 8 12:11:55 2022 +0100

    Update NEWS

commit 8dc979d5787032a1bc38c5b09544db1e0556d9db
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Dec 12 13:07:49 2020 +0100

    codec: avcodec: use filtered/best effort pts
    
    fixes playback/stuttering with wrong mux/monotonically
    increasing pts on frames that must be reordered.
    
    no change for regular pts.
    
    (cherry picked from commit 0834d39352a299f1ada6b319fff43f3c34b9d52a)

commit e63e7a06341ed8eac34fabc30da43d5bf34b4255
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Mar 8 10:24:30 2022 +0100

    qt: fix typo in mouse event handling
    
    Fixes #26684
    
    Regression from d5e53764ba89d36ca5c300e0cc0f5261b0abe8ac

commit 2c31361c347b0f31b6818a28d4fe94f9543aad56
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Feb 5 01:43:05 2022 +0100

    youtube.lua: update "n" descrambling function name parsing
    
    The descrambling function is now called through an intermediate array
    variable. This change has also added two extra ways to recover the
    function name. Add support to parse and resolve any of them.
    
    Fixes #26574
    
    (cherry picked from commit 3df28fc51ef2ea46084aef1785ded18afa31ef9e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8bff7178c720dd0c4df56a8dc34bd86fac7801e8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Mar 2 16:42:09 2022 +0100

    smb2: fix pf_read return values
    
    0 should be returned in case of EOS or error, -1 means EAGAIN.
    
    /me blames me for not reading the documentation.
    
    (cherry picked from commit 249a76b921b1a742ae9d4fa459ea7107bca08482)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 4063c515ea5cc7d48685a7e6797ac7a87a2eb858
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Mar 2 16:40:54 2022 +0100

    nfs: fix pf_read return values
    
    0 should be returned in case of EOS or error, -1 means EAGAIN.
    
    /me blames me for not reading the documentation.
    
    (cherry picked from commit 59a3d85dd2bf642a81c95f91ef320cf4164d5671)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 583426556280120843d8de5d5986663a3b43568f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 15 09:08:54 2022 +0100

    contrib: freetype2: replace the UWP patch to fix bogus CreateFileA call
    
    Patch merged upstream
    
    (cherry picked from commit 54088315e19f6274580bc82734f3037ebd29e6ce)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0cc084b0325ea81558b3383c3bf9ea8869b8f9bf
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Mon May 11 00:01:07 2020 +0300

    vaapi: add support for DRM modifiers
    
    DRM modifiers communicate a description of the data layout in the buffers
    exported/imported through various API.
    
    On Intel HW this exports tiling information as well as potential compression.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 3633417edb6330c335c7d3602e255534979c05e7)
    Signed-off-by: Shuicheng Lin <shuicheng.lin@intel.com>

commit 39bb4ba8ec797b10d2fcc4eec88bc02bb8a936c7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Oct 27 11:24:59 2021 +0200

    CI: Mark jobs as interruptible
    
    This will help automatically cancel outdated pipelines instead of having
    to do so manually
    
    (cherry picked from commit 64ff40e2d6e8712547b8db827c59b404cbc9d503)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit aa76328c572d93f1d99c867a94ecad1dc3259733
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 24 11:01:40 2022 +0100

    NEWS: Mention libflac update

commit 00a01eb254a563fcc78e548785ab67f0255e258c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Feb 23 09:55:57 2022 +0100

    CI: Add Windows release jobs

commit c3e2ac604aaa528b1bde12d4333e5414ddf3b9b5
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 23 10:18:48 2022 +0100

    contrib: update to flac 1.3.4
    
    (cherry picked from commit a49cca05d381ce6a0371fd1d15f983f2e4a58c04)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 758b718347094af7e7e35ec18359d32f8928766e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 22 18:43:48 2022 +0100

    Update more NEWS for 3.0.17

commit 66f425110705a7e3de6754ad8040920c97f48f2e
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Feb 21 14:15:07 2022 +0100

    Update NEWS

commit ff0e412d421aff53b92fad3a788d982767a093fd
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Feb 21 13:34:52 2022 +0100

    tools: protoc: fix compilation with recent clang
    
    Similar to 553ed5fa94c932da67e4cf6bb3a61b52bcbd18e5 found in contribs.
    
    Co-authored-by: Martin Storsjö <martin@martin.st>

commit e4869da270e1adb526fa0bebf2071d3301a6c18e
Author: Vikram Fugro <vikram.fugro@gmail.com>
Date:   Sun Sep 27 23:57:59 2020 +0530

    gstdecode: handle fourcc mismatch between gst vlc
    
    Add raw video fourcc conversion support to convert
    from gstreamer representation (for strings that are
    not equal to length 4) to vlc representation.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit a6c52d8943cd172ed0853c00d61dcf5b090edd41)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ecfff94877b53505f2a8e1d176e992f4df77647
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Feb 7 20:37:13 2022 -0500

    gstdecode: add AV1
    
    (cherry picked from commit 58202004426ce9ac2d8e32ede722a3353a5cbad1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f12b4ed70075917c9042ac3fcc41e376af3642c0
Author: Vikram Fugro <vikram.fugro@gmail.com>
Date:   Sun Sep 27 14:42:57 2020 +0530

    gstdecode: Add support for more video codecs
    
    Add support for vp9 and hevc
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9894f84b1286cadf3d2d15362e153dab6c4038cf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d3e78c235b349fe25e3952980ead13a49d39b136
Author: Mitch Capper <mitch.capper@gmail.com>
Date:   Mon Nov 8 13:05:11 2021 -0800

    croppadd: handle metadata rotated videos
    
    (cherry picked from commit 419ad46d792b586ba038c452eddb59c96d9befc2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4d0cc7a55f3da63e7e3270065c3e06dad786df29
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Feb 17 11:41:23 2022 +0100

    fourcc: add more GeoVision FOURCC
    
    Fixes GeoVision video playback via the avi demuxer.
    
    (cherry picked from commit 6372cce4c9bcc5443e931027c15d7018bc493b12)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 553ed5fa94c932da67e4cf6bb3a61b52bcbd18e5
Author: Martin Storsjö <martin@martin.st>
Date:   Thu Feb 17 12:46:41 2022 +0200

    contrib: protobuf: Apply a patch to avoid relying on transitive includes
    
    This fixes build breakage with latest nightly libc++. Since
    https://github.com/llvm/llvm-project/commit/2e2f3158c604adb8401a2a44a03f58d4b6f1c7f9,
    fewer libc++ headers transitively include <algorithm>.
    
    This protobuf header uses std::fill unconditionally, which is a
    function provided by <algorithm>. (The surrounding code comment was
    wrong/outdated - <algorithm> was needed on all platforms.)
    
    The same seems to have been fixed in upstream protobuf as part
    of a larger code sync:
    https://github.com/protocolbuffers/protobuf/commit/ab4585a6956675ce14a1cba5d321fde980bbf12b#diff-5cc9e8e347380b7bbc8fac8c06dc98100f3b5c076fcffa177e8ce11e753d4f7c
    
    (cherry picked from commit 5f6776416e903200941db906e16efea56454ed25)

commit 8276f2d90ff56a56f2a92e703852b58d8673441a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 14 19:24:32 2022 +0100

    Contribs: update libarchive to 3.6.0
    
    Fixes CVE-2021-31566, CVE-2021-36976
    
    (cherry picked from commit e308b8c851490c672883813c7c0004dee95fc2fc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 548ee5da6cf3f943ed058ea6dcffc52389f74c7c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Feb 16 19:45:53 2022 +0100

    macOS build.sh: Blacklist linkat and unlinkat
    
    Those are only available starting macOS 10.10.

commit 0d20e689e2bfba12503717dc6e728e6945ccc1c2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 14 17:05:55 2022 +0100

    Contribs: update NFS to 5.0.1
    
    (cherry picked from commit 50baf5674016a5ed27b393d308d7aa9ebf1539db)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 329b852d6ffc0257f9d6906c1a36222cb27f9688
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 14 16:50:39 2022 +0100

    Contribs: update mpg123 to 1.29.3
    
    (cherry picked from commit d67176127c795f373e5d9af1371108b4b567f225)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ce898456a89f061e28051fdb1bba237a18ca189
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 14 16:34:41 2022 +0100

    Contribs: update Twolame to 0.4.0
    
    (cherry picked from commit fb1dd7706ba60c02055fcf4e0a5c3bb38c731a2d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a448c9597124b256b41e8641f1e1073c42f6596c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 14 17:01:48 2022 +0100

    Contribs: update SRT to 1.4.4
    
    (cherry picked from commit 9a289291d01a393294c62ee7406487f59e25f4ed)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit fe971a8f176d7b64c92f5d108aaf54ea36bea96c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jan 18 18:13:58 2022 +0100

    contribs: srt: Fix build with gcc11
    
    (cherry picked from commit a49c449f1dd344087c4086fc03ecf4a5d69a6bf9)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d0b91750401e2bfe060efd0d3066ec91c2cf154c
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 20:00:13 2021 +0800

    access_output/srt: send data in payload_size chunks
    
    Fix #26048
    
    To avoid sending a lot of small UDP packets.
    
    (cherry picked from commit 84bc80de2334747c29e319bb3695bae1f2d2ade9) (rebased)
    rebased:
    * 3.0 doesn't have struct typedefs
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4c7cf49f5c96dd4107aa0c9cba292f331e8cb6e9
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 17:44:25 2021 +0800

    access_output/srt: simplify always true condition
    
    (cherry picked from commit 853df2675c619733ab874482847e93e5691a2820)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 29faf90e38bbc17b777fc75c2ad4b88807745876
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 11:39:35 2021 +0200

    access_output/srt: obsolete SRT_PARAM_CHUNK_SIZE
    
    It's the same thing as SRT_PARAM_PAYLOAD_SIZE.
    
    (cherry picked from commit c90ef66a553d1da90276d09cd2551cd77225904e) (edited)
    edited:
    * 3.0 doesn't have struct typedefs
    * 3.0 has advanced parameter in some settings
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d7146aca48d939fb9daa7874a8f8cbc37d8277dd
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 01:19:55 2021 +0800

    srt: comment out too verbose log
    
    (cherry picked from commit e6b547ccdc13c259c8322dcfc5620223640f0859)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 67faec333265ef910611179807f7b6ce9f2a261d
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 00:45:36 2021 +0800

    srt: initialize p_sys->sock to SRT_INVALID_SOCK
    
    Otherwise the zero initialized p_sys->sock will be closed in
    srt_schedule_reconnect().
    
    (cherry picked from commit e452063d6e25df6b22f0088f1f3edc4b976bfc64) (rebased)
    rebased:
    * 3.0 has vlc_mutex_destroy()
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e010ae8e47335f80fbd570d48bfead41da37d19b
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Mon Aug 30 00:35:43 2021 +0800

    srt: Fix missing srt_cleanup on error path
    
    (cherry picked from commit 52e3f716bc922664188b7f0dce744b3d92eb24a5) (rebased)
    rebased:
    * 3.0 is freeing psz_host
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2534aa80b50c2818594ac76782770b44449e7f60
Author: Zhao Zhili <quinkblack@foxmail.com>
Date:   Sun Aug 29 00:20:35 2021 +0800

    srt: obsolete SRT_PARAM_CHUNK_SIZE and SRT_PARAM_PAYLOAD_SIZE
    
    Firstly, SRTO_PAYLOADSIZE has no effect for receiver. Secondly,
    since there is no negotiation of payload size between sender and
    receiver, the receiver should use a buffer at least
    SRT_LIVE_MAX_PLSIZE bytes, otherwise the data can be truncated.
    So the default value of option SRT_PARAM_CHUNK_SIZE is
    inappropriate. User may know exactly the sender's payload size
    to set the value for SRT_PARAM_CHUNK_SIZE, but there is no much
    gain for doing that.
    
    (cherry picked from commit 0b0cc7ff60b3104f59af305d6de8051807bb2577) (edited)
    edited:
    * 3.0 had the advanced flag in obsolete parameters
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5eae57a0f8ea1effa1ee20a6f82612065eee8770
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Nov 9 18:50:15 2020 +0100

    contribs: bump srt to 1.4.2
    
    fixes crashes
    removes now unused patches
    
    (cherry picked from commit 0e7afc72a24f3a0f2a000fd1c9611f75f1c29172)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e19fdb24d201d656231813ff8bdb815284bbba2d
Author: Yohann D'ANELLO <yohann.danello@gmail.com>
Date:   Wed Oct 28 14:36:37 2020 +0100

    srt: add stream ID option
    
    This patch allows the use of the streamid option when using the SRT
    protocol.  For example, we can query the URL
    srt://localhost:9710?streamid=demo if a stream server is listening on
    localhost:9710 that supports multiple streams on the same server. Like
    the others already implemented, this parameter can be overwritten in the
    settings of the transport.
    
    In a future patch, it may be good to support the full options.  The
    complete list can be found here:
    https://github.com/Haivision/srt/blob/master/docs/APISocketOptions.md#list-of-options
    A human-friendly version of this list can be found in the ffmpeg
    documentation: https://ffmpeg.org/ffmpeg-all.html#srt
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit a55c95a9ccb051066b73f103f1a1e25586a97773)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8db1f5e94fa0dc3813ef3db98625881ee8c890ac
Author: Julien Montant <julien.montant@gmail.com>
Date:   Tue Oct 13 21:45:15 2020 +0200

    srt: fix build issue with recent SRT library
    
    The deprecated macro `SRTO_TSBPDDELAY` has been deleted from SRT.
    This prevents the compilation with SRT versions >= v1.4.2.
    
    See the corresponding SRT commit 0e2201aff6b379979cec43fee5e8f162717f6346.
    ```
    -   SRTO_TSBPDDELAY = 23,     // DEPRECATED. ALIAS: SRTO_LATENCY
    ```
    
    The (unrecommended) `SRTO_LATENCY` should be used instead, which was
    already available back then. See notice next to SRTO_LATENCY in the SRT
    library source code for details on why it's not recommended.
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>
    (edited message)
    (cherry picked from commit 6e8d77431127c482196115a6eeb769daf56347b3)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9b590f6e2ef26a41a7839303b57c21a2cd1237d9
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 17 11:41:29 2020 +0200

    access: srt: use define for variables
    
    (cherry picked from commit 179579703bd600f3760e3aa61794250cfad96b81)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit b39736759617fce1c20bf0b1b261040742034097
Author: Aaron Boxer <aaron.boxer@collabora.com>
Date:   Wed Apr 3 13:11:56 2019 -0400

    srt: fix bug in setting passphrase
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit ce386056d0dd9234bb52e057dbd6435dea74e140)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6b7bc6e2ec6cc19bf51596936fdfeeb83eaa30dc
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Mar 20 15:43:44 2019 +0100

    access_out: srt: fix missing config.h include
    
    (cherry picked from commit e7e608e84e9e218886700a6c90e8788a01f46b4f) (rebased)
    rebased:
    * 3.0 doesn't have struct typedefs
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2721173c27b8d9741bd1657952e67c1cfc696f14
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Mar 20 21:11:19 2019 +0100

    configure.ac: Require at least srt 1.3.0
    
    Recent commits use defines like SRT_LIVE_DEF_PLSIZE, which are
    only available starting with that srt version.
    
    (cherry picked from commit 80b149ddf92226d12e71d4de6e6233f52b1ea2bb) (edited)
    edited:
    * 3.0 was restricting to < 1.3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d5f59f92e03925306af3ad48f553ca1a2f926ec5
Author: Aaron Boxer <boxerab@gmail.com>
Date:   Tue Mar 19 13:35:34 2019 +0100

    srt: parse url and set options
    
    for latency, maximum bandwidth, etc.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit f98585725a2d599bc014dae9af014ac9202a892b) (edited)
    edited:
    * 4.0 used N_() on removed strings
    * 3.0 needs advanced flag for add_password()
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 9ef542afc0bc5fac84185aed77d8575b695dd103
Author: Aaron Boxer <boxerab@gmail.com>
Date:   Tue Mar 19 08:34:30 2019 -0400

    srt: move common code to single file
    
    1. code can be shared between access/srt.c and access_output/srt.c
    2. created a URL parser for SRT parameters stored in URL
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 15dea8ecb86f4ec36467bea381afc16493263d1c) (edited)
    edited:
    * access out was missing dummy.cpp on 3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d1a26ef553326709e673f0f84a0b7292d400b5d5
Author: Roman Diouskine <rdiouskine@haivision.com>
Date:   Mon Oct 15 17:45:16 2018 +0200

    srt: Read several chunks per blocking read call
    
    libsrt input is asynchonously buffered internally and it makes sense to empty
    those receive buffers as much as possible on every signaled receive event from
    epoll. Doing so reduces context switching/re-scheduling and improves
    performance.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit ca7b0fcc3376f858f9002f96f0bec42288785d09) (rebased)
    rebased:
    * master has direct stream_sys_t typedef
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit bcd9305655f6ba97cf12dfa331fabc64564f46a7
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Mon Jul 23 17:30:32 2018 -0400

    srt: Remove eof code
    
    It is possible to get an empty read from libsrt and it should not be treated as
    EOF.
    
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    (cherry picked from commit 34048bef8ed5e2b5e7c265bfbd0cee1db4b1159b)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e5f7110383a352bdc9cac72936ed1a16263afc11
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Thu Jul 19 17:39:29 2018 -0400

    contribs: srt: Fix pkgconfig file generation
    
    VLC doesn't use pkg-config --static but hacks the .pc files, so do
    the same here. Also fix srt to produce valid pc files.
    
    Signed-off-by: Konstantin Pavlov <thresh@videolan.org>
    (cherry picked from commit dd597699c3a99b93c0ed9862ebf668315484aaca)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 85d3a0505c57d94b2d5fe1d551f5e9851ac0c950
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jul 11 22:44:09 2018 +0200

    Contribs: srt, don't link to pthreadGC2 on Mingw
    
    (cherry picked from commit e9ed3a579bee9aa59c6c71fadedaf4822ca95b1e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6b1c2c4527e7ec4a0b1366a4eed3c596aeae0851
Author: Olivier Crête <olivier.crete@collabora.com>
Date:   Tue Jul 10 14:31:38 2018 -0400

    contrib: Update SRT to 1.3.1
    
    Almost the same as the previous one but squashing two patches which should have been and improving the inet_ntop() removing patch.
    
    Skipping 1.3.0 as it was a bad version. Also removed all
    custom patches are they don't seem to be required anymore, but
    added new ones to make it build with MingW.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e4e95613cc2d7f78acf80072b626d52da575f718) (edited)
    edited:
    - don't force pthreadGC2 but pthread
    - removed non-gnu detection
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 4524690456a0aaf8850d1d0b1dbb768123f4810d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 1 21:38:22 2018 +0300

    srt: remove tautology
    
    (cherry picked from commit 90b7919115cf2906e020a215a752d9137321f936)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 55dd7e85e3f418f048e3835638f7ea06fd8f8c93
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 1 21:38:22 2018 +0300

    srt: remove tautology
    
    (cherry picked from commit d36c9ea4d1c0d696375c608d66f017741c40bfe8)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a72f1f8d94595f409db9a3ca4a945dfda090934e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 1 21:37:10 2018 +0300

    srt out: remove redundant code
    
    (cherry picked from commit ae882e18727ab6f3761c982254b2e61d122fb8ef)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit aed2108cd182b45db0693eafc62e891226667496
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 1 21:37:10 2018 +0300

    srt: remove redundant code
    
    (cherry picked from commit 198f754d838788a43885b0d30c1092a00747f94f)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 08b36ec7e38ace0c7e198f34273e15858450473a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Mar 11 20:22:40 2021 +0100

    demux: avformat: fix IORead EOF value
    
    (cherry picked from commit b7c97da03be864d20713054d52eddfb9d93773bb)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit 58aba0bc595d1119154a6a8295eac38fecc62a1d
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Feb 16 06:51:13 2022 +0100

    samba: limit the read size
    
    Fixes #22909
    
    (cherry picked from commit abf527b59d632db06fae67b1322890c273a241c6)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit b15e4043c672e2059318114152b78b24f6fca73e
Author: Ronald S. Bultje <rsbultje@gmail.com>
Date:   Fri Feb 4 15:22:07 2022 -0500

    dav1d: continue decoding on recoverable errors
    
    Fixes #26259 (closed), #26579 and dav1d/#383.
    
    (cherry picked from commit e890cc923355b87d4c40d035dbf16a4924fe95b2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58729fb1b148d53b5fbaa90fa0762c303e4a5ca0
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Feb 10 20:09:35 2022 +0100

    contrib: bluray: Enable bdjava for arm macOS again
    
    OpenJDK builds now exist for arm macOS, and both compilation and execution
    of java blurays seem to work fine.
    
    Closes #26023
    
    (cherry picked from commit 25556bcb4eed9ba69ab0299af06e0e3235fbb2cd)

commit 1b500a19695aa3e0c4179e89abccbe8e5bfce285
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 9 15:53:17 2022 +0100

    contrib: srt: link directly with pthread on Windows
    
    That's the winpthread we build and depend on.
    
    And apply the pthread patch on all targets like it was before this patchset.

commit b608c5f655a88933af6f91fabb12dcf6055ec298
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Feb 11 09:34:20 2022 +0100

    contrib: ffmpeg: add pthread dependency for win32
    
    As for other contribs that rely on the winpthread/pthread-w32.

commit 3ce799b884ad98a00fc32fc4eba16db75c7c90cf
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 9 13:40:03 2022 +0100

    contrib: ffmpeg: disable threading API on builds supporting Win XP
    
    CancelIOEx() is not supported. And pthread support is not mandatory.

commit df9a89828d41c291f3576637848a02dc3f498626
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 9 15:37:23 2022 +0100

    contrib: zvbi: remove unused extra compilation flags
    
    (cherry picked from commit e1ebf07d6e2a9c95db006950dfe0782e1cb9e775)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 01945fc33813785097841c01b60cba0971c28eef
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 9 15:10:59 2022 +0100

    contrib: zvbi: fix pthread dependency
    
    (cherry picked from commit 1ae503e45da0e4b8ea92d36956d750ad9872090e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit def528101124e4703ad6787799886e6191fb7c64
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed Feb 9 13:05:42 2022 +0100

    contrib: zvbi: remove deprecated patch
    
    We no longer build with pthreadGC2 since f1bf4b45ce547578db7048331e368188a7f6b8ec
    
    (cherry picked from commit 3837f53f97ec6f85f8441a22f3ed7e032929a06e)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 2c6d2bb028ebc4dbe2cd8a95674d6a982780e314
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Wed Jan 19 20:11:36 2022 +0100

    extras/tools: meson: create bin folder if needed
    
    Fixes the "build" of meson that could randomly fail when no target
    created the folder already.
    
    (cherry picked from commit 1649e121586f4bfd0f9f430d6f07e423a7eedc7d)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 962cadadaf47271580e8e2a2b5bde29dd4e42490
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Dec 13 15:02:28 2021 +0100

    tools: Fix protobuf compiler build with recent compilers
    
    This is a manual backport of
    https://github.com/protocolbuffers/protobuf/commit/01a05a53f40ca2ac5f0af10c6cc0810bee39b792
    
    (cherry picked from commit c580054e4f3a166f93c91f94416f97d89be83c16)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 54802179b3c3011533caaf3f2d01b6286b99a0a5
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sat Jul 31 21:56:04 2021 -0400

    contrib: upnp: hosting moved from SourceForge to GitHub
    
    (cherry picked from commit 0d2b80c01c37c928821b5f35bf75f4693335af4c)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cc62c44d384f87105c4605be4465231a1dda363e
Author: Biswapriyo Nath <nathbappai@gmail.com>
Date:   Mon Jan 27 20:15:30 2020 +0530

    contrib: pthreads: update mingw-w64 to v7.0.0
    
    * The deleted patch was added in mingw-w64 v7.0.0
    
    Signed-off-by: Biswapriyo Nath <nathbappai@gmail.com>
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>
    (cherry picked from commit d4948bc28effbe801fbce6c581c1735518c9da0d)

commit f61e85e78640334cd8e12d0eeb83f4d3cedb5d34
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Mar 5 09:09:12 2019 +0100

    zvbi: do not link against non existent pthreadGC2
    
    (cherry picked from commit f91f18e43cf61e05e6e2d8709124595de2b339bf) (edited)
    edited:
    * master had it for winstore only
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e92fbe6e5d31fc0dee67ce9c19d00b1b1f114cc1
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Mon Mar 4 10:02:29 2019 +0100

    contrib:aom: don't use the old pthreadGC2 anymore
    
    (cherry picked from commit ba189e92f8ea393f6355dee1a0f7c2f6eb573bc6) (edited)
    edited:
    * 3.0 has different android patches
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 71f5df11ba737d42fed8498792400984dee2ece0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jan 15 11:48:32 2019 +0100

    contrib: upnp: Force -lpthread into libupnp.pc
    
    This is a partial revert (with modifications) of
    1d156f093dbeca94a20c7355708e2f7bdce586b4
    
    (cherry picked from commit db1d637fce6731fad870304e8e2d309f9781b268)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit cf31dd35ad4965cd4771d59b2568287b1f580998
Author: Martin Storsjö <martin@martin.st>
Date:   Sun Jul 1 23:27:24 2018 +0300

    contrib: vpx: Remove a leftover patch for pthread-w32
    
    (cherry picked from commit d942c7a0d4f840a93c074c774ea16226517c8865) (edited)
    edited:
    * 3.0 doesn't have the same aarch64 patches
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 8a76af750428de040d3e925af8c8c50cb27dde0b
Author: Martin Storsjö <martin@martin.st>
Date:   Mon May 21 12:08:50 2018 +0300

    contrib: pthreads: Backport a winpthreads patch to fix building for armv7/aarch64
    
    (cherry picked from commit 8ceae50d2e3c037dade05953b175ebabf3fdd7c3) (rebased)
    rebased:
    * 4.0 didn't some of the patches used in 3.0
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6320e6496f55443f8c3c0eea6f9d110d3301f20c
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 21:54:46 2018 +0200

    contrib: pthreads: winpthreads is not GPL
    
    (cherry picked from commit be8644102b0045f40c0537df95db015d48fe8994)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c61028af5a9aa4608aff3f005891750b43d24362
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 14:27:06 2018 +0200

    contribs: enable winpthreads on all Windows targets
    
    (cherry picked from commit f1bf4b45ce547578db7048331e368188a7f6b8ec) (rebased)
    rebased:
    * aom has slightly diffent .mak context
    * srt has slightly diffent .mak context
    * zvbi had removed macos hack already
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 0885d5e47aa7b10a0d3e9e8d1162714317705b0b
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 14:13:58 2018 +0200

    contrib: replace pthreads-w32 with winpthreads
    
    (cherry picked from commit 1d156f093dbeca94a20c7355708e2f7bdce586b4) (edited)
    
    edited:
    * pthreadGC2 had extra pacthes in 3.0 and different URL
    * aom had different android patches and HOSTVARS placed differently
    * mysofa is building with CMAKEBUILD
    * DBUILD_SHARED_LIBS doesn't have set in 3.0
    * upnp uses LIBUPNP_ECFLAGS on 3.0
    * vpc uses VPX_HOSTVARS on 3.0
    * zvbi has removed the macos hack already
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 13188e48c80ea6712581195bcabed5f56f7e3e71
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 12:37:30 2018 +0200

    contrib: limit the use of pthreads-w32 to winstore builds for now
    
    (cherry picked from commit 6f20847b5ddb4ca30edeffe0c490eaf56a478d01) (edited)
    edited:
    * aom has different android patches
    * srt has extra fix-partial-availability patch
    * upnp is using LIBUPNP_ECFLAGS on 3.0
    * vpx is using VPX_HOSTVARS on 3.0
    * zvbi has the pthreads dependency for all targets, already has ZVBI_CFLAGS and removed macos hack already
    * srt doesn't have some gcc/pthread patches and had CMakeLists.txt-let-cmake-find-pthread patch
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit e641bf59a88bd4efdac0411151b5cff596ec8e9f
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Thu May 17 12:26:50 2018 +0200

    contrib: pthreads: only use pthreads-w32 on winstore builds
    
    For now, we should probably switch to winpthread as well.
    
    (cherry picked from commit a77bf1c60b9daf6a10dc3f8afb8dd6da139c3bc4)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit c7afbc4b6f7cb051965355ca5d09fdcf21a04581
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 15:30:11 2018 +0200

    contrib: aom: make sur we use pthreads-win32 on Windows
    
    (cherry picked from commit b7bbf72878edfd230bd17d799a198c9bed395058) (rebased)
    rebased:
    - 3.0 has more android patches
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 6b47697233d751b36350a16b8602b62d634c3b70
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 12:21:34 2018 +0200

    contrib: vpx: make sure we use pthreads-win32 on Windows
    
    (cherry picked from commit 2916292eb7c3a3b77d5aea677372a8725b52a18c) (edited)
    edited:
    * 3.0 doesn't have the same aarch64 patches
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit a02853f8361941afcf04b66091a0d4a17f4de821
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Wed May 16 10:51:15 2018 +0200

    contrib: zvbi: make sure we use pthreads-win32 on windows
    
    (cherry picked from commit 707b9000194c85c6a23b55357ca72afb197b111b)
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit d0dfeefebe56bfc3ef4bc1ed3d564c62c0481944
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Sun May 13 11:23:50 2018 +0200

    contrib: srt: fix dependency handling
    
    (cherry picked from commit e94213427ef84e278b236e803b100a94df2674fe) (rebased)
    rebased:
    * 3.0 has slightly different patches
    
    Signed-off-by: Steve Lhomme <robux4@ycbcr.xyz>

commit 5c999faac3e4a4764dd9790379b999c3fdb123d4
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Tue Feb 8 13:38:47 2022 +0100

    d3d11: release the debug interface we queried
    
    The doc doesn't say we have to release it but it makes sense. If it was received
    by a ComPtr it would be.
    
    Similar to b8e1ef211c8cfbc0d7681decc905b1e267563491 on 4.0

commit 8ff7dd99bc57e855807a75e412a17fe96667445d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 3 07:09:24 2022 +0100

    2022 is here
    
    (cherry picked from commit f1603b6994de7b4166662834ce3050eebc82de52)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit bfca6804525d6d748d261e1a3cf57a59612102dc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 29 16:16:15 2021 +0100

    Contribs: update libass to 0.15.2
    
    (cherry picked from commit 827394029074561a7f44ec7c0c477f6f7b483768)

commit 8fbafa234fd2386303cb87c92a706c2922ea5375
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 29 16:53:55 2021 +0100

    Contribs: update freetype to 2.11.1
    
    (cherry picked from commit b3e9723f00d8a8b75b34dbb65c8d5c0d22bb4557)

commit 8a0968e75f686351129cf569295fc345c8c2f591
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 29 16:50:16 2021 +0100

    Contribs: update fribidi to 1.0.11
    
    (cherry picked from commit 6109444881af2525e24f846dc8cd4bd135a7f64c)

commit 17172c046df0294f10919f77410dd4d93804afe2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 29 10:22:41 2021 +0100

    Contribs: update dav1d to 0.9.2
    
    (cherry picked from commit d59532b08e0158945d55779e61f3e01bbb3fa3dd)

commit d37f1f61673fab94ac6b95c08de248c50fa0926d
Author: Steve Lhomme <robux4@ycbcr.xyz>
Date:   Fri Oct 5 15:04:32 2018 +0200

    decoder: the max DPB size for AV1 is 10 frames

commit d44f57277c2b30b207d164fdf09a26fe9f558d35
Author: Peter Frost <mail@pfrost.me>
Date:   Thu Jan 20 20:55:08 2022 +0000

    debux: adaptive: Fix missing vlc_tick macro

commit 97867416201533742be3effa2abfe3c02fafd95c
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Jun 18 10:31:00 2021 +0300

    avformat: remove pts hack on recent libavformat
    
    The field AVStream.cur_dts has been removed in libavformat 59.2.103.
    
    Refs vlc4/c2ba623f0ad425e7743fca0bdc251d5bc9289e77
    Refs ffmpeg/591b88e6787c4e678237f02a50421d101abd25c2

commit 00bd7590f33357047b555d85d6e935feed033333
Author: Mehdi Sabwat <mehdisabwat@gmail.com>
Date:   Thu Apr 9 21:59:56 2020 +0200

    avformat: add support for url field in AvFormatContext
    
    Since Jan 21, 2018 filename field was deprecated in favor
    of `url` which now has no length restrictions.
    
    From doc/APIChanges:
    ```
    2018-01-28 - ea3672b7d6 - lavf 58.7.100 - avformat.h
      Deprecate AVFormatContext filename field which had limited length, use the
      new dynamically allocated url field instead.
    ```
    
    The URL field is freed by libavformat in avformat_free_context() in
    avformat_CloseMux().
    
    Signed-off-by: Alexandre Janniaux <ajanni@videolabs.io>
    (cherry picked from commit a2ce2e3a8436845378af3b1828f2bb0fa0f4a268)
    
    Refs ffmpeg/30f7021aa0be2c978aefb73894b643c9bafbf51c

commit 6feb18dadcb6176ae5cc2b4ae57f27f65fa93fdb
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Jun 18 10:08:44 2021 +0300

    avcodec: move picture type to use sidedata on encoding
    
    Sidedata AV_PKT_DATA_QUALITY_STATS has been present since 2015 on
    version 56.51.100. Also previous coded_frame->pict_type doesn't seem to
    be present anymore in ffmpeg master.
    
    (cherry picked from commit 8ed4f2a7a2dbc9522c3feebb39b2e4ccc7bf5d24)
    
    Refs ffmpeg/11bc79089378a5ec00547d0f85bc152afdf30dfa

commit 781082eea3c3aea140c6725d7405cdf09124e190
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jan 18 15:12:26 2022 +0100

    avcodec: replace removed FMT_VAAPI_VLD enum value
    
    Replace AV_PIX_FMT_VAAPI_VLD by AV_PIX_FMT_VAAPI.
    
    libav/d264c720f7b74286840719e506daba39f83b438b (deprecation)
    ffmpeg/9f8e57efe4400ca86352277873792792279c3b15 (deprecation)
    ffmpeg/ad524cb9eeb298f7a60d923094fbebb1fda7e0e3 (removal)

commit bd8533e0c8b50773e49be8f8b5b61a9782de386f
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jan 18 15:06:28 2022 +0100

    avcodec: fix condition to use AVFrame.pkt_pts
    
    The field AVFrame.pkt_pts was removed in lavc 56.24.0 / 57.61.100:
    
    > Decoders now export the frame timestamp as AVFrame.pts. It was
    > previously exported as AVFrame.pkt_pts, which is now deprecated.
    
    Fix the inverted deprecation check and use LIBAVCODEC_VERSION_CHECK() to
    target the exact version.
    
    Refs vlc4/991ba74b018a201cc6cc73da713fb3d62fd7ff60
    Refs ffmpeg/32c8359093d1ff4f45ed19518b449b3ac3769d27 (deprecation)
    Refs ffmpeg/6e30b35b85b81c802e52a1078ec7a3097e353c6d (removal)

commit abb201b79367311e43e619dcda3d4a9348da42ec
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jan 18 15:08:38 2022 +0100

    avcodec: do not use field removed in API 60
    
    AVCodecContext.thread_safe_callbacks will be removed in API 60:
    
    > Thread-unsafe get_buffer2() implementations will be invalid starting
    > with LIBAVCODEC_VERSION_MAJOR=60; in other words, libavcodec will
    > behave as if this field was always set to 1.
    
    In current FFmpeg 5.0 (API 59), we must still set the variable, and it
    is already deprecated, so we can't get rid of the deprecation warning.
    
    ffmpeg/a83098ab03a47179d54a9b9c8bcefc81b9c6aafd (deprecation)
    ffmpeg/54e5d21acabb452e5680de5db3bf7567d351d68e (doc)
    
    (cherry picked from commit 02e8981b57c647641b188f8612a6e4b1e31a660a)

commit 07e0beb5b6ecccb2cde134f3a3bd45071bce0dae
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jan 18 15:16:39 2022 +0100

    avcodec: adapt AVCodec API constification
    
    Refs ffmpeg/626535f6a169e2d821b969e0ea77125ba7482113
    
    (cherry picked from 3312a960cb5a218d47c0a23405aff6c2688f8320)
    
    The condition has been adapted from the original commit because VLC3
    supports both ffmpeg and libav contrary to VLC4.

commit 591f658223bb6320ea61248976753e20a985c8dc
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Wed Jan 19 15:00:21 2022 +0100

    avformat: adapt AVInputFormat API constification
    
    Refs ffmpeg/56450a0ee4fdda160f4039fc2ae33edfd27765c9
    
    (cherry picked from commit 5069e1cc38fe25e40d8e58ddb387c92da1bef793)
    
    The condition has been adapted from the original commit because VLC3
    supports both ffmpeg and libav contrary to VLC4.

commit 66b647fd696b7f449b09b200f4028789c2d210a8
Author: Romain Vimont <rom1v@videolabs.io>
Date:   Tue Jan 18 15:43:27 2022 +0100

    avformat: adapt AVOutputFormat API constification
    
    Refs ffmpeg/56450a0ee4fdda160f4039fc2ae33edfd27765c9
    
    (cherry picked from commit d0710040f0749a74a66aa19976ab1c0edbab0b0b)
    
    The condition has been adapted from the original commit because VLC3
    supports both ffmpeg and libav contrary to VLC4.

commit 37bf74e6645d3023c1ebcbd81ffae1e552d3a73e
Author: Niklas Haas <git@haasn.dev>
Date:   Tue Jan 18 18:03:48 2022 +0100

    opengl: drop unneeded GetIntegeri_v
    
    This causes issues on some platforms, and we don't need it

commit 645cbd6fac5bd07d1c973be9fc048b0f329c087c
Author: Niklas Haas <git@haasn.dev>
Date:   Tue Jan 18 17:19:27 2022 +0100

    opengl: don't error on no-op libplacebo shader
    
    See 6efc345d81a12

commit 6d145e38c03d4ffa5b6bff31e358a5ca6ceb3461
Author: Niklas Haas <git@haasn.dev>
Date:   Tue Jan 18 17:07:25 2022 +0100

    opengl: vout_helper: use pl_shader_params.glsl
    
    This is the proper way to limit the GLSL version when using standalone
    shaders without an associated GPU backend.

commit 110d69c8245bb2bc1f0cf183dcdd6ba636973bfc
Author: Niklas Haas <git@haasn.dev>
Date:   Tue Jan 18 16:47:22 2022 +0100

    Revert "opengl: vout_helper: use pl_gpu_dummy for shaders"
    
    This reverts commit 2437484d7684a4661048df1e095484a276bbea0b.
    
    The referenced commit is not a good way of fixing the issue described in
    its commit message. Attaching a dummy GPU to the pl_shader makes the
    shader think a GPU is actually available, and can lead to e.g. the use
    of a dither texture (which VLC has no mapping code for, and would thus
    result in a shader compilation error).
    
    All of the queried limits are also irrelevant for the way we use shaders
    in this code, since they only affect GPU resources (which we can't use)
    or texture sampling (which we don't use).
    
    Fixes #26503 by removing the conflicting code

commit 7d014e8d4b7a911a0d823075658d3ea390ddf5dc
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jan 13 21:45:04 2022 +0100

    macosx: Disables safe area compatibility mode in Info.plist
    
    Signal that the compatibility mode is not needed and VLC takes
    care about the safe area directly.

commit eb73710144cb4b336099047ffdf32642494b7eaa
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jan 13 21:40:48 2022 +0100

    macosx: Support safe area of new M1 macs for VLC fullscreen
    
    New M1 Macs contain a notch, covering part of the screen. Analog to
    the Quicktime player, when implementing VLCs internal fullscreen,
    the video is scaled inside the safe area of the notch only, leaving
    the top area black.
    
    Fixes #26291

commit 02448d19dd7b4965718ffc97faba3a659f356d7b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jan 12 17:45:15 2022 +0200

    contribs: rectify minimum libdvdnav version
    
    The current code base won't compile with 5.0.3 or less.

commit 794d986264f6f98107abf1d8569208d2360b299e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jan 12 17:45:15 2022 +0200

    configure: rectify minimum libdvdnav version
    
    The current code base won't compile with 5.0.3 or less.

commit 584bf4f6414daf73adba01fd10f7b0aafdc1330d
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Wed Jan 12 19:48:59 2022 +0100

    upnp: fix browsing of certain servers
    
    This is a partial revert of 785c6dfe. Some servers (notably PLEX, UMS,
    and some TV sets) amend the exposed media type with additional subtypes
    for further differentiation not relevant to VLC, so it is actually
    correct to compare the beginning of the string only.
    
    For instance "object.container" can turn into
    "object.container.storageFolder" or "object.container.person.musicArtist"
    so the plain strcmp will fail to recognize the container nature.
    
    Fixes vlc-ios#1239
    
    (cherry picked from commit 741f1f90cdb1f972d4552c4f45eafd24b3092621)

commit fe93f2269c9840f14487c7df8cb9146da2d4e410
Author: Maxime Chapelet <umxprime@videolabs.io>
Date:   Fri Jan 7 11:39:48 2022 +0100

    ios : consider other application states to allow display initialization
    
    the display can be created when the application state is active or inactive
    inactive state actually happens when the application comes back from background and becomes active just after a very short amount of time
    hence we should allow vout initialization only when application state is not background
    
    (cherry picked from commit 012b57cd9b595d6ab8801ad57d8fd7334fa2d101)

commit 423bb86ae7bbdcb0aaac0be43422d8a72ceeedec
Author: Maxime Chapelet <umxprime@videolabs.io>
Date:   Fri Jan 7 11:34:24 2022 +0100

    videotoolbox : reload module if vout initialisation fails
    
    (cherry picked from commit f702e7423d89fa7110e51157fd73107a730c23f1)

commit 0f21d3ec9492658370ef8e9788fc8a3720aea2da
Author: Maxime Chapelet <umxprime@videolabs.io>
Date:   Mon Jan 10 16:36:35 2022 +0100

    ogg : fix demux control to get attachements
    
    (cherry picked from commit 19fc95b3eace9f53dbfebdfcfc53af2fa48551ad)

commit 0b72ae60d25e40a960fa4ecd54ac30a66ef60e0b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jan 6 22:28:14 2022 +0100

    bin: Add Frameworks directory to vlc-osx RPATH
    
    vlc-osx is used to generate the final VLC executable, and therefore
    the RPATH to the Frameworks directory is needed as well, in order
    to find the Sparkle framework.
    
    Followup fix for !1155.

commit 80742f9ad2ee6b0ee58f574be1e5b973e8d559e1
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 31 18:01:19 2021 +0100

    demux: mp4: add support for ISO/IEC 23003-5 audio
    
    refs #26427
    
    (cherry picked from commit c8d319ed0f7df205ac5d278119e2819f7653549b)

commit 33ae16084a579437a96910263153a592c39e03be
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jan 5 15:05:44 2022 +0100

    demux: adaptive: fix description leak

commit 0b23c96a037cb9572223778b6e08ee8345bd8a34
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jan 3 22:58:11 2022 +0100

    contrib: sparkle: do not change install_name
    
    Changing the install name is no longer necessary since
    0831e42ecb6878bec2b3a0e07d56123a730d6a98
    and doing so breaks the ad-hoc code signing leading to a broken
    bundle and pseudo-bundle on arm64 which requires ad-hoc signing.
    
    Fix #26127

commit 939b047078d6f742ebee92803109dbd4fb9c8383
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Jan 3 22:54:31 2022 +0100

    macosx: add rpath for Frameworks
    
    The Frameworks folder was missing in the rpath, leading to Frameworks
    like Sparkle requiring change of the install_name after it was built
    instead of just using rpath properly.

commit 307931a3d3282bb88bb7be5d7c7520de00a7a21f
Author: Felix Paul Kühne <felix@feepk.net>
Date:   Sun Dec 26 09:28:42 2021 +0100

    upnp: inherit SAT>IP options
    
    This correctly deploys custom values set through mobile apps
    
    (cherry picked from commit c9b8080252c3861ff2eded566d67d1e016f9f794)

commit b9499494965e5d8ccd560a8636657a035419fc12
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Sun Nov 1 12:34:19 2020 +0100

    adaptive: PlaylistManager: remove useless mutex lock
    
    (cherry picked from commit 551734e0ac03308560c402626d83eb99ba356bb9)

commit 3599c9b9001bfdfb3e80138bacebe0633802a1d0
Author: Alexandre Janniaux <ajanni@videolabs.io>
Date:   Sun Nov 1 12:34:17 2020 +0100

    adaptive: PlaylistManager: remove savecancel
    
    We don't use cancellation in this code.
    
    (cherry picked from commit b7f6debac6e981c97be9443128e39224a4731f5e)

commit fce30e7a3b763c8271c1ecb60195a5d3cae27cdd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 30 16:12:08 2020 +0100

    demux: hls: remove unused member
    
    (cherry picked from commit 305c390d74a38bd9a0d57f0a3694e14bf51ab06f)

commit f32b65b57eb48874ff9fc654706989c058af7084
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 23 22:40:08 2021 +0100

    demux: hls: read framerate
    
    (cherry picked from commit 0d61e9a1b8d27df6af5bf1c4ff1f6d51ede4594b)

commit 88caedb6cfb933edd86b123dc25bc0f1b8fa2acf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 9 09:22:24 2021 +0200

    demux: adaptive: split download queues
    
    prioritize manifests over data chunks
    
    (cherry picked from commit 7b4eff1ccc01302a057f8348c626514b2ed4207d)

commit 374b01f3f6843a1e0a99cace70187fe753c68d33
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Apr 7 21:50:05 2021 +0200

    demux: adaptive: pass source back to manager for deletion
    
    (cherry picked from commit 3e32bbeb059bb18d8603449a628de2e62657ff1a)

commit 472dad921188ca67acc17f270fe90621ae2c19ff
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 4 23:37:06 2021 +0200

    demux: adaptive: set segment source chunk type
    
    (cherry picked from commit b85ef41f6b2ad6e5f464bb8d4e3b0368614a1041)

commit 410e8676cea38353cfe71655a21405885f713d19
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jun 10 16:11:35 2021 +0200

    demux: adaptive: clear discontinuity on new demux first chunk
    
    (cherry picked from commit cdd1dda3c3c5a8e14c3a0d56e963c2578155ecac)

commit 19d8f903a534f6d223a12024405a37dc7ac55189
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jul 26 17:49:30 2021 +0200

    demux: adaptive: fix firstchunk, peek and restart
    
    (cherry picked from commit 33fb9022907360d8f2618384f56b57a8c7a5e136)

commit 945d8a676d492ae8e3f6c030b0d65fa5c2ce91c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 6 16:12:14 2021 +0200

    demux: adaptive: order sets on insert
    
    (cherry picked from commit f36a0c559577d911bffc8c9f421e3f7fe9de72ac)

commit d0a772a27aa50a4ec7c0c9ce8e4752ac97cc31ef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 6 18:18:00 2021 +0200

    demux: adaptive: use enum class for Role
    
    (cherry picked from commit af72f0bb1aa8fa5f948dffcd81973f474dc59cfd)

commit ea805f327ae7ca2be443c4a025672d4f5757d11a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Aug 6 14:55:52 2021 +0200

    demux: adaptive: remove null adaptationSet checks
    
    now checked in parsers
    
    (cherry picked from commit 76fd9eadc3e3cb1ceb5b3d11a2e98eb5ea278295)

commit 52a1fed3dabc4a5fa8657e55441a77f2612f43fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 16 18:27:56 2021 +0200

    demux: adaptive: improve webvtt probing
    
    (cherry picked from commit a01153660bdb865fe70d3129170cdf34ce15eb0e)

commit 6ebcf5b906d27572725754cfb34d624fac0d62e4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 23 16:02:41 2021 +0200

    demux: adaptive: remove arbitrary read size
    
    (cherry picked from commit 451f6242c51d5d8d8ac3a7627877d1cfb522d8fc)

commit 1945a109b40fd120213395b95c474c396b7005ef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 14 14:57:00 2021 +0200

    demux: adaptive: request optional compression
    
    Allow server to compress manifests and text subtitles
    
    (cherry picked from commit be436e0ed29642489af90a1ca2cabbca38a511c6)

commit 673baa8f7e18bdafc9a10a16406aa0d82fb580c8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 13 22:21:39 2021 +0200

    demux: adaptive: remove native connection
    
    (cherry picked from commit 98fd0b741052ade76a9ca29de3deae08ad446232)

commit 7ba4392ed7d28de2b0b692670e6c03ed558f248e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 13 22:20:11 2021 +0200

    demux: adaptive: replace maxconnect const var with namespaced constexpr
    
    (cherry picked from commit 238baeb83ce7fa5e4a2791a1738803d8dab74ef8)

commit da5cb24df4285ba367195bc08ca79a666e305315
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 1 20:31:45 2021 +0200

    demux: adaptive: use libvlchttp for default connections
    
    (cherry picked from commit 207a2c1592d014c9a97a032ba73861a0ba69f376)

commit 3db6fc859e39539ae969da62ac6b58cc571013b8
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 1 16:05:19 2021 +0200

    demux: adaptive: add libvlchttp based connection
    
    (cherry picked from commit f5c3393339ebfafe35c4ff43fe59bcee71d93692)

commit fae8b59ad4bc61dcef78eae2f92637561ae70236
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Sep 8 13:17:23 2021 +0200

    demux: adaptive: remove useless parent method indirection
    
    (cherry picked from commit 3db241a3c507cbab7ab0646d475bcc86f8d70869)

commit 8694578afa1dc462db7b9bbfe811ade74235e886
